#
# spec file for package k_psmp (Version 2.4.20)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  -lx_suse bin86 gpp kernel-source km_afs km_antivir km_atmel km_basilisk km_bios km_cipe km_drbd km_drm km_dvb km_ferrari km_freeswan km_hsflinmodem km_ipppcomp km_iscsi km_oprofile km_pcmci km_sam9407 km_scsl km_secumod km_v4l2 km_vmware km_xfiregl1 libgpp popt popt-devel
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bin86 binutils bzip2 cracklib gcc gcc-c++ gdbm gettext kernel-source km_afs km_antivir km_atmel km_basilisk km_bios km_cipe km_drbd km_drm km_dvb km_ferrari km_freeswan km_hsflinmodem km_ipppcomp km_iscsi km_oprofile km_pcmci km_sam9407 km_scsl km_secumod km_v4l2 km_vmware km_xfiregl1 libstdc++-devel libtool perl popt popt-devel rpm

Name:         k_psmp
Version:      2.4.20
Release:      136
Summary:      Kernel 2.4 with SMP-support for older processors (Pentium classic)
License:      GPL
Group:        System/Kernel
Conflicts:    k_deflt k_i386 k_smp k_athlon
Autoreqprov:  on
PreReq:       /usr/bin/test /sbin/mk_initrd /bin/df /usr/bin/du /bin/cp /bin/sed /usr/bin/cut /usr/bin/expr /bin/touch
%define kernel_version %{version}
%define kernel_extension -4GB-SMP
Source:       config.psmp.ikr

%description
An SMP kernel for older processors without PAE mode (the Pentium
classic, for example).



Authors:
--------
    torvalds@transmeta.com

%prep

%build
if [ -f /usr/src/linux/.config ] ; then
  mv /usr/src/linux/.config /usr/src/linux/.config.42.42
fi
cd /usr/src/linux
sed -e 's/`hostname.*`/SMP_X86.suse.de/' /usr/src/linux/Makefile > /tmp/lx_suse-Makefile
make -f /tmp/lx_suse-Makefile  distclean
cp $RPM_SOURCE_DIR/config.* /usr/src/linux/.config
make -f /tmp/lx_suse-Makefile  oldconfig
make -f /tmp/lx_suse-Makefile  dep
make -f /tmp/lx_suse-Makefile  bzImage
make -f /tmp/lx_suse-Makefile  modules
make -f /tmp/lx_suse-Makefile  modules_install
if [ -d /usr/src/kernel-modules ] ; then
  for d in /usr/src/kernel-modules/*;
   do cd $d && make -f Makefile.module && make -f Makefile.module install
  done
fi
# if pcmcia modules are not in the correct directory they cannot be
# loaded too, because then there is a version mismatch. Now they
# already are in the correct directory. zoz@suse.de
#if [ ! -d /lib/modules/%{kernel_version}%{kernel_extension}/pcmcia ] ; then
#  mkdir -p /lib/modules/%{kernel_version}%{kernel_extension}/pcmcia
#  cp -a /lib/modules/%{kernel_version}/pcmcia/* \
#	/lib/modules/%{kernel_version}%{kernel_extension}/pcmcia
#fi

%install
mkdir -p /boot
cp -a /usr/src/linux/System.map /boot/System.map-%{kernel_version}%{kernel_extension}
cp -a /usr/src/linux/arch/i386/boot/bzImage /boot/vmlinuz
cp -a /usr/src/linux/.config /boot/vmlinuz.config
cp -a /usr/src/linux/vmlinux /boot/vmlinux
gzip -f9 /boot/vmlinux
cp -a /usr/src/linux/include/linux/autoconf.h /boot/vmlinuz.autoconf.h
cp -a /usr/src/linux/include/linux/version.h /boot/vmlinuz.version.h
if [ -f /usr/src/linux/.config.42.42 ] ; then
  mv /usr/src/linux/.config.42.42 /usr/src/linux/.config
fi
cd /lib/modules/%{kernel_version}%{kernel_extension}/kernel/drivers/net
ln 3c59x.o 3c90x.o
ln 8139too.o rtl8139.o
cd /lib/modules/%{kernel_version}%{kernel_extension}/kernel/drivers/char
ln hangcheck-timer.o iofence-timer.o
depmod -ae -F /boot/System.map-%{kernel_version}%{kernel_extension} %{kernel_version}%{kernel_extension}
cd /usr/src/linux
make -f /tmp/lx_suse-Makefile  clean

%pre
rm -f /boot/vmlinuz.suse
rm -f /boot/initrd.suse

%post
BOOTDIR=boot
NEW_NAME=$BOOTDIR/vmlinuz.shipped
OLD_NAME=$BOOTDIR/vmlinuz
if [ -f $OLD_NAME ]
then
    FREE=`df -P $BOOTDIR | sed 1d | sed "s/[ 	]\+/ /g" | cut -d " " -f 4`
    NEED=`du $OLD_NAME | sed "s/[ 	]\+/ /g" | cut -d " " -f 1`
    if [ -f $NEW_NAME ]
    then
	ADD=`du $NEW_NAME | sed "s/[ 	]\+/ /g" | cut -d " " -f 1`
	FREE=`expr $FREE + $ADD`
    fi
    if [ $NEED -lt $FREE ]
    then
	cp -a $OLD_NAME $NEW_NAME
    fi
fi
touch /lib/modules/%{kernel_version}%{kernel_extension}/modules.dep
if test -f /etc/fstab -a -x /sbin/mk_initrd ; then
    mk_initrd
elif test -f /etc/fstab -a -x /sbin/mkinitrd ; then
    mkinitrd
else
    echo "please run mkinitrd as soon as your system is complete"
fi
#########################################
# initialize lilo if needed #############
#########################################
if [ -f /etc/sysconfig/bootloader ]; then
  . /etc/sysconfig/bootloader
fi
# dont do this during initial (new) installation
# $1 is 1 in postinstall if this package is installed
# for the first time and is >1 on update
if test "$1" = "1" ; then
   case "$LOADER_TYPE" in
     *lilo*)
	echo "boot loader initialisation required"
	;;
   esac
   exit 0
fi
if test -z "$LOADER_TYPE" \
     -a -s /boot/grub/menu.lst -a -s /boot/grub/device.map ; then
   LOADER_TYPE="grub-maybe"
fi
if test -z "$LOADER_TYPE" -a -s /etc/lilo.conf -a -x /sbin/lilo ; then
   LOADER_TYPE="lilo-maybe"
fi
case "$LOADER_LOCATION" in
  *floppy*)
	LOADER_TYPE=""
	{
	echo "Your boot loader is configured to be installed to a floppy disk."
        echo "Can not perform automatic update."
	} >&2
	;;
  *none*)
	LOADER_TYPE=""
	{
	echo "Your boot loader is not configured to be installed to disk."
        echo "Can not perform automatic update."
	} >&2
	;;
esac
case "$LOADER_TYPE" in
  *lilo*)
	test -s /etc/lilo.conf -a -x /sbin/lilo || LOADER_TYPE=""
	;;
  *grub*)
	test -s /boot/grub/menu.lst -a -s /boot/grub/device.map || LOADER_TYPE=""
	;;
esac
case "$LOADER_TYPE" in
  *lilo*)
        echo "running lilo... "
        out=`lilo 2>&1` || {
          echo "lilo failed to write the boot record for your system."
          echo "The output from lilo is:"
          echo ""
          echo "$out"
          echo ""
          echo "Please check manually that your system has a valid boot record!"
        } >&2
    ;;
  *grub*)
	echo "using grub, re-install of bootloader not required."
    ;;
  *)
        {
        echo "Warning! Your bootloader type could not be determined"
	echo "or the configuration is inconsistent."
	echo
        echo "By consequence, your system might not be bootable after"
        echo "performing this kernel update."
        echo "Please check manually if your bootloader is properly"
        echo "initialized!"
        } >&2
    ;;
esac

%files
/boot/System.map-%{kernel_version}%{kernel_extension}
/boot/vmlinuz
/boot/vmlinux.gz
/boot/vmlinuz.config
/boot/vmlinuz.autoconf.h
/boot/vmlinuz.version.h
/lib/modules/%{kernel_version}%{kernel_extension}

%changelog -n k_psmp
* Tue May 24 2005 - mantel@suse.de
- patches.common/elf-coredump-fix: Make compile.
* Tue May 17 2005 - mantel@suse.de
- patches.fixes/x86_64-sysret-fix: Delete.
- patches.fixes/ptrace-check-segment: x86-64: Fix canonical
  checking for segment registers in ptrace (83143).
* Fri May 13 2005 - mantel@suse.de
- patches.common/x86_64-sysret-fix: fix AMD64 sysret local DoS
  (73701).
* Fri May 13 2005 - mantel@suse.de
- patches.common/ext2-info-leak: fix suspected information leak
  (mem pages) in ext2 (75706).
* Fri May 13 2005 - mantel@suse.de
- patches.common/elf-coredump-fix: fix Linux kernel ELF core dump
  privilege elevation (83222, CAN-2005-1263).
* Fri Apr 01 2005 - mantel@suse.de
- Fix potential DoS in load_elf_library (#73837)
* Tue Mar 29 2005 - mantel@suse.de
- bluetooth: Fix signedness problem at socket creation (#74519)
* Wed Mar 16 2005 - mantel@suse.de
- ia64: add sanity check to unw_unwind_to_user (#65112)
* Wed Mar 16 2005 - mantel@suse.de
- ia64: fix possible crash in ptrace() (#65236)
* Fri Mar 11 2005 - mantel@suse.de
- add sanity check to ppp_async code (#65857)
* Fri Mar 11 2005 - mantel@suse.de
- fix possible memory corruption by reading /proc/kcore (#65774)
* Fri Mar 11 2005 - mantel@suse.de
- fix potential memory access to free memory in /proc handling (#65860)
* Wed Jan 26 2005 - mantel@suse.de
- fix potential problem with overlapping VMAs (#49896)
* Wed Jan 26 2005 - mantel@suse.de
- add missing check to vt resizing code (#49171)
* Fri Jan 14 2005 - mantel@suse.de
- fix race in SMP page fault handler; correct version (#49652)
* Thu Jan 13 2005 - mantel@suse.de
- patches.common/fix-clear_LDT-wrong-context: clear_LDT sometimes
  was called in the wrong context (#47430)
* Thu Jan 13 2005 - mantel@suse.de
- fix race in SMP page fault handler (#49652)
* Wed Jan 12 2005 - mantel@suse.de
- add missing mmap_sem around do_brk calls (#49492)
* Wed Jan 05 2005 - okir@suse.de
- patches.common/cmsg-compat-signedness-fix: one of the size
  checks was wrong and broke some 32bit applications on 64bit
  kernels (49517).
* Thu Dec 09 2004 - mantel@suse.de
- patches.common/cmsg-compat-signedness-fix: CMSG compat code
  needs signedness fixes too. (49047).
- patches.common/cmsg-signedness: Fix CMSG validation checks
  wrt. signedness. (49047).
* Thu Dec 09 2004 - mantel@suse.de
- patches.common/fix-ip-options-leak: Do not leak IP options. (49057).
* Fri Dec 03 2004 - mantel@suse.de
- patches.common/serialize-dgram-read.diff: Serialize dgram read
  using semaphore just like stream (#48427).
* Wed Nov 17 2004 - mantel@suse.de
- patches.common/elf-loader-setuid:
  additional checks for elf loader vulnerability
* Mon Nov 15 2004 - mantel@suse.de
- More nfsd xdr decoding fixes (#43603)
* Mon Nov 15 2004 - mantel@suse.de
- patches.common/fix-aout-leak:
  fix a.out leaking fds and memory (#48199)
* Fri Nov 12 2004 - mantel@suse.de
- patches.common/smbfs-overflows: included additional fixes (#46204)
* Fri Nov 12 2004 - mantel@suse.de
- patches.common/elf-loader-setuid:
  fix ELF loader when handling setuid binaries (#45632)
* Mon Oct 04 2004 - mantel@suse.de
- patches.common/pte-establish-race: avoid userspace corruption
  during COWs with threads on x86 PAE with >4G of ram.
* Mon Oct 04 2004 - mantel@suse.de
- fix filemap overflow problem on x86_64 (#45709)
* Wed Aug 11 2004 - mantel@suse.de
- fix kNFSd signed issues (#43603)
* Tue Aug 10 2004 - garloff@suse.de
- queue-signals-peruser.diff: Fix missing initialisation of signal
  counter in signal DoS patch. (#39181, okir)
* Thu Jul 29 2004 - garloff@suse.de
- Fix proc-info-leak bugfix (#43390).
* Tue Jul 27 2004 - mantel@suse.de
- make fix for firewire overflow problem actually compile
* Tue Jul 27 2004 - mantel@suse.de
- fix integer overflow in firewire code (#42402)
* Tue Jul 27 2004 - garloff@suse.de
- queued-signals-peruser.diff: Avoid signal queue DoS: Just apply
  the sysctl per user instead of globally (#39181).
* Fri Jul 23 2004 - mantel@suse.de
- activate fixes for /proc info leak (#41074)
* Thu Jun 24 2004 - mantel@suse.de
- add missing check in chown() system call (#42400)
* Mon Jun 21 2004 - mantel@suse.de
- pss-user-pointer: Properly check userspace pointer (#42050)
- fix memory overwrite bug in airo driver (#42096)
- fix copy_from_user/copy_to_user thinko in ALSA (#42095)
- properly use _user in OSS ioctls (#42050)
- don't write user pointers without checking in decnet (#42049)
- check existance of device in eql (#42217)
* Tue Jun 15 2004 - mantel@suse.de
- fix user-triggerable local DoS (#41951)
- use correct fix for e1000 infoleak bug (#39680)
* Fri May 28 2004 - mantel@suse.de
- fix vmalloc-page-fault bug with nested irqs (#40550)
* Fri May 28 2004 - mantel@suse.de
- fix info leak in e1000 driver (#39680)
* Wed May 05 2004 - mantel@suse.de
- fix uid32 problem in smbfs (#39579)
* Wed Apr 28 2004 - rw@suse.de
- add patches.common/fs-exec-coredump-LFS (#38733)
  from Andrea to allow core files larger than 2 GB
* Mon Apr 26 2004 - mantel@suse.de
- fix buffer overflow in panic() (#39054)
* Mon Apr 26 2004 - mantel@suse.de
- fix memory leak in do_fork() (#39223)
* Fri Apr 02 2004 - mantel@suse.de
- fix info leak in jfs filesystem (#36125)
* Mon Mar 22 2004 - garloff@suse.de
- Allow NAT-Traversal for IPsec.
* Thu Mar 11 2004 - mantel@suse.de
- fix info leak in xfs filesystem (#35463)
* Thu Mar 11 2004 - mantel@suse.de
- add missing size check in r128 driver also to 4.0 version
* Wed Mar 03 2004 - mantel@suse.de
- fix vulnerability in soundblaster driver (#35279)
* Wed Mar 03 2004 - mantel@suse.de
- fix info leak in ext3 filesystem (#35212)
* Wed Mar 03 2004 - mantel@suse.de
- add yet another missing size check in r128 driver (#33945)
* Wed Mar 03 2004 - mantel@suse.de
- fix vulnerability in iso9660 filesystem (#34841)
* Thu Feb 19 2004 - mantel@suse.de
- fix user space access in C-Media PCI OSS sound driver
* Thu Feb 19 2004 - mantel@suse.de
- fix possible crash in USB vicam driver (#34118)
* Thu Feb 19 2004 - mantel@suse.de
- check size for memory allocations in r128 DRI driver (#33945)
* Thu Feb 19 2004 - mantel@suse.de
- don't leak info in i386 fault handler (#34051)
* Thu Feb 19 2004 - mantel@suse.de
- Limit file names in ncpfs (#34100)
* Thu Feb 05 2004 - mantel@suse.de
- check interpreter type to prevent possible local DoS (#34287)
* Thu Feb 05 2004 - mantel@suse.de
- return proper error codes for do_munmap() failure in mremap
* Wed Dec 17 2003 - mantel@suse.de
- add missing check in mremap
* Tue Dec 02 2003 - mantel@suse.de
- don't let O_DIRECT expose stale disk blocks (#27930)
- check bounds in do_brk (#33444)
- don't allow sending signals to modprobe started by kmod
- initialize all fields when reading the RTC
* Mon Aug 04 2003 - agruen@suse.de
- #28342: patches.common/load_elf_binary-unwind: fixes the failure
  paths added by binfmt-elf-checks-1 that unshare-files breaks.
- #28342: patches.common/steal-locks-cleanup: Clean up
  steal_locks(), and move steal_locks() call to the right place
  (as required by binfmt-elf-checks-1).
* Mon Aug 04 2003 - agruen@suse.de
- Add madvise-unmapped-bug from andrea, this adds a missing check
  for madvise(MADV_WILLNEED).
* Thu Jul 31 2003 - mantel@suse.de
- #28132: file-locking-fix: Fix unshare-files bug that causes
  processes to lose POSIX file locks after execve(2).
* Thu Jul 31 2003 - mantel@suse.de
- prevent possible DoS in netfilter code
* Wed Jul 30 2003 - olh@suse.de
- add patches.common/proc_ioports_overflow
  prevent userland buffer overflow when reading /proc/ioports
  (#27497 - LTC3236)
* Thu Jul 17 2003 - mantel@suse.de
- fix root access to /proc/<pid>/environ
* Tue Jul 15 2003 - mantel@suse.de
- fix TIME_WAIT problem with nfsd fix (#27937)
* Tue Jul 15 2003 - mantel@suse.de
- fix access to /proc/<pid>/cmdline
* Tue Jul 15 2003 - mantel@suse.de
- fix side-effect of proc-environment fix
* Thu Jul 10 2003 - mantel@suse.de
- fix several race conditions in procfs
* Mon Jul 07 2003 - agruen@suse.de
- Modify NFS ACL patch so that Solaris no longer gets irritated.
* Mon Jul 07 2003 - mantel@suse.de
- fix V.110 dialin to HFC_PCI ISDN adapters
* Mon Jul 07 2003 - mantel@suse.de
- fix nfsd vulnerability
* Mon Jul 07 2003 - mantel@suse.de
- fix execve() file read race vulnerability
* Tue Jun 24 2003 - mantel@suse.de
- fix race in /proc file access from 2.4.21pre6(attach 4414, #25695)
* Tue Jun 24 2003 - mantel@suse.de
- fix deadlock in IPC SHM locking (#26947)
* Tue Jun 24 2003 - mantel@suse.de
- have sd_open() schedule instead of spinning hard (#26786)
* Mon Jun 23 2003 - mantel@suse.de
- fix netevent deadlock
* Wed Jun 04 2003 - mantel@suse.de
- Fix SMP races in floppy driver (#25656)
* Wed Jun 04 2003 - mantel@suse.de
- remove SMP-unsafe BUG in __remove_inode_page
* Mon May 26 2003 - mantel@suse.de
- fix specfile (do not rely on /proc being mounted)
* Mon May 26 2003 - mantel@suse.de
- fix console redirect bug
* Fri May 23 2003 - mantel@suse.de
- initialize lilo after kernel update if needed
* Fri May 23 2003 - mantel@suse.de
- fix kernel panic with pptpd when mss > mtu
* Fri May 23 2003 - mantel@suse.de
- fix incorrect memcpy in ioport fix
* Thu May 22 2003 - agruen@suse.de
- More cleanups in the NFS ACL protocol extension. Fix another
  potential memory leak.
* Wed May 21 2003 - agruen@suse.de
- Fix errors in the NFS ACL protocol extensions of nfs:
  + Removing default ACLs was causing a NULL pointer assignment
  Oops.
  + The nfs client now also refreshes inodes in the ACL related
  RPCs, so the client cache is up to date earlier.
  + Release ACLs correctly in nfs client even for misbehaving
  server.
- Fix errors in the NFS ACL protocol extensions of nfsd:
  + Fix Oops by adding checks for dentry==NULL and
  dentry->d_inode==NULL in nfs3svc_encode_getaclres. Triggerable
  by causing accesses to stale file handles.
  + GETACL RPC did not properly report the number of Default ACL
  entries, but reported the number of Access ACL entries instead.
* Mon May 19 2003 - mantel@suse.de
- fix CMD680/SII clocking problems (could lead to data corruption)
* Mon May 19 2003 - mantel@suse.de
- fix problem for dynamic PRT entries (#26316)
* Mon May 19 2003 - mantel@suse.de
- Update common/fix-module-loader to 2.4.21-rc2 fix level (#26289)
* Fri May 16 2003 - agruen@suse.de
- Add patches.common/nethashfix. The original comments from the
  2.5 changesets related to this bug are:
  + [NET]: Fix hashing exploits in ipv4 routing, IP conntrack,
  +        and TCP synq.
  +
  + Several hash table implementations in the networking were
  + remotely exploitable.  Remote attackers could launch attacks
  + whereby, using carefully choosen forged source addresses,
  + make every routing cache entry get hashed into the same hash
  + chain.
  +
  + Netfilter's IP conntrack module and the TCP syn-queue
  + implementation had identical vulnerabilities and have been
  + fixed too.  The choosen solution to the problem involved
  + using Bob's Jenkins hash along with a randomly choosen
  + input.  For the ipv4 routing cache we take things one step
  + further and periodically choose a new random secret.  By
  + default this happens every 10 minutes, but this is
  + configurable by the user via sysctl knobs.
  + [NET]: Cosmetic cleanups of jhash code.
  + - Consistent naming (i.e. jhash_xxx)
  + - Reduces the 2&1 word variants to call jhash_3words()
  + - Replaces __inline__ with inline.
* Fri May 16 2003 - agruen@suse.de
- Add patches.common/ioport. The original comment from the
  2.5 changeset for this bug is:
  + This makes sure that the ioperm bitmap in the TSS is
  + correctly set up during the first ioperm() call.  Without
  + this the TSS bitmap contains random garbage until the next
  + context switch.
- Add patches.common/x86_64-ioport from UL_1_0_CGL_BRANCH.
  (Submitted there from ak@suse.de.)
* Wed Apr 16 2003 - mantel@suse.de
- fix wrong #if in hardirq.h (should be #ifdef) (#26320)
* Wed Apr 16 2003 - mantel@suse.de
- add blk-atomic-fix from Jens
* Wed Apr 16 2003 - mantel@suse.de
- back out patches.common/fsync-msync-async-errors
* Tue Apr 15 2003 - mantel@suse.de
- fix problems introduced by ptrace fix (#26289)
* Tue Apr 15 2003 - mantel@suse.de
- allow IDE DMA for newer Intel chipsets (such as Centrino)
* Mon Apr 14 2003 - mantel@suse.de
- fix race in IDE driver that results in stack corruption (#26285)
* Mon Apr 14 2003 - mantel@suse.de
- fix smbfs unicode problem
- fix LFS on smbfs (#18472)
* Fri Apr 11 2003 - mantel@suse.de
- update bcm5700 driver to 6.2.2. Solves problem with MAC address
  being all zero (#26074)
* Wed Apr 09 2003 - mantel@suse.de
- fix output of /proc/ram for ecc driver (#22388)
* Tue Apr 08 2003 - mantel@suse.de
- enable CONFIG_PDC202XX_FORCE
* Tue Apr 08 2003 - mantel@suse.de
- fix aic7xxx EISA ioport registration. (#25856)
* Wed Apr 02 2003 - mantel@suse.de
- fix oops introduced by ptrace security fix
* Mon Mar 17 2003 - mantel@suse.de
- compile quotav2 support as module
* Mon Mar 17 2003 - mantel@suse.de
- enable CONFIG_SCSI_QLOGIC_QLA2XXX_QLA2100
* Mon Mar 17 2003 - mantel@suse.de
- fix module loader bug
* Mon Mar 17 2003 - mantel@suse.de
- update qla2x00 driver to v6.01.00-fo-dist; fixes performance
  problem with bounce buffers
* Sun Mar 16 2003 - agruen@suse.de
- Merge "[PATCH 2.4.21pre5] Ext2/3: noatime ignored for newly
  created inodes" from Theodore Ts'o, and adjust the following
  patches accordingly.
* Sun Mar 16 2003 - agruen@suse.de
- Add Hubert's three line apic fix from 2003-03-16.
* Sun Mar 16 2003 - agruen@suse.de
- Mark patches.common/x86_64-sys to apply on x86_64 only.
* Sat Mar 15 2003 - schwab@suse.de
- Remove obsolete part from ia64 patch.
* Fri Mar 14 2003 - mantel@suse.de
- link quota v2 support into the kernel
- enable IPMI driver
* Fri Mar 14 2003 - ak@suse.de
- add missing file from last commit
* Fri Mar 14 2003 - ak@suse.de
- x86_64: merge with x86-64.org CVS (lots of bugfixes)
- x86_64: merge AIO 32bit emulation fixes from UL
* Fri Mar 14 2003 - agruen@suse.de
- Update from Chris <mason@suse.com>: "In testing here, the
  reiserfs-prepare_overflow path triggered a long standing bug in
  fs/reiserfs/stree.c:prepare_for_delete_or_cut() (the same place
  as the bug reiserfs-prepare_overflow was fixing)."
  Journal_begin() may not reserve enough blocks in the journal,
  which causes an oops.
* Fri Mar 14 2003 - agruen@suse.de
- Fix for #25393: NFS mounts of reiserfs exports: symlink(2)
  fails with EIO from jeff. Adding patch as
  patches.common/reiserfs-setattr-symlink.
- Add fix for failure patch in nfsd_symlink as
  patches.common/nfsd-failpath-fix. This was triggered by #25393.
* Fri Mar 14 2003 - mantel@suse.de
- add some machines to ACPI blacklist
* Fri Mar 14 2003 - mantel@suse.de
- fix memory leak in e100 driver
* Fri Mar 14 2003 - mantel@suse.de
- make IPMI driver compile with new ACPI code
* Fri Mar 14 2003 - mantel@suse.de
- backport network fixes from 2.4.21pre5aa1; fixes highmem crashes
  with NFS and memory corruption problem
* Fri Mar 14 2003 - mantel@suse.de
- preserve argv[0] in binfmt_misc
* Fri Mar 14 2003 - mantel@suse.de
- replace "threads" with "siblings" in /proc/cpuinfo (#25344)
* Fri Mar 14 2003 - mantel@suse.de
- re-add ll_rw_block-sync-race; problem was somewhere else
* Fri Mar 14 2003 - mantel@suse.de
- fix yet another initialization problem in the APIC code
* Thu Mar 13 2003 - mantel@suse.de
- re-activate additional entries in DMI blacklist
* Thu Mar 13 2003 - mantel@suse.de
- fix SMP scheduler deadlock (#24094)
* Thu Mar 13 2003 - mantel@suse.de
- fix wrong return value in ALSA isadma code
* Thu Mar 13 2003 - mantel@suse.de
- fix longstanding APIC initialization problem
* Wed Mar 12 2003 - mantel@suse.de
- reiserfs: do metadata readahead, offers significant performance
  improvements on sequential reads, especially sequential directory
  reads
* Wed Mar 12 2003 - mantel@suse.de
- change reiserfs to use i_size_read and i_size_write, which removes
  races when reading inode->i_size without the inode semaphore held
* Wed Mar 12 2003 - mantel@suse.de
- reiserfs updates:
  o if a file is heavily fragmented we might overflow the transaction
  trying to dirty all the bitmap blocks involved, the fix here is
  to restart the transaction when needed
  o concurrent link/unlinks can create savelinks for files that still
  exist, the fix here is to be somewhat smarter about when we
  change the link count
  o snapshots need a journal_end_sync so that a log replay isn't
  required on the snapshot
  o give stat data updates priority in do_journal_begin, should
  improve latency during stat data updates
* Wed Mar 12 2003 - mantel@suse.de
- update aacraid driver to 0.9.9-axb03
- update LSI Fusion-MPT driver to 2.04.00.01
* Wed Mar 12 2003 - mantel@suse.de
- add correct support for IBM x445 ("RUTHLESS")
* Wed Mar 12 2003 - mantel@suse.de
- update ALSA to CVS version 20030312:
- oops of usb-audio driver at disconnection
- possible double-free, oops on OSS sequencer emulation
- capture problem on trident 4D NX / SIS7018
- double spdif entries on SIS7018
- support for ICH5
- fixed memory check for SB Audigy
* Wed Mar 12 2003 - mantel@suse.de
- if we cannot enable udma 3/4/5, don't return good status
* Wed Mar 12 2003 - agruen@suse.de
- Re-adding patches.common/close-root-fd patch.
* Tue Mar 11 2003 - mantel@suse.de
- fix PreReq
- make sure modules.dep is part of the RPM
* Tue Mar 11 2003 - agruen@suse.de
- Add patches.common/jfs-sync-barrier-hang from Dave Kleikamp,
  which fixes a bug where the synchronization-ready flag is
  not cleared after sync, prohibiting further transactions from
  starting.
* Tue Mar 11 2003 - agruen@suse.de
- Merge the fixes from solaris-acl-nfs2 into the solaris-acl-nfsd
  and solaris-acl-nfs patches.
* Tue Mar 11 2003 - mantel@suse.de
- update ALSA to CVS version 20030311:
- fix the DMA bitmask for emu10k1 audigy.
- added the support for intel ICH5.
* Tue Mar 11 2003 - mantel@suse.de
- drop "ll_rw_block-sync-race", because this can create deadlocks
  on ext3fs
* Tue Mar 11 2003 - mantel@suse.de
- make IDE code compile with gcc 2.95.3
* Tue Mar 11 2003 - mantel@suse.de
- correctly initialize inode->i_rdev in alloc_inode
* Mon Mar 10 2003 - mantel@suse.de
- added popt and popt-devel to #neededforbuild
- enable CONFIG_IPPP_FILTER
- disable CONFIG_NFSD_TCP
* Mon Mar 10 2003 - agruen@suse.de
- Fix for #25012: Deadlock with nfs + ext3
* Mon Mar 10 2003 - mantel@suse.de
- add hooks for prefiltering packets for the timeout calculation
  in ISDN code
* Mon Mar 10 2003 - mantel@suse.de
- activate USB hotplug in accordance with number of interfaces
* Mon Mar 10 2003 - mantel@suse.de
- fix hang problem in tulip-fiber code
* Mon Mar 10 2003 - mantel@suse.de
- pass through all ioctl's for pdcraid (#13255)
* Mon Mar 10 2003 - stepan@suse.de
- update to bootsplash 3.0.7 (explicitly set verbose mode,
  bug #24985)
* Mon Mar 10 2003 - stepan@suse.de
- update to bootsplash 3.0.6 (switch to verbose for crypto pw)
* Sun Mar 09 2003 - kukuk@suse.de
- Add km_oprofile
- Don't build modules in sub shell
* Sun Mar 09 2003 - agruen@suse.de
- jfs-acl: Remove accidental leftover in fs/Config.h that causes
  "make xconfig" to fail.
- Fix a number of additional syntax errors in configure scripts;
  see patches.common/config-sytax-errors.
* Sat Mar 08 2003 - agruen@suse.de
- Compile fix in split jfs patches.
- Compile fix in (currently disabled)
  patches.common/solaris-acl-nfs2.
* Fri Mar 07 2003 - agruen@suse.de
- Align with UL kernel: split jfs-acl-fix patch into the
  following: jfs-locking-fix, jfs-blk-atomic, jfs-acl-fix.
  (On UL, jfs-blk-atomic cannot be applied for S/390.)
* Fri Mar 07 2003 - garloff@suse.de
- Add extraversion -athlon for CONFIG_MK7 kernels.
* Fri Mar 07 2003 - mantel@suse.de
- always setup DMA for IDE, so that "hdparm -d1 /dev/hdX" after boot
  does not crash the machine
* Fri Mar 07 2003 - mantel@suse.de
- add IDE support for i865 chipset
* Fri Mar 07 2003 - mantel@suse.de
- add PCI device IDs to e100 driver (for i865 chipset)
* Fri Mar 07 2003 - mantel@suse.de
- add sysctl_sched_yield_scale feature that allows choosing between
  optimization for scalability and interactiveness. By default it
  is switched off, so the behaviour is completely unchanged. For
  certain benchmarks, one wants to "echo 1 > /proc/sys/sched_yield_scale"
* Fri Mar 07 2003 - mantel@suse.de
- fix off-by-one error in ioremap
* Fri Mar 07 2003 - mantel@suse.de
- update via82cxxx driver to 3.36. Fixes problem with vt8233a and
  vt8235 southbridges
* Fri Mar 07 2003 - mantel@suse.de
- cleanup IDE code; obsoletes ide-nulldriver and ide-pci-id-NULL
* Fri Mar 07 2003 - agruen@suse.de
- Replace reiserfs-tentative with reiserfs-xattr-fixes from
  Jeff Mahoney.
* Thu Mar 06 2003 - schwab@suse.de
- Readd ACPI updates from HP.
* Thu Mar 06 2003 - agruen@suse.de
- Enable extended attribute sharing for ext2/ext3. This feature
  was accidentally disabled due to a bug in fs/mbcache.c. Critical
  change if ACLs/EAs are used on ext2/ext3.
* Thu Mar 06 2003 - agruen@suse.de
- Fix two debug messages in fs/ext2/xattr.c and fs/ext3/xattr.c
  (they are nor compiled into our kernels, so it's cosmetic only).
* Thu Mar 06 2003 - mantel@suse.de
- some samsung drives get confused by the stroke option (needed to
  use > 32 GB drives with older BIOS). Make sure this option is
  only used when really needed
* Thu Mar 06 2003 - mantel@suse.de
- fix unresolved symbol BUG in "freq_table.o" without the bug.h
  backport from 2.5 (broke x86_64)
* Thu Mar 06 2003 - stepan@suse.de
- update boot-splash to v3.0.5
  * simplify function key handling
  * use F2 instead of F10 to match grub key for silent mode
  * fix blanking on splash console
  * only use silent picture when it fits into the fb.
  * only use splash screen on cfb16 framebuffers for now.
  * some updates to the box code.
* Thu Mar 06 2003 - schwab@suse.de
- Go back to 20020517 ACPI patch for ia64.
* Thu Mar 06 2003 - mantel@suse.de
- drop patch "binfmt-misc-interpreter", since it changes the output
  of /proc/*/stat, which can break a lot of things (#24290)
* Thu Mar 06 2003 - agruen@suse.de
- Complete NFS ACL support (listxattr and removexattr were still
  missing, but they are not extremely critical). Still needs to
  be thoroughly tested, so the changes are in a separate patch
  (patches.common/solaris-acl-nfs2), which is not included by
  default.
* Wed Mar 05 2003 - mantel@suse.de
- update config; fix Prereq
* Wed Mar 05 2003 - mantel@suse.de
- fix list-del bug in netfilter
* Wed Mar 05 2003 - mantel@suse.de
- update ALSA to CVS version 20030305
* Wed Mar 05 2003 - mantel@suse.de
- backport BUG macro from 2.5 kernel; needed for the cpufreq stuff
* Wed Mar 05 2003 - olh@suse.de
- apply a bunch of 2.4.21-pre5 fixes
  ethernet padding, official version of xid nfs race
  official version of tcp-retrans-collapse
  adapt call-reserve2 for new nfs-xid-smp
  obsolete export-obj-scx200
  patches.common/amd8111e_loopfix-21pre5
  patches.common/atm_nicstar_traffic-class-21pre5
  patches.common/bluetooth-21pre5
  patches.common/call-reserve2
  patches.common/disable_write_combine_450NX-21pre5
  patches.common/drivers-net-starfire-21pre5
  patches.common/drivers_radio-cadet_spinlock-21pre5
  patches.common/eth_3c523_typo-pre5
  patches.common/eth_e2100-crash-pre5
  patches.common/eth_padding-generic_skb_padto-pre5
  patches.common/export-obj-scx200
  patches.common/fixes-2.4.21-pre4-pre5.mbox
  patches.common/fs_ext3_i_blocks-truncate-21pre5
  patches.common/i386_amd768_rng-8111-21pre5
  patches.common/i386_ipmi-21pre5
  patches.common/i386_p4-type-21pre5
  patches.common/i386_smpboot-target_cpus-21pre5
  patches.common/i386_syscall_compat-21pre5
  patches.common/ide-masked_irq-21pre5
  patches.common/ide_cs-taskcontext-21pre5
  patches.common/ide_dma_off_quietly-21pre5
  patches.common/ide_raid-21pre5
  patches.common/ide_siimage_cleanup-21pre5
  patches.common/ide_umc_check_region-21pre5
  patches.common/iph5526_loopfix-21pre5
  patches.common/keyboard_led-21pre5
  patches.common/net-handle_ACKless_packets-21pre5
  patches.common/nfs-xid-smp
  patches.common/sb_mixer-21pre5
  patches.common/scsi_gdth_nullpointer-21pre5
  patches.common/smctr_loopfix-21pre5
  patches.common/sony_vaio_jogdial-21pre5
  patches.common/sound_es1371_unregister-21pre5
  patches.common/sound_trident_no5451resetfail-21pre5
  patches.common/swapon_mounted-21pre5
  patches.common/tcp-retrans-collapse
  patches.common/tokenring_madgemc_memleak-21pre5
  patches.common/typo_drivers_char_raw-21pre5
  patches.common/video_meye_suspend-21pre5
  patches.common/wireless_airo_pci-21pre5
  patches.common/write_buffer-2GB-21pre5
* Tue Mar 04 2003 - mantel@suse.de
- fix megaraid for x86_64
* Tue Mar 04 2003 - okir@suse.de
- Re-added nfslocks and nfsd-fhalias patches
* Tue Mar 04 2003 - agruen@suse.de
- Disable reiserfs-trusted patch.
- Add reiserfs-tentative patch on top of the other reiserfs
  patches (tentative fix for problems with reiserfs-trusted).
  Not enabled yet.
* Mon Mar 03 2003 - mantel@suse.de
- update config
* Mon Mar 03 2003 - schwab@suse.de
- Update ia64 patch.
* Mon Mar 03 2003 - ak@suse.de
- fix duplicated function
* Mon Mar 03 2003 - ak@suse.de
- update from x86-64.org CVS
- fix hardware breakpoint access for gdb
- fix sigaltstack for IBMJava
- tune TCP/UDP checksumming a bit. Handle unaligned arguments
  and redo the inner loop of csum-partial.
- don't put unwind tables into kernel modules.
- don't destroy 64bit fs/gs in signal handlers
* Mon Mar 03 2003 - mantel@suse.de
- update cciss driver to 2.4.44
* Mon Mar 03 2003 - mantel@suse.de
- update sonypi driver to 1.18
* Mon Mar 03 2003 - mantel@suse.de
- update via-rhine driver to 1.1.16
* Mon Mar 03 2003 - mantel@suse.de
- fix small thinko in dpt_i2o driver
* Mon Mar 03 2003 - mantel@suse.de
- make sure to pass the filename to other binfmt handlers (#24290)
* Mon Mar 03 2003 - mantel@suse.de
- add driver for 3cr990 series ("Typhoon")
* Mon Mar 03 2003 - mantel@suse.de
- update tg3 driver to version 1.4c
* Mon Mar 03 2003 - mantel@suse.de
- fix too small buffer in cdrom.c
* Mon Mar 03 2003 - mantel@suse.de
- update IBM ServeRAID driver ips.c to version 6.00.26. This driver
  can now be used on i386, x86_64 and ia64. The older driver
  (5.11.05) is still available (for i386 only) as "ips_old"
* Mon Mar 03 2003 - mantel@suse.de
- don't skip whole ACPI initialization when the embedded controller
  can not be initialized
* Mon Mar 03 2003 - mantel@suse.de
- add cpufreq feature
* Mon Mar 03 2003 - mantel@suse.de
- update amd74xx driver to 2.10
* Mon Mar 03 2003 - mantel@suse.de
- add relaxed aml checking option to ACPI to work around broken
  ACPI implementations of some laptops
* Mon Mar 03 2003 - mantel@suse.de
- update ACPI to 20030228
* Mon Mar 03 2003 - mantel@suse.de
- make new megaraid driver actually compile with our kernel
* Mon Mar 03 2003 - mantel@suse.de
- fix some more gcc33 compile warnings in module.h
* Mon Mar 03 2003 - mantel@suse.de
- make sure free blocks really get comitted for reiserfs
* Mon Mar 03 2003 - mantel@suse.de
- update megaraid driver to 1.19.6 (#24460)
* Mon Mar 03 2003 - mantel@suse.de
- update aic7xxx driver to 6.2.29
- update aic79xx driver to 1.3.2
* Mon Mar 03 2003 - mantel@suse.de
- drop reiserfs-dirty_inode. Leaving inodes dirty instead of
  logging them all the time can result in a huge number of dirty
  inodes floating around the box if kupdate can't call write_inode
  fast enough
* Sun Mar 02 2003 - agruen@suse.de
- Don't use kmalloc in qsort anymore: This is expected to hurt
  the common case (sorting very small arrays). Also, change the
  prototype to a void return value, like in POSIX. For building
  qsort into the kernel, add EXPORT_SYMBOL(qsort) to
  kernel/ksyms.c to it that is always linked in.
- Remove errno patch (which defines ENOATTR as ENODATA
  and ENOTSUP as EOPNOTSUPP) and use ENODATA and EOPNOTSUPP
  directly, as in the 2.5 kernel.
* Sat Mar 01 2003 - agruen@suse.de
- Add fix for ReiserFS ACL remount bug [#24237] from Jeff Mahoney.
- Fold reiserfs-acl-revert-flags and Jeff's init cleanup into
  reiserfs-acl.
- Add Jeff's reiserfs trusted xattr patch.
* Fri Feb 28 2003 - olh@suse.de
- update patches.common/firewire_ieee1394 (rev 805)
  fix crash on rmmod dv1394 due to access of freed list element
* Thu Feb 27 2003 - mantel@suse.de
- properly initialize {acm}time for cramfs
* Thu Feb 27 2003 - mantel@suse.de
- make sure APIC is really disabled for UP kernel when kernel
  parameter "apic" is not used
* Wed Feb 26 2003 - mantel@suse.de
- fix compilation for non-highmem case
* Tue Feb 25 2003 - mantel@suse.de
- add modules from km_atmel
* Tue Feb 25 2003 - bk@suse.de
- alsa ac97: skip modem-only codecs, fixes superflous mixer controls
- add omnibook driver for HP OmniBooks, Toshiba Satellites and others.
  Features control of LCD backlight on/off and brightness,  Battery
  and AC status, Fan and fan policy support, touchpad enable/disable,
  external display monitoring, docking station/port replicator support
  and is able to emulate APM battery status monitoring if ACPI has
  problems querying the ACPI functions for battery and AC status.
- Fix setting apm_info.disabled if APM does not activate because
  of SMP or ACPI already active. Allows the omnibook driver to emulate
  APM battery status monitoring and fixes an APM check in thinkpadpm.c
* Tue Feb 25 2003 - ak@suse.de
- update x86-64 to latest CVS
- add kgdb stub for x86-64
- disable noexec for now
- remove workarounds for older gcc 3.3 versions
* Tue Feb 25 2003 - mantel@suse.de
- add config variable CONFIG_SUSE_KERNEL to allow distinguish a
  SuSE kernel from the vanilla kernel
* Tue Feb 25 2003 - mantel@suse.de
- fix broken reiserfs-barrier patch
* Mon Feb 24 2003 - mantel@suse.de
- fix mount -o remount,barrier= handling for reiserfs
* Mon Feb 24 2003 - mantel@suse.de
- more precise reiserfs qutoas on symlinks
* Mon Feb 24 2003 - mantel@suse.de
- defer reiserfs logging for atime/mtime/ctime updates, improving
  performance
* Mon Feb 24 2003 - mantel@suse.de
- prevent deadlocks during show_task()
* Mon Feb 24 2003 - mantel@suse.de
- some optimizations to kinoded
* Mon Feb 24 2003 - mantel@suse.de
- fix O_DIRECT on NFS
* Mon Feb 24 2003 - mantel@suse.de
- fix generic xdr nfs highmem deadlock
* Mon Feb 24 2003 - mantel@suse.de
- update ntfs to 2.1.1a
* Mon Feb 24 2003 - schwab@suse.de
- Update ia64 patches.
* Mon Feb 24 2003 - mantel@suse.de
- update cifs to 0.6.8
* Mon Feb 24 2003 - mantel@suse.de
- fix broken fsync (#23679)
* Fri Feb 21 2003 - mantel@suse.de
- add new driver megaraid-v2.00.3 (old one still there)
* Fri Feb 21 2003 - mantel@suse.de
- fix reiserfs j_wcount = 0 BUG
* Fri Feb 21 2003 - mantel@suse.de
- fix ACPI compilation for x86_64
* Fri Feb 21 2003 - mantel@suse.de
- fix LVM snapshot for multipathing
* Fri Feb 21 2003 - mantel@suse.de
- switch off NETDEBUG
* Fri Feb 21 2003 - mantel@suse.de
- update ALSA to CVS version 20030220
* Fri Feb 21 2003 - mantel@suse.de
- get rid of some io stalls in reiserfs data logging
* Fri Feb 21 2003 - mantel@suse.de
- fix IDE DMA for ide-scsi
* Fri Feb 21 2003 - mantel@suse.de
- update thinkpad drivers to 4.1
* Thu Feb 20 2003 - mantel@suse.de
- update config
* Thu Feb 20 2003 - ak@suse.de
- fix strace on x86-64
* Thu Feb 20 2003 - mantel@suse.de
- fix megaraid driver for x86_64
* Thu Feb 20 2003 - mantel@suse.de
- update orinoco wlan driver to 0.13b
* Thu Feb 20 2003 - mantel@suse.de
- add CIFS version 0.5.8
* Thu Feb 20 2003 - mantel@suse.de
- update ACPI to 20030218
* Wed Feb 19 2003 - mantel@suse.de
- fix 'idescsi shows my cdrom xx times' bug
* Wed Feb 19 2003 - mantel@suse.de
- make uml compile again (got broken by linux-abi feature)
* Wed Feb 19 2003 - ak@suse.de
- readd vesafb-enable-mtrr
* Wed Feb 19 2003 - ak@suse.de
- use mtrrs for faster vesafb scrolling
- remove bogus patch
* Tue Feb 18 2003 - ak@suse.de
- update x86-64 to newer CVS state
- fix x86-64 NUMA kernel
- add x86-64 fixes for gcc 3.3
- disable sign warnings for gcc 3.3
* Tue Feb 18 2003 - mantel@suse.de
- ISDN updates from Karsten Keil
* Tue Feb 18 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.03
* Mon Feb 17 2003 - mantel@suse.de
- update config
* Mon Feb 17 2003 - olh@suse.de
- add patches.common/usb-2.4
  update patches.common/module-license
  remove auerswald module license
  update patches.common/quickcam , patches.common/speedtouch
  move some lines to make usb-2.4 happy
* Mon Feb 17 2003 - olh@suse.de
- update patches.common/logbuffer-length
  128k LOG_BUF_LEN on ppc32
* Mon Feb 17 2003 - olh@suse.de
- update patches.common/firewire_ieee1394
  increase sbp2_max_outstanding_cmds 8 -> 64
* Mon Feb 17 2003 - mantel@suse.de
- update bttv subsystem to latest version from Gerd Knorr (kraxel)
* Mon Feb 17 2003 - mantel@suse.de
- add workaround for PS2 reconnect problem
* Mon Feb 17 2003 - mantel@suse.de
- add Nokia 5510 to list of unusual USB storage devices
* Mon Feb 17 2003 - mantel@suse.de
- update to 2.4.21-pre4aa3
* Sat Feb 15 2003 - olh@suse.de
- update patches.common/firewire_ieee1394
  change in Video1394 and DV1394 ioctl API, dma handling updates
* Fri Feb 14 2003 - mantel@suse.de
- re-add ACPI addons present in prior kernel
* Fri Feb 14 2003 - ak@suse.de
- fix x86-64 numa zone initialization
* Fri Feb 14 2003 - mantel@suse.de
- fix oops in IDE driver (triggered eg by hwscan)
* Fri Feb 14 2003 - agruen@suse.de
- New reiserfs-acl patch from jeff Mahoney addressing [#23603].
* Fri Feb 14 2003 - aj@suse.de
- Fix dpt_i2o to compile on unknown archs
* Fri Feb 14 2003 - ak@suse.de
- use -gstabs for i386 kgdb build to save space
* Fri Feb 14 2003 - ak@suse.de
- fix XFS and reiserfs build
* Wed Feb 12 2003 - mantel@suse.de
- add some module license tags
* Wed Feb 12 2003 - mantel@suse.de
- fix wrong increment of sd_blocks in reiserfs (used by quota code)
* Wed Feb 12 2003 - mantel@suse.de
- update ALSA to CVS version 20030211 (includes fix for SB oops)
* Tue Feb 11 2003 - mantel@suse.de
- fix oops in ALSA sound driver for SB card
* Mon Feb 10 2003 - mantel@suse.de
- update config
* Mon Feb 10 2003 - bk@suse.de
- from olh in UL_1_0: update patches.common/io_request_lock:
  do not call __scsi_release_command() instead of
  scsi_release_command() in __scsi_end_request().
  Avoids recursion problem in error path. (#21727) LTC1512
- update loop-hardsect from ul cvs to cvs head and enable it
* Mon Feb 10 2003 - mantel@suse.de
- update aic7xxx driver to 6.2.28
* Mon Feb 10 2003 - mantel@suse.de
- correctly handle RECOVERED_ERROR sense key even if the information
  field is not marked valid
* Mon Feb 10 2003 - mantel@suse.de
- add agpgart support for the new Intel 855/865 chipsets
* Mon Feb 10 2003 - mantel@suse.de
- fix hangup during XSession logout on i810 systems if 3D is enabled
* Mon Feb 10 2003 - mantel@suse.de
- add route-ip-frag-timeout feature
* Mon Feb 10 2003 - mantel@suse.de
- update ALSA to CVS version 20030207
* Mon Feb 10 2003 - mantel@suse.de
- add elevator merge hint feature to reduce system time
* Mon Feb 10 2003 - mantel@suse.de
- re-add support for Cenatek Rocket Drive
* Mon Feb 10 2003 - mantel@suse.de
- optimize ACPI code for size (use CFLAG -Os)
* Mon Feb 10 2003 - mantel@suse.de
- re-add pmac-ide-highmem
* Mon Feb 10 2003 - mantel@suse.de
- re-add barrier feature
* Mon Feb 10 2003 - mantel@suse.de
- update firewire to version from 05 Feb 2003
* Fri Feb 07 2003 - ak@suse.de
- disable x86-64 machine check again because it is broken.
* Thu Feb 06 2003 - schwab@suse.de
- Update ips driver to 6.0.25.
* Thu Feb 06 2003 - ak@suse.de
- enable machine check for x86-64
* Thu Feb 06 2003 - ak@suse.de
- Readd x86_64-force-io-inline (for gcc 3.3)
* Thu Feb 06 2003 - schwab@suse.de
- Fix missing symbol export.
* Thu Feb 06 2003 - schwab@suse.de
- Extend frlock patch to all architectures.
* Thu Feb 06 2003 - schwab@suse.de
- Tweak version check in mtd driver.
* Thu Feb 06 2003 - mantel@suse.de
- fix reiserfs-quota for new kernel
* Thu Feb 06 2003 - ak@suse.de
- readd sem_semcount that got lost for x86-64
* Thu Feb 06 2003 - ak@suse.de
- force inlining for x86_64 io.h functions for gcc 3.3
* Thu Feb 06 2003 - ak@suse.de
- fix acpi-arch-x86_64 patch
* Wed Feb 05 2003 - ak@suse.de
- fix eth naming in irlan (bug #21858)
* Wed Feb 05 2003 - ak@suse.de
- update x86-64 and remove lots of old patches.
* Wed Feb 05 2003 - mantel@suse.de
- fix unresolved symbol problem in sound/snd-pcm.o
* Wed Feb 05 2003 - mantel@suse.de
- re-add still needed part of ioapic-8131-quirk
* Wed Feb 05 2003 - mantel@suse.de
- export symbols copy_fs_struct and balance_dirty
* Wed Feb 05 2003 - schwab@suse.de
- Fix missing headers.
* Wed Feb 05 2003 - mantel@suse.de
- fix version number (it's still 2.4.20, not 2.4.21)
* Wed Feb 05 2003 - schwab@suse.de
- Fix multiline string literal.
* Wed Feb 05 2003 - mantel@suse.de
- increase maximum number of kernel command line args
* Wed Feb 05 2003 - schwab@suse.de
- Fix more build problems.
* Wed Feb 05 2003 - mantel@suse.de
- update reiserfs-data-logging for new kernel
* Wed Feb 05 2003 - mantel@suse.de
- update to 2.4.21-pre4aa1
* Tue Feb 04 2003 - schwab@suse.de
- Remove all ACPI patches from ia64 patch.
- Fix ACPI update.
- Fix futex patch.
- Fix affinity patch.
- Fix kgdb patch.
- Add ACPI hotplug patch.
* Tue Feb 04 2003 - mantel@suse.de
- re-add aio support for PPC
* Tue Feb 04 2003 - mantel@suse.de
- fix some drivers for new gcc33
* Tue Feb 04 2003 - mantel@suse.de
- make ide_map_buffer and ide_unmap_buffer static inline to make
  new gcc33 happy
* Tue Feb 04 2003 - mantel@suse.de
- adapt some drivers to new kernel version
* Tue Feb 04 2003 - mantel@suse.de
- move new ACPI code update to patches.common
* Tue Feb 04 2003 - mantel@suse.de
- fix kiobuf patch (some fields have just been renamed)
* Tue Feb 04 2003 - mantel@suse.de
- re-add quota support for reiserfs
* Mon Feb 03 2003 - mantel@suse.de
- bump version number
* Mon Feb 03 2003 - agruen@suse.de
- Rename patches.common/config.gz to patches.common/config_gz:
  it's a patch not a gzip'ed patch...
- Fix compilation of jfs.
- Update to XFS 1.2-pre (2003-01-14_00:43_UTC).
- Resurrect patches.common/jfs-umount_hang.
* Mon Feb 03 2003 - mantel@suse.de
- fix typo in quota code in buffer.c
* Mon Feb 03 2003 - mantel@suse.de
- remove unneeded rl-corrupt patch
* Mon Feb 03 2003 - mantel@suse.de
- remove duplicate exports
* Mon Feb 03 2003 - mantel@suse.de
- remove excessive hangcheck modules (only hangcheck-timer is needed)
* Mon Feb 03 2003 - mantel@suse.de
- update reiserfs patches for new kernel
* Mon Feb 03 2003 - mantel@suse.de
- remove obsolete patches largepage-noPAE-compile and fix-bigpage-hang
* Mon Feb 03 2003 - mantel@suse.de
- update ACPI to 20030125
* Mon Feb 03 2003 - mantel@suse.de
- re-add md-mp feature
* Fri Jan 31 2003 - schwab@suse.de
- Add perfmon fix.
* Thu Jan 30 2003 - schwab@suse.de
- Update ia64 patch to 2.4.20-021210.
- Adapt remaining ia64 patches.
* Sat Jan 25 2003 - ak@suse.de
- increase inline limit for gcc 3.3 on x86_64
* Thu Jan 23 2003 - mantel@suse.de
- allow get/set floating-point exception mode (if meaningful)
* Thu Jan 23 2003 - mantel@suse.de
- remove micro-optimization "x86-fast-pte" since it seems to cause
  instabilities for DRM on some machines
* Wed Jan 22 2003 - mantel@suse.de
- update HTB packet scheduler to 3.6
* Wed Jan 22 2003 - mantel@suse.de
- fix several drivers for GCC 3.3
* Tue Jan 21 2003 - mantel@suse.de
- enable CONFIG_NET_SCH_HTB
* Tue Jan 21 2003 - mantel@suse.de
- add Minolta Dimage 7i to list of unusual USB devices
* Tue Jan 21 2003 - mantel@suse.de
- update ips ServeRAID driver to 5.11.05 for non-IA64
* Tue Jan 21 2003 - mantel@suse.de
- add HTB packet scheduler support
* Tue Jan 21 2003 - mantel@suse.de
- update ALSA to CVS version 20030120 (fix xconfig|menuconfig)
* Tue Jan 21 2003 - mantel@suse.de
- use new version 6.0 of ips driver only for ia64
* Sat Jan 18 2003 - mantel@suse.de
- add km_drm for XFree86 4.3
* Fri Jan 17 2003 - mantel@suse.de
- update config for new ALSA driver
* Fri Jan 17 2003 - mantel@suse.de
- update ALSA to CVS version 20030116
* Fri Jan 17 2003 - mantel@suse.de
- fix treatment of unaligned data for O_DIRECT
* Fri Jan 17 2003 - mantel@suse.de
- update aacraid driver to 0.9.9-axb03
* Fri Jan 17 2003 - mantel@suse.de
- update cciss driver to 2.4.42
* Thu Jan 16 2003 - mantel@suse.de
- add support for IBM x445 ("RUTHLESS"). It's just a one-liner for
  detection of the machine (i386 only)
* Thu Jan 16 2003 - mantel@suse.de
- export symbols blk_get_atomic_seq and blk_refile_atomic_queue
* Wed Jan 15 2003 - mantel@suse.de
- export symbol submit_bh_blknr
* Tue Jan 14 2003 - mantel@suse.de
- enable CONFIG_FB_VMWARE_SVGA
* Tue Jan 14 2003 - mantel@suse.de
- add VMware framebuffer support
* Tue Jan 14 2003 - mantel@suse.de
- add support for tulip based fibre cards (eg. SMC1255FTX)
* Tue Jan 14 2003 - mantel@suse.de
- add hidden network device functionality
* Tue Jan 14 2003 - mantel@suse.de
- update aacraid driver to 1.0.1
* Mon Jan 13 2003 - mantel@suse.de
- add openafs
* Mon Jan 13 2003 - mantel@suse.de
- don't enable high-I/O for qla2x00 driver for now
* Mon Jan 13 2003 - mantel@suse.de
- update BCM5700 driver to 5.0.17
- update quickcam driver to 0.40c
* Mon Jan 13 2003 - mantel@suse.de
- fix highmem I/O for qla2x00 driver
* Mon Jan 13 2003 - mantel@suse.de
- update EVMS to 1.2.1
* Mon Jan 13 2003 - mantel@suse.de
- update JFS to 1.1.1
* Mon Jan 13 2003 - mantel@suse.de
- update i2c and lm_sensors to 2.7.0
* Mon Jan 13 2003 - mantel@suse.de
- fix unresolved symbols for ALSA
* Fri Jan 10 2003 - mantel@suse.de
- update config
* Fri Jan 10 2003 - mantel@suse.de
- update Syskonnect driver sk98lin to v6.02
* Fri Jan 10 2003 - mantel@suse.de
- update megaraid driver to v1.18f
* Fri Jan 10 2003 - mantel@suse.de
- fix typo in sound/pci/ice1712/Makefile that prevented module from
  being built
* Fri Jan 10 2003 - mantel@suse.de
- add driver for Sigma Designs Hollywood Plus and Creative Labs DXR3
* Fri Jan 10 2003 - mantel@suse.de
- Update CCISS driver to 2.4.41
* Fri Jan 10 2003 - mantel@suse.de
- Update LSI Fusion driver to 2.03.00 (sync with maintenance)
* Thu Jan 09 2003 - ak@suse.de
- make x86_64 compile again.
* Thu Jan 09 2003 - mantel@suse.de
- prevent statfs overflow for huge NFS filesystems
* Thu Jan 09 2003 - mantel@suse.de
- drop ppp-header_length patch
* Wed Jan 08 2003 - mantel@suse.de
- update openssl-mppe to 0.9.6b
* Wed Jan 08 2003 - mantel@suse.de
- update amd8111e network driver to version 3.0.0
* Tue Jan 07 2003 - mantel@suse.de
- add bcm4400 network driver 1.0.1
* Tue Jan 07 2003 - mantel@suse.de
- update bcm5700 driver to 5.0.14
* Tue Jan 07 2003 - mantel@suse.de
- Fix lockup on full reiserfs (mason@suse.com, #22733).
* Fri Jan 03 2003 - mantel@suse.de
- sync fixes from maintenance tree:
- make sure elv_seq is always zero for async-io
- fix hole+varyio+O_DIRECT bug
* Fri Dec 20 2002 - mantel@suse.de
- fix typo in free_pages_ok_no_irq
* Fri Dec 20 2002 - mantel@suse.de
- sync fixes from maintenance branch:
- fix oops when trying to free pages in aio
- fix off-by-one error in keventd initialization
* Thu Dec 19 2002 - mantel@suse.de
- fix md1 RAID oops when a disk has failed (problem was in md-mp)
* Wed Dec 18 2002 - mantel@suse.de
- sync recent fixes from maintenance branch (blk-atomic and
  varyio for O_DIRECT)
* Tue Dec 17 2002 - mantel@suse.de
- sync superbh feature from maintenance branch
* Tue Dec 17 2002 - mantel@suse.de
- fix data=journal data loss bug on umount
* Mon Dec 16 2002 - bk@suse.de
- add fixed nfs_clear_request-fput(prevent oops w/o ETXTBSY errors)
* Mon Dec 16 2002 - mantel@suse.de
- update ALSA to cvs head version of 20021213
* Mon Dec 16 2002 - mantel@suse.de
- symbol PCI_pin only exists when CONFIG_X86_IO_APIC is active
* Mon Dec 16 2002 - mantel@suse.de
- do a 36 byte SCSI inquiry first and a second one if:
- the device is SCSI-3 or higher
- the INQ results reports that more than 36 bytes are supported
  the second inquiry is done with the reported length
* Mon Dec 16 2002 - mantel@suse.de
- update megaraid driver to 1.18e
* Mon Dec 16 2002 - mantel@suse.de
- sync oracle fixes from maintenance branch to CVS head
* Tue Dec 10 2002 - schwab@suse.de
- ia64-1-ia32-ptrace: add support for sse registers.
- ia64-1-unaligned: fix unaligned handler.
* Tue Dec 10 2002 - agruen@suse.de
- split off scripts/arch-symbols (was duplicated in
  kernel-source.spec and sequence-numbers.sh)
- Fix cross-patching for other architectures
* Mon Dec 09 2002 - mantel@suse.de
- fix last remaining largepage bug reported by Oracle
* Mon Dec 09 2002 - mantel@suse.de
- don't allign "vm_area_struct" in order to save space
* Mon Dec 09 2002 - agruen@suse.de
- move identical patches that have been copied to multiple
  architecture directories back to patches.common, and adjust
  series.conf. Drop now-obsolete scripts/find-duplicates.
- sequence-patch.sh: remove ${SCRATCH}/last.log if last patch
  applied successfully; rename X.sane to X.orig.
* Mon Dec 09 2002 - agruen@suse.de
- add support files for moving to new configuration management
- add series.conf file which specifies which patches apply
  for which architectures
- update kernel-source.spec, scripts/tar-up.sh,
  scripts/sequence-patch.sh to using series.conf.
* Mon Dec 09 2002 - mantel@suse.de
- add workaround for AMD errata #56 for 768MPX chipset
* Thu Dec 05 2002 - mantel@suse.de
- define CONFIG_FUSION_MAX_SGE present in new driver
* Wed Dec 04 2002 - mantel@suse.de
- fix three problems with Unisys ES7000 systems:
-- identification of Fosters/Cascades on ES7000 (required
  "acpi=off" for cascades)
-- handling of ES7000 interrupt override for PCI range
-- forced dump (this is more like a feature, though)
* Mon Dec 02 2002 - schwab@suse.de
- ia64-1-ia32_signal: fix ia32 signal handling.
- ia64-1-memcpy_mck: fix memcpy return value.
- ia64-1-pci-busscan: workaround for buggy firmware.
* Mon Dec 02 2002 - mantel@suse.de
- fix file mark handling bug in osst that breaks backup programs
* Mon Dec 02 2002 - mantel@suse.de
- fix typo in ide-cd.h that prevented compilation of kernel with
  gcc 3.3
* Mon Dec 02 2002 - mantel@suse.de
- fix semaphore.c for gcc 3.3
* Thu Nov 28 2002 - bk@suse.de
- 21877: make nfsd replay cache SMP-safe                   (okir)
- 21877: prevent two rpc requests with the same XID on SMP (okir)
- 21877: set page dirty on NFS write error                 (andrea)
* Thu Nov 28 2002 - ak@suse.de
- add kernel crash dump support for x86-64
- sync with bug selected fixes from x86-64.org CVS upto 021128:
  * add volatile to inline assembly (cvsps #1427)
  * more clear error message for missing aperture	(cvsps #1426)
  * sign extend errnos for 32bit (cvsps #1425)
  * add getdents64 and fix _syscall[56] (cvsps #1423)
  * check cpuid at early boot for all features (cvsps #1422)
  * fix stack rounding for signals (cvsps #1419)
  * fix 32bit getsockopt (cvsps #1416)
  * optimize gs reloading for signals
* Thu Nov 28 2002 - ak@suse.de
- allow NTFS mounting on 64bit (Phillip Thomas)
* Thu Nov 28 2002 - ak@suse.de
- remove obsolete files: x86_64-acpi x86_64-largepages discontig-fix
* Thu Nov 28 2002 - ak@suse.de
- symlink shm-largepage, fix-shm-largepage, pte-highmem,
  core-dump-seek-unmapped to patches.x86_64
- add x86_64-highpte for highpte/largepage support on x86-64
* Mon Nov 25 2002 - bk@suse.de
- update the specfile for the current S/390 release status
* Thu Nov 21 2002 - agruen@suse.de
- Fix ext2/ext3 xattr_handler->list operation: Also don't output
  the terminating '\0' for attributes that are not listed
  (prevents a potential future information leak).
* Thu Nov 21 2002 - ak@suse.de
- fix LVM major checking in XFS
* Wed Nov 20 2002 - bk@suse.de
- xfs ACLs: return ERANGE instead of E2BIG if #of entries overflows
- s390: fix overflow in BLKGETSIZE of xpram with devs > 2GB(#16814)
- s390: add s390-patches/zfcp-trace(remove old debugs + fix traces)
* Thu Nov 14 2002 - stepan@suse.de
- remove splash-config-fix patch
- add new version of boot splash patch
  (works on other framebuffers than vesafb now as well)
- add fix for aty128fb to switch off indexed colors in 16bit
  mode when using the splash screen.
* Thu Nov 14 2002 - schwab@suse.de
- Fix TLB flush bug.
- Fix ACPI locking.
- Fix CPE polling.
* Thu Nov 14 2002 - ak@suse.de
- disable XFS over MD/LVM on x86-64 because it overflows the stack
* Thu Nov 14 2002 - schwab@suse.de
- Fix invalid token pasting.
* Thu Nov 14 2002 - mantel@suse.de
- fix the kernel's handling of the nested task (NT) flag (i386)
* Thu Nov 14 2002 - mantel@suse.de
- fix usb-uhci for non-ES7000 machines with bogus MP tables
* Thu Nov 14 2002 - ak@suse.de
- fix pci id in ioapic-8131-quirk patch
* Wed Nov 13 2002 - olh@suse.de
- add patches.common/ibm-ppc64-eeh.configaddr
  Firmware is returning good status on a bad PCI config addr.
  Now, skip such cards with status != ok.
* Tue Nov 12 2002 - mantel@suse.de
- add hangcheck modules
* Tue Nov 12 2002 - olh@suse.de
- add patches.common/suse-ppc64-zimage-export_uts
  required for mk_initrd support on pSeries
* Tue Nov 12 2002 - mantel@suse.de
- export symbol page_waitqueue
* Tue Nov 12 2002 - bk@suse.de
- move fix-pausing before io_request_lock-scale(fixes s390 sequence)
* Tue Nov 12 2002 - mantel@suse.de
- add hangcheck modules on demand of Oracle
* Tue Nov 12 2002 - mantel@suse.de
- clear TF flag
* Mon Nov 11 2002 - olh@suse.de
- add patches.common/ibm-ppc64-xics_int-on (LTC1507)
* Mon Nov 11 2002 - olh@suse.de
- update patches.common/fix-pauses (#20944)
  possible final fix for wait_on_buffer hang, wait_on_page hang
  and get_request_wait hang
* Mon Nov 11 2002 - bk@suse.de
- obsolete fsync-corruption-fix, obsoletes reverts in fix-pausing
- replace mb in fix-pausing with smp_mb(mb over all cpus not needed)
* Mon Nov 11 2002 - mantel@suse.de
- fix problem with processes not making progress for quite a long time.
  Cause was a longstanding subtle race that has been present in almost
  any kernel before, but became more easy to trigger with recent changes.
* Mon Nov 11 2002 - mantel@suse.de
- add support for vt8235
* Fri Nov 08 2002 - olh@suse.de
- add patches.common/ibm-ppc64-make_pte (#21596/LTC1498)
* Fri Nov 08 2002 - olh@suse.de
- fix one breakage in patches.ia64/ia64-1-sched-O1
  o1-sched-livelock-fix is back
* Fri Nov 08 2002 - mantel@suse.de
- fix theoritacal scheduler race; extremely unlikely and never
  observed so far
* Fri Nov 08 2002 - mantel@suse.de
- re-added o1-sched-livelock-fix
* Fri Nov 08 2002 - bk@suse.de
- evms: s390_part.c: destroy s390_io_track_pool on rmmod (#21624)
- correct menuconfig message if ncurses-devel is missing (#20895)
- add patch description to patches.common/proc-cmdline
* Fri Nov 08 2002 - olh@suse.de
- update patches.common/ibm-ppc64-ucontext
  do not use a struct sigcontext in struct sigframe
  some code relies on the old layout and alignment
* Fri Nov 08 2002 - olh@suse.de
- update patches.ppc/suse-ppc32-autoconsole
  the current code adds console= to the end of cmd_line
  this fails in case of init=/bin/bash.
  new version puts it in front of cmd_line
* Thu Nov 07 2002 - olh@suse.de
- update patches.common/suse-ppc64-pseries-autoconsole
  the current code adds console= to the end of cmd_line
  this fails in case of init=/bin/bash.
  new version puts it in front of cmd_line
* Thu Nov 07 2002 - olh@suse.de
- add patches.common/ibm-ppc64-iseries-viocd-dvdram
  allows usage of dvd-ram drives on iSeries
* Thu Nov 07 2002 - olh@suse.de
- fix patches.common/commit_super-8-relocation-suse-2.4.19-rc3aa4
  missing braces around if body, should fix #20944
* Thu Nov 07 2002 - mantel@suse.de
- fix memory corruption problem with RAM > 4GB on x86_64
* Wed Nov 06 2002 - mantel@suse.de
- check for presence of /etc/fstab before calling mkinitrd
* Wed Nov 06 2002 - olh@suse.de
- add patches.ia64/pte-highmem-f00f
  patches.ia64/pte-highmem
  patches.ia64/zone_start_pfn
  patches.ia64/core-dump-seek-unmapped
  patches.ia64/NUMAQ
  patches.ia64/discontigmem-meminfo
  patches.ia64/686-notsc_A0
  do not copy these files from i386 in specfile
* Wed Nov 06 2002 - olh@suse.de
- fix breakage in patches.ia64/ia64-1-sched-O1
* Wed Nov 06 2002 - bk@suse.de
- patches.s390/s390-fixes/dasd-block-init (simple checks, #21592)
- patches.s390/s390-fixes/dasd-steal-timeout(HA use only, #21592)
* Wed Nov 06 2002 - olh@suse.de
- fix patches.common/ibm-ppc64-eeh-fbdev-map compile bugs
* Wed Nov 06 2002 - olh@suse.de
- add patches.ppc/ppc64-e1000-ioaccess (#21458/LTC1455)
* Wed Nov 06 2002 - mantel@suse.de
- remove o1-sched-livelock-fix
* Wed Nov 06 2002 - mantel@suse.de
- fix shm largepage support
* Wed Nov 06 2002 - mantel@suse.de
- fix a bunch of unicon bugs (ak@suse.de)
* Wed Nov 06 2002 - olh@suse.de
- add patches.ppc/ppc64-e1000
  this is a cp -a drivers/net/e1000 from 2.4.20rc1 (#21458/LTC1455)
* Wed Nov 06 2002 - mantel@suse.de
- remove some more SCSI debug output
* Wed Nov 06 2002 - agruen@suse.de
- fs/mbcache.c bug: down(&sem) while holding spin lock.
* Tue Nov 05 2002 - mantel@suse.de
- run "mk_initrd" after installing the new kernel
* Tue Nov 05 2002 - agruen@suse.de
- Fix suspect locking code in the cache-def patch that probably
  can deadlock.
* Tue Nov 05 2002 - schwab@suse.de
- Update ips driver to 6.0.0.
* Tue Nov 05 2002 - mantel@suse.de
- fix breakage of non-i386 archs introduced by ioapic-8131-quirk
* Tue Nov 05 2002 - bk@suse.de
- move disabling of debug printk(set_personality) from ia64 to common
* Tue Nov 05 2002 - olh@suse.de
- add patches.common/suse-ppc32-signal-SIGURG , fix LSB testcases
* Tue Nov 05 2002 - olh@suse.de
- fix patches.common/ioapic-8131-quirk
  hide the new function in #ifdef CONFIG_X86_IO_APIC
* Tue Nov 05 2002 - olh@suse.de
- update patches.common/ibm-ppc64-eeh-fbdev-map
  sync with rochester tree
* Tue Nov 05 2002 - olh@suse.de
- add patches.common/ibm-ppc64-hash_page (#21523/LTC1461)
* Tue Nov 05 2002 - olh@suse.de
- add patches.common/ibm-ppc64-kbd-bughandling
  handle BUG() in kdb (#21292/LTC1433)
* Mon Nov 04 2002 - ak@suse.de
- drop x86_64-vmalloc32
* Mon Nov 04 2002 - bk@suse.de
- common/personality-nodebug: disable debug printk for personality
- s390/md-hardsector-align: align md_size to hardsect_size(#21102)
* Mon Nov 04 2002 - mantel@suse.de
- fix USB compile for non-SMP configurations
* Mon Nov 04 2002 - mantel@suse.de
- don't accept SYN packets with a RST or FIN bit set
* Mon Nov 04 2002 - bk@suse.de
- common/jfs-umount_hang: fix hang on umount after stress test(#21357)
* Mon Nov 04 2002 - mantel@suse.de
- fix USB for Unisys machines (they use IRQ 0 in APIC mode)
* Mon Nov 04 2002 - mantel@suse.de
- update vtune driver to version 0.908 due to request from Intel
* Mon Nov 04 2002 - mantel@suse.de
- move ioapic-8131-quirk to patches.common so the workaround for
  the AMD bug is also available with 32 bit kernels
* Mon Nov 04 2002 - mantel@suse.de
- make sure nr_ioapics is always correctly initialized
* Thu Oct 31 2002 - olh@suse.de
- add patches.common/ibm-ppc64-eeh-fbdev-map (#17535/LTC1100)
  should fix most X11 related problems on ppc64
  patches.common/ibm-ppc64-kdb-consolehandling (#21292/LTC1433)
* Thu Oct 31 2002 - schwab@suse.de
- ips-enable-ia64: enable IBM ServeRAID driver for ia64.
* Wed Oct 30 2002 - schwab@suse.de
- ia64-1-brl_emu: fix truncated values.
- ia64-1-denormal: fix handing of denormal in fpu emulation.
* Wed Oct 30 2002 - bk@suse.de
- add patches.common/msgrcv-race, fixes SMP race with msgrcv(#21444)
- s390: add isclean and flushtlb, fixes races discovered in bug 21265
- s390: reenable ptep, removing it only hided the mm problem(#21265)
- update jfs to 1.0.24: readSuper() was incorrectly checking return
  status of sb_bread(reported by olh) obsoletes jfs-gclock-release
* Wed Oct 30 2002 - ak@suse.de
- don't let x86-64 backtrace wrap
* Wed Oct 30 2002 - mantel@suse.de
- remove write barrier feature, since it seems to cause problems on
  some machines
* Wed Oct 30 2002 - schwab@suse.de
- ia64-kdb-smp: Fix kdb compilation for SMP.
* Tue Oct 29 2002 - ak@suse.de
- Update 3ware driver to 1.02.00.031
* Tue Oct 29 2002 - olh@suse.de
- update patches.ppc/freeswan to the status of mainpackage
  remove some unneeded files to reduce the patch size
* Tue Oct 29 2002 - ak@suse.de
- update bcm5700 driver to 4.0.4
- rediff amd 8111 patch
* Tue Oct 29 2002 - bk@suse.de
- s390: CONFIG_EVMS_S390_SEGMENT_MGR=m (support dasd parts, #21293)
* Mon Oct 28 2002 - schwab@suse.de
- lvm-procfs: work around stupid hack in proc_file_read.
* Mon Oct 28 2002 - schwab@suse.de
- New patches from HP:
  patches.ia64/ia64-1-acpi-atomic
  patches.ia64/ia64-1-discontig
  patches.ia64/ia64-1-hp-agp
  patches.ia64/ia64-1-ide_dma
  patches.ia64/ia64-1-lastsect
  patches.ia64/ia64-1-megaraid
  patches.ia64/ia64-1-pal_call
  patches.ia64/ia64-1-srlz
  patches.ia64/ia64-1-tulip
  patches.ia64/ia64-3-forte-2
* Mon Oct 28 2002 - bk@suse.de
- fix patches.s390/loop-iostat-config.diff for make xconfig(#20895)
* Fri Oct 25 2002 - ak@suse.de
- fix x86_64-modmap patch to apply all changes
* Fri Oct 25 2002 - mantel@suse.de
- move tux-cgi to patches.common
* Fri Oct 25 2002 - olh@suse.de
- add patches.common/scsi_free_host_dev
  avoid panic when rmmod a scsi driver
* Fri Oct 25 2002 - olh@suse.de
- add patches.common/suse-ppc32-sigsuspend
  ensure that sys_[rt_]sigsuspend give the correct error code.
* Thu Oct 24 2002 - bk@suse.de
- s390: disable ptep patches also on s390x, fixes bug 21265
- ctc: restart after -EIO & set some messages to debug (bug 20957)
- add module license to drivers/s390/net/fsm.c
* Thu Oct 24 2002 - olh@suse.de
- add patches.common/ibm-ppc64-rtasd-colt
  fixes rtasd for O1 scheduler and early boothang on p610 (#19891)
  add patches.ppc/ibm-ppc64-pci-64bit
  properly handling 64-bit BARs
* Thu Oct 24 2002 - bk@suse.de
- endianness fix for jfs-xattr(add patches.common/jfs-xattr-endian)
* Wed Oct 23 2002 - bk@suse.de
- fix defconfig/arch-special.s390 for SCSI config options(bug 20820)
- patches.s390/cpcmd-sam31.diff: remove not neccesary spinlock code
- update patches.s390/s390-fixes/dasd-timer.diff
* Wed Oct 23 2002 - olh@suse.de
- add patches.ppc/freeswan to avoid ugly module package
  used only ppc, due to crosscompile requirements
* Wed Oct 23 2002 - ak@suse.de
- add tux cgi fix for x86-64 (not really x86-64 specific)
* Wed Oct 23 2002 - olh@suse.de
- patches.common/ppc64-binfmt_elf-load_elf_binary
  the last change broke static apps, fixed (#21047)
* Wed Oct 23 2002 - ak@suse.de
- x86_64: fix alternative signal stack and si_addr passing.
- x86_64: fix numa=off option
- x86_64: enable seeking to negative areas in /proc/kcore
- x86_64: add pci quirk for amd8131 apic
- x86_64: add amd8111 optimized IDE driver (Vojtech Pavlik)
- x86_64: cosmetic fix for oops printing
- x86_64: remove .eh_frame from linked kernel
* Tue Oct 22 2002 - bk@suse.de
- add s390 patches: zfcp-statusread, zfcp-retries, dasd-timer,
  ebcdic.diff and s390io-try-sensible-path.diff. Bug # is 21198
* Tue Oct 22 2002 - schwab@suse.de
- Fix aio syscall numbers.
* Tue Oct 22 2002 - schwab@suse.de
- Revert to e100-2.0.30 for now on ia64.
* Tue Oct 22 2002 - schwab@suse.de
- Update SBA IOMMU patches.
* Mon Oct 21 2002 - olh@suse.de
- patches.common/ppc64-binfmt_elf-load_elf_binary
  fixed for target and the interpreter as shared objects (#21047)
* Mon Oct 21 2002 - bk@suse.de
- 390: add oldrootmsg.diff (see bug #20891), register_ioctl.diff
  for registering 31-bit ioctls and raid1-hard-debug-1(see bug 21102)
* Mon Oct 21 2002 - mantel@suse.de
- allow disabling of IDE flush feature via kernel parameter; this
  command seems to confuse some drives
* Mon Oct 21 2002 - mantel@suse.de
- allow disabling of cyclone timer via kernel parameter
* Mon Oct 21 2002 - mantel@suse.de
- fix bad pipe bandwidth
* Sat Oct 19 2002 - olh@suse.de
- add patches.ppc/suse-ppc32-autoconsole
* Sat Oct 19 2002 - ak@suse.de
- fix x86_64 gart address decode problem for addresses > 4GB.
* Fri Oct 18 2002 - olh@suse.de
- add patches.common/rl-corrupt (workaround for IDE bugs #17539)
* Fri Oct 18 2002 - olh@suse.de
- add patches.common/ibm-ppc64-kdb-io-update
* Thu Oct 17 2002 - mantel@suse.de
- fix loadbalance for non-SMP
* Thu Oct 17 2002 - mantel@suse.de
- further improve performance with new load_balance
* Thu Oct 17 2002 - olh@suse.de
- add patches.common/ibm-ppc64-ucontext
* Thu Oct 17 2002 - mantel@suse.de
- remove duplicate entry from ACPI blacklist
* Thu Oct 17 2002 - mantel@suse.de
- fix aio getevents timeout
* Thu Oct 17 2002 - schwab@suse.de
- Fix breakage from last scheduler change.
* Thu Oct 17 2002 - schwab@suse.de
- Remove fix-hid-input, the original code was correct.
* Thu Oct 17 2002 - mantel@suse.de
- fix compilation when extended attributes are disabled
* Thu Oct 17 2002 - mantel@suse.de
- fix overlong device name in pci.ids
* Thu Oct 17 2002 - mantel@suse.de
- update ACPI and DMI blacklists
* Thu Oct 17 2002 - mantel@suse.de
- update pci-ids
* Thu Oct 17 2002 - mantel@suse.de
- fix scheduler problem with CPUs being idle although there is lots
  of work to do
* Thu Oct 17 2002 - ak@suse.de
- readd more iommu debugging support
- add /proc/*/binfmt (currently applied on x86-64 only, but generic patch)
- add warning to broken vmalloc32
* Wed Oct 16 2002 - mantel@suse.de
- enable CONFIG_EVLOG_FWPRINTK
* Wed Oct 16 2002 - bk@suse.de
- fix s390/cpcmd-sam31.diff for 31-bit mode and add module license
- fix sched_setaffinity for not existing pid values(andrea/duwe)
* Wed Oct 16 2002 - olh@suse.de
- add patches.common/ibm-ppc64-kdb-resethandling (#20493/LTC1353)
* Wed Oct 16 2002 - ak@suse.de
- disable -fno-strength-reduce and -fno-reorder-blocks on x86-64
* Wed Oct 16 2002 - schwab@suse.de
- Clear fp exception state before calling ia32 signal handler.
* Wed Oct 16 2002 - bk@suse.de
- disable Minix filesystem support on 390, does not work(bug 20794)
- add s390/cpcmd-sam31.diff - add missing cpcmd function for cpint
* Wed Oct 16 2002 - mantel@suse.de
- enable CONFIG_EVLOG_FWPRINTK
* Wed Oct 16 2002 - mantel@suse.de
- update blacklist in scsi_scan.c; join two patches with same
  functionality
* Wed Oct 16 2002 - mantel@suse.de
- update qla2x00 driver to 6.0.2
* Wed Oct 16 2002 - agruen@suse.de
- Fix error handling in acl-ext3: Users triggerable error may
  panic the kernel if the FS error behavior is set to panic.
* Tue Oct 15 2002 - agruen@suse.de
- acl-ext[23]: complete the undo in ext2_next_inode() and
  ext3_new_inode(): I've missed the dummy versions that are
  not used with our configuration.
* Tue Oct 15 2002 - bk@suse.de
- add s390-patches/zfcp-order6.diff, removes a 6-order in zfcp init
* Tue Oct 15 2002 - agruen@suse.de
- acl-ext[23]: revert obsolete change in ext2_next_inode() and
  ext3_new_inode()
- xattr-ext[23]: fix access to out-of-scope variable
* Tue Oct 15 2002 - ak@suse.de
- fix potential iommu gart encode problem on x86-64
* Tue Oct 15 2002 - ak@suse.de
- remove x86_64-ia32-updates, it is incorporated in ia32-updates now
* Tue Oct 15 2002 - mantel@suse.de
- add another endianess fix to ncpfs
* Tue Oct 15 2002 - schwab@suse.de
- ia64-1-fpstate: fix save and restore of ia32 fpstate.
* Tue Oct 15 2002 - ak@suse.de
- x86_64: fix manual mem= option
- x86_64: 32bit emulation updates
- fix LSB fcntl test for 64bit
* Mon Oct 14 2002 - bk@suse.de
- 390: changes CONFIG_SD_MAX_MAJORS from 16 (only 256 disks) to 224,
  allows 448 disks with 8 redundant paths(multipathing) - Bug #20820
- 390: increase CONFIG_SR_EXTRA_DEVS from 4 to 16 for big things
* Mon Oct 14 2002 - mantel@suse.de
- work around severe bug in older VIA southbridges
* Mon Oct 14 2002 - mantel@suse.de
- fix thinko in hid-input.c
* Mon Oct 14 2002 - mantel@suse.de
- fix config.in for cyclone timer support
* Mon Oct 14 2002 - mantel@suse.de
- fix DMI blacklist entries for IBM xSeries servers
* Mon Oct 14 2002 - mantel@suse.de
- fix printk() when ACPI is disabled via blacklist
* Mon Oct 14 2002 - mantel@suse.de
- fix a race which make syncppp dial on demand not working with
  newer kernel versions
* Mon Oct 14 2002 - bk@suse.de
- s390: add sys32_recvmsg.diff(fixes bug 20558) and sigurg.diff
  apply the recently added fixes(uaccess, dasd diag, futex, zfcp)
* Mon Oct 14 2002 - stepan@suse.de
- add alpha_wtd_fix (missing wtd implementation for alpha)
- update alpha_compile_fix (adjustments to make it compile)
* Mon Oct 14 2002 - mantel@suse.de
- update aio-raw-hangs to fix the AIO hang problem
* Sat Oct 12 2002 - olh@suse.de
- add ibm-ppc64-codecleanup
  ibm-ppc64-eeh-enable
  ibm-ppc64-msgsnd_msgrcv
  ibm-ppc64-paca-decrementer
  ibm-ppc64-restore_flags-barrier
  ibm-ppc64-sigsuspend
* Fri Oct 11 2002 - agruen@suse.de
- this addresses bug #20828, LSB conformance in the ACL code:
  o fix a systematic bug in the acl aware permission() functions
  (ext2, ext3, reiserfs, jfs) (agruen@suse.de)
  o fix a reiserfs acl bug that causes the umask to be ignored
  for special files (jeffm@suse.com)
* Fri Oct 11 2002 - bk@suse.de
- backout the check for the return of kvec_op
  added previously on request of andrea.
* Thu Oct 10 2002 - bk@suse.de
- add a number of s390-specific fixes:
  o make uaccess fixups independent of the lowcore to not break
  o dasd diag: endless recovery loop when a buffer is above 2GB
  o detect ancient 3880 eckd dasds(use correct device type number)
  o fix the sys32_futex system call wrapper for 32-bit emulation
  o fix race in zfcp driver and enchance trace for HW problems
* Thu Oct 10 2002 - bk@suse.de
- add patches.common/aio-raw-hangs (andrea) which fixes:
  o hangs when using AIO on RAW devices
  o calculate max_sectors to fix resource shortage
  o and check for return value of kvec_op
* Thu Oct 10 2002 - agruen@suse.de
- Minor typo in reiserfs-acl that breaks build if ACLs are
  not compiled in (jeffm@suse.com).
* Thu Oct 10 2002 - ak@suse.de
- make sure tux is really called for x86-64
* Thu Oct 10 2002 - bk@suse.de
- tar-up: fix remaining cases where disabled patches were packaged
* Thu Oct 10 2002 - ak@suse.de
- remove x86_64-tsc-hpet-pet from sequence-numbers
* Thu Oct 10 2002 - schwab@suse.de
- Remove x86_64-tsc-hpet-pet due to conflicts.
* Thu Oct 10 2002 - schwab@suse.de
- Fix breakage from livelock patch.
* Thu Oct 10 2002 - olh@suse.de
- add x86_64-tsc-hpet-pet to sequencepatch and disable it
* Thu Oct 10 2002 - agruen@suse.de
- ReiserFS patch fixing lockups with full file systems (mostly),
  from {jeffm,mason}@suse.de. See patches.common/reiserfs-fixes
  for details.
* Thu Oct 10 2002 - aj@suse.de
- Add o1 patch to fix some scheduler livelock bugs.
* Thu Oct 10 2002 - ak@suse.de
- add PIT/HPET/TSC timekeeper selection patch from Vojtech Pavlik (x86-64)
* Thu Oct 10 2002 - ak@suse.de
- add x86_64-open32 to not enable O_LARGEFILE by default in 32bit
- add x86_64-int32 to export IRET return path
* Thu Oct 10 2002 - olh@suse.de
- add patches.common/ibm-ppc64-free_pgtables-a.out.h
  patches.common/ibm-ppc64-free_pgtables-processor.h
  patches.common/ibm-ppc64-free_pgtables-uaccess.h
  patches.common/ibm-ppc64-free_pgtables-mminit
  workaround for ree_pgtables where an entire addr space is
  cleared rather than a subset. (#20051 / #LTC1293)
* Thu Oct 10 2002 - olh@suse.de
- add patches.common/suse-ppc64-addsysmap-bufferfix
  patches.common/suse-ppc64-addramdisk-bufferfix
  dont assume the whole desired line fits in last read buffer
* Wed Oct 09 2002 - mantel@suse.de
- update config for new EVMS version 1.2.0
* Wed Oct 09 2002 - bk@suse.de
- enable reiserfs acls in config.i386.default(used as base for s390)
* Wed Oct 09 2002 - bk@suse.de
- disable ptep in ESA kernel for now, seems to be issue with 31-bit
- add fix for dasd driver on s390x when loaded above 2GB(diag210)
- add fix for xpram size array type(should also fix bug #16814)
* Wed Oct 09 2002 - olh@suse.de
- fix compiler error in patches.common/ibm-ppc64-syscall-cleanup
* Wed Oct 09 2002 - mantel@suse.de
- update EVMS to 1.2.0
* Wed Oct 09 2002 - agruen@suse.de
- ReiserFS ACL patch (removes sb reservation requirement) from
  {jeffm,mason}@suse.de.
* Wed Oct 09 2002 - mantel@suse.de
- add IBM x440 (Vigil) to ACPI blacklist (needs ACPI_OLDBOOT)
* Wed Oct 09 2002 - mantel@suse.de
- fix bug in SYN/ACK handling of ip_conntrack code
* Wed Oct 09 2002 - mantel@suse.de
- fix bogus compile of ibmasm driver
* Tue Oct 08 2002 - bk@suse.de
- add /proc/<pid>/mapped-base on s390x, needed for 31-bit(bug 19326)
- 390: disable XFS in default config, it locks the kernel quickly
* Tue Oct 08 2002 - mantel@suse.de
- fix problem with machines needing parameter "acpi=oldboot". If this
  turns out to work on all affected machines, we can waive the DMI
  blacklist
* Tue Oct 08 2002 - mantel@suse.de
- update DMI blacklist
* Tue Oct 08 2002 - mantel@suse.de
- update nfslocks patch; bogus patch linux-2.4.19-rc3aa4 removed
* Tue Oct 08 2002 - mantel@suse.de
- add support for Cenatek IDE driver
* Tue Oct 08 2002 - mantel@suse.de
- speedup mass-exit of thread groups
* Tue Oct 08 2002 - mantel@suse.de
- kill segment coalescing for IDE, since it is pretty worthless and
  even leads to frozen boxes in certain cases
* Tue Oct 08 2002 - mantel@suse.de
- fix oops in i830 DRM driver
* Tue Oct 08 2002 - mantel@suse.de
- add pci fixup for serverworks IDE
* Tue Oct 08 2002 - mantel@suse.de
- increase PPP header length
* Tue Oct 08 2002 - mantel@suse.de
- corrected blacklist entry for IBM eServer BladeCenter HS20
* Tue Oct 08 2002 - mantel@suse.de
- back out fix-o1-livelock, since it seems to cause locks instead of
  fixing them
* Mon Oct 07 2002 - bk@suse.de
- Add patches.s390/s390-fixes/linux-2.4.19-tapemountfix.diff
- Enable the patches in patches.s390/patches.s390/arch-special
- Tag the io_request_lock-scale patches and scsi-error-handler
  with NO390, they conflict with the SCSI error handling changes
  in patches.s390/arch-special/s390-zfcp-required-changes.diff
* Mon Oct 07 2002 - olh@suse.de
- add patches.common/ibm-ppc64-ioctl-HDIO_GETGEO_BIG
  patches.common/ibm-ppc64-iseries-pme-sync
  patches.common/ibm-ppc64-sembuf
  patches.common/ibm-ppc64-syscall-cleanup
  patches.common/ibm-ppc64-syscall-readahead
* Mon Oct 07 2002 - mantel@suse.de
- fix kernel compilation with gcc 2.95.3
* Mon Oct 07 2002 - mantel@suse.de
- added some machines to the DMI blacklist
* Mon Oct 07 2002 - schwab@suse.de
- Fix breakage from futex patch update.
* Mon Oct 07 2002 - mantel@suse.de
- fix race in get_module_list
* Mon Oct 07 2002 - mantel@suse.de
- ibmasm driver should not assume the kernel is compiled with
  modversions
* Sat Oct 05 2002 - ak@suse.de
- fix x86_64-header-bug
* Sat Oct 05 2002 - olh@suse.de
- add ibm-ppc64-export-systemcfg
  ibm-ppc64-ipc_perm32
  ibm-ppc64-newstat
  ibm-ppc64-remove-DRENG_TYPES
* Sat Oct 05 2002 - ak@suse.de
- disable out_of_line_bug for x86-64
* Fri Oct 04 2002 - mantel@suse.de
- update config
* Fri Oct 04 2002 - olh@suse.de
- add ibm-ppc64-FWNMI-reset-path
  ibm-ppc64-drivers-ide-winbond-reset
  ibm-ppc64-flush_dcache_icache
  ibm-ppc64-iseries-randomness
  ibm-ppc64-iseries-veth-broadcast
  ibm-ppc64-iseries-viocons-password
  ibm-ppc64-iseries-viodasd-HDIO_GETGEO_BIG
  ibm-ppc64-iseries-viopath
  ibm-ppc64-pcnet32-outofsync
  ibm-ppc64-systemcfg-xmon
  ul1-ppc64-block-highmem-ide
* Fri Oct 04 2002 - mantel@suse.de
- fix unresolved symbol in ipv6 introduced by route fix
* Fri Oct 04 2002 - mantel@suse.de
- fix "make xconfig" for jfs-acl
* Fri Oct 04 2002 - mantel@suse.de
- update Intel vtune driver to 0.905
* Fri Oct 04 2002 - mantel@suse.de
- add missing check in get_vm_area
* Fri Oct 04 2002 - mantel@suse.de
- fix realmode reboot for some boxes
* Fri Oct 04 2002 - mantel@suse.de
- fix largepage support for shmfs
* Fri Oct 04 2002 - mantel@suse.de
- fix shm largepage compile for non PAE
* Fri Oct 04 2002 - mantel@suse.de
- fix bug in aio that could lead to the system going oom (newly
  allocated pages were never put into the lru lists, so don't get
  reclaimed)
* Fri Oct 04 2002 - mantel@suse.de
- fix scheduler live lock condition under the ltp waitpid load
* Fri Oct 04 2002 - mantel@suse.de
- update summit cyclone code to latest version B3
* Fri Oct 04 2002 - mantel@suse.de
- fix problem with ipv6 where the kernel could lose its default
  route under certain circumstances
* Fri Oct 04 2002 - mantel@suse.de
- update es7000 code to version that has been tested and reported to
  work by Unisys
* Fri Oct 04 2002 - mantel@suse.de
- add aio support for jfs (can use generic routines)
* Fri Oct 04 2002 - mantel@suse.de
- add device descriptions for DAC960 driver to do_mounts.c since grub
  does not know them
* Thu Oct 03 2002 - ak@suse.de
- fix timekeeping on x86-64 (Vojtech Pavlik)
* Thu Oct 03 2002 - ak@suse.de
- make kallsyms output parseable by ksymoops again
* Thu Oct 03 2002 - ak@suse.de
- x86_64: Add system call for Tux web server
- x86_64: Remove offset.h dependency for C include files
- x86_64: Remove rw lock for gs reload on context switch
- x86_64: Add kallsyms option
- x86_64: Rename CONFIG_IOMMU_LEAK to CONFIG_IOMMU_DEBUG, reduce
  GART TLB flushes.
- x86_64: Don't try to access HPET timer in the APIC code.
- x86_64: Increase CPU affinity factor
* Wed Oct 02 2002 - olh@suse.de
- add patches.common/ibm-ppc64-rs64iv-cacheflush (#20027)
* Wed Oct 02 2002 - bk@suse.de
- fix missing config options for Twofish and iostat(bug# 20421)
- add GPL c7000 driver
* Wed Oct 02 2002 - olh@suse.de
- add patches.common/ibm-ppc64-sigcontext
* Wed Oct 02 2002 - mantel@suse.de
- add missing ioctl case to DAC960 driver to make parted happy
* Wed Oct 02 2002 - mantel@suse.de
- fix possible oops in PCI probing code
* Wed Oct 02 2002 - mantel@suse.de
- update ibmasm driver to Build ID WRP122A
* Wed Oct 02 2002 - mantel@suse.de
- significantly speed up USB hotplug by reducing the number of
  syscalls needed to read /proc/bus/usb/devices
* Wed Oct 02 2002 - mantel@suse.de
- remove some SCSI debug output
* Wed Oct 02 2002 - olh@suse.de
- add patches.common/ibm-ppc64-systemcfg
* Wed Oct 02 2002 - mantel@suse.de
- adapt O_DIRECT on ext3 to the UL kernel (take nfs o_direct changes
  into account)
* Wed Oct 02 2002 - mantel@suse.de
- make sure timeout var for aio is always initialized so it doesn't
  always wait for an event to finish
* Wed Oct 02 2002 - mantel@suse.de
- add aio support for reiserfs (can use generic routines)
* Tue Oct 01 2002 - mantel@suse.de
- implement ACPI policy changes:
- DMI can toggle ACPI now. This is often better than keying the
  blacklist on ACPI tables, because DMI has much more specific
  information about the Motherboard vendor than ACPI.
- ACPI blacklist moved to own file (patch from Andrew Grover/Patrick Mochel)
- ACPI pci routing is on by default now (near all newer boxes need this)
- Don't enable the APIC for UP (previously code did still some APIC
  ACPI stuff even though it was disabled). This sould fix several laptops.
- ACPI is disabled by default when your BIOS was produced before 2001
- Support the Unisys ES7000 with new ACPI
* Tue Oct 01 2002 - duwe@suse.de
- re-added i2c-keywest option, eliminated by i2c patch
* Tue Oct 01 2002 - agruen@suse.de
- update jfs patches from version 1.0.22 to 1.0.23
* Mon Sep 30 2002 - olh@suse.de
- add patches.common/ul1-ppc32-o1-smpfix-jeffm
* Sun Sep 29 2002 - olh@suse.de
- add patches.common/suse-ppc64-viodasd-rootdev-hda3
* Sat Sep 28 2002 - olh@suse.de
- add patches.common/suse-ppc64-ioctl32-raidautorun
* Fri Sep 27 2002 - mantel@suse.de
- fix oops in pppoe when reconnecting
* Fri Sep 27 2002 - mantel@suse.de
- update JFS to 1.0.22; remove obsolete fixes
* Fri Sep 27 2002 - mantel@suse.de
- update futex patch (now also contains ia64 support)
* Fri Sep 27 2002 - bk@suse.de
- enable dasd_eckd_mod as module for fixed aaa_base/mk_initrd
* Fri Sep 27 2002 - mantel@suse.de
- fix minor documentation bug in nfsd (default for nfs_permission_mode
  is now 0 [unchanged])
* Fri Sep 27 2002 - mantel@suse.de
- update steeleye-nbd patch. This patch eliminates the oops problems
  that the current nbd code has and it works correctly with the
  new locking in the 2.4.18 nbd driver (without backing out the
  locking changes). Tested for several weeks by SteelEye.
* Thu Sep 26 2002 - mantel@suse.de
- update config
* Thu Sep 26 2002 - olh@suse.de
- add patches.common/ibm-ppc64-sigfpe-64
* Thu Sep 26 2002 - schwab@suse.de
- ia64: fix mca handling.
* Thu Sep 26 2002 - bk@suse.de
- 390: add set_fs.diff: ar4 pointing to the correct address space
- 390: apply io_request_lock-scale and scsi-error-handler(testing)
* Thu Sep 26 2002 - bk@suse.de
- s390-api-3-futex: add sys32_futex() to fix 32/64bit tv_sec problem
* Thu Sep 26 2002 - mantel@suse.de
- remove i845G-fixes, since the patch is incomplete
* Thu Sep 26 2002 - mantel@suse.de
- update bcm5700 driver to 4.0.2
* Thu Sep 26 2002 - mantel@suse.de
- fix problem with real time priority under load; important for HA
* Thu Sep 26 2002 - mantel@suse.de
- make the radeonfb driver work with the ATI Rage Mobility P/M
* Thu Sep 26 2002 - mantel@suse.de
- make i845 gart recover after suspend
* Thu Sep 26 2002 - mantel@suse.de
- fix missing checks in video1394
* Thu Sep 26 2002 - mantel@suse.de
- this should be the minimum non invasive fix for the i845 problems
* Thu Sep 26 2002 - mantel@suse.de
- work around RAID1 miscompilation on SPARC with old compiler
* Thu Sep 26 2002 - mantel@suse.de
- fix netfilter oops/memory leak (from 2.4.20-pre6)
* Thu Sep 26 2002 - mantel@suse.de
- re-added fixed file-leases patch
* Thu Sep 26 2002 - mantel@suse.de
- allow console switching after panic
* Thu Sep 26 2002 - mantel@suse.de
- update serverworks IDE driver to 0.5
* Thu Sep 26 2002 - mantel@suse.de
- re-add Unisys ES7000 support since the problem with breaking SMP
  is fixed now.
* Wed Sep 25 2002 - mantel@suse.de
- update config (disable CONFIG_ES7000)
* Wed Sep 25 2002 - olh@suse.de
- add patches.common/ul1-ppc64-mm_spin_lock
  patches.ppc/ul1-ppc64-kdb-serialsnoop
* Wed Sep 25 2002 - olh@suse.de
- fix kdb compilation for real on ppc64
* Wed Sep 25 2002 - agruen@suse.de
- Back out change Tue Sep 24 12:52:11 CEST 2002 - agruen@suse.de:
  regression bug; check is too restrictive.
* Wed Sep 25 2002 - mantel@suse.de
- remove Unisys ES7000 support because it breaks normal SMP machines
* Wed Sep 25 2002 - mantel@suse.de
- update sis900 network driver to 1.08.06
* Wed Sep 25 2002 - olh@suse.de
- add patches.ppc/ul1-ppc64-disable-kdb-io
  usb leads to circular dependency asm/page.h -> linux/kdb.h
  kdb_serial is not defined
* Wed Sep 25 2002 - olh@suse.de
- add patches.common/suse-ppc64-hvc-pseries-only
  patches.common/suse-ppc64-icom-iseries-only
* Wed Sep 25 2002 - olh@suse.de
- add patches.common/ul1-ppc64-enable-kdb
* Tue Sep 24 2002 - mantel@suse.de
- update config
* Tue Sep 24 2002 - olh@suse.de
- update ibm-ppc64 patch to 2.4.19-3:
  * remove duplicate define in icom driver ; increase adapter limit
  * veth: reduce severity of reported errors.
  * viodasd: clean up of output
  * iSeries PCI: improved error output
  * iSeries PCI: increase retry count on mmio failures
  * shared processors: close a timing window. Significant performance
  fix.
- obsoletes patches.common/ibm-ppc64-sigfpe-handling,
  patches.common/suse-ppc64-zimage-htab
* Tue Sep 24 2002 - schwab@suse.de
- Fix breakage from i2c update.
* Tue Sep 24 2002 - olh@suse.de
- increase log_buf size on ppc64 to 128k (#19888)
* Tue Sep 24 2002 - agruen@suse.de
- xfs fixes: Symlink permissions were not always set to lrwxrwxrwx.
  Some error codes returned were wrong. Fix return value of
  getxattr for acls. `cp -p dir1 dir2' resulted in Invalid argument
  errors.
* Tue Sep 24 2002 - mantel@suse.de
- fix i386 Hammer support
* Tue Sep 24 2002 - mantel@suse.de
- fix compilation of SMP kernel even when CONFIG_ES7000 is disabled
* Tue Sep 24 2002 - bk@suse.de
- s390: change default config: compile dasd driver as modules
* Tue Sep 24 2002 - mantel@suse.de
- drop tg3 driver update; needs infrastructure update from newer
  kernel; re-added tg3_maxwaitcnt fix
* Tue Sep 24 2002 - agruen@suse.de
- minor parameter checking improvement in the ext2/ext3 acl code.
- minor parameter checking improvement in the ext2/ext3 acl code.
* Tue Sep 24 2002 - mantel@suse.de
- defconfig of kernel should match config of default kernel
* Tue Sep 24 2002 - mantel@suse.de
- remove magicclose watchdog patches, since they are incomplete
* Tue Sep 24 2002 - mantel@suse.de
- remove file-leases patch, since it appears to be incomplete
* Tue Sep 24 2002 - mantel@suse.de
- fix several problems (including at least one race condition) in
  file leases code
* Tue Sep 24 2002 - mantel@suse.de
- sign fix for i2c
* Tue Sep 24 2002 - mantel@suse.de
- check for buffer length in USB vicam driver
* Tue Sep 24 2002 - mantel@suse.de
- add some missing checks to video4linux drivers
* Tue Sep 24 2002 - mantel@suse.de
- fix wrong sizes in amdtp driver
* Tue Sep 24 2002 - mantel@suse.de
- don't allow unlimited kmalloc in i2c driver
* Tue Sep 24 2002 - mantel@suse.de
- update tg3 driver to 1.1; obsoletes tg3_maxwaitcnt (fixed in new
  version)
* Tue Sep 24 2002 - mantel@suse.de
- add AMD Hammer support to the i386 port. Just make sure that all
  places that detect an Athlon by the model number handle the 15
  model number in the Hammer too
* Mon Sep 23 2002 - bk@suse.de
- s390: add reiserfs_ioctl32-unpack.diff, adds ioctl32/unpack(#20021)
* Mon Sep 23 2002 - mantel@suse.de
- increase size of kernel logbuffer
* Mon Sep 23 2002 - mantel@suse.de
- add O_DIRECT support for ext3
* Mon Sep 23 2002 - mantel@suse.de
- added some watchdog approvements
* Mon Sep 23 2002 - mantel@suse.de
- fix name of patch "scsi_get_host_dev"; this is a generic one, not
  ppc64 specific
* Mon Sep 23 2002 - mantel@suse.de
- work around cache size detection for Intel PIII Tualatin
* Mon Sep 23 2002 - mantel@suse.de
- fix race in reiserfs unlink; with CONFIG_REISERFS_CHECK, the bug
  is harmless, but we want to fix it anyway
* Mon Sep 23 2002 - mantel@suse.de
- add safe fixes from 2.4.20-pre5
* Mon Sep 23 2002 - agruen@suse.de
- patches.common/reiserfs-acl: patch from jeffm@suse.com that
  fixes another deadlock in the reiserfs extended attribute
  code.
* Sun Sep 22 2002 - olh@suse.de
- patches.ppc/makeppc64-2.4.19: use -ul1 tag from specfile
* Sat Sep 21 2002 - ak@suse.de
- fix stack overflow in amd 8111 ethernet driver
* Fri Sep 20 2002 - bk@suse.de
- lkcd: allow Kerntypes for all archs, automatic only for i386/390
* Fri Sep 20 2002 - mantel@suse.de
- rename trivial_jfs_fix to trivial_jffs_fix in order to avoid confusion
* Fri Sep 20 2002 - mantel@suse.de
- update i2c/lm_sensors to 2.6.5
* Thu Sep 19 2002 - schwab@suse.de
- Fix narrow window during which signal could be delivered with only the
  memory stack switched over to the alternate signal stack.
* Thu Sep 19 2002 - ak@suse.de
- make sure aperture doesn't overlap used memory
* Thu Sep 19 2002 - duwe@suse.de
- added patches to support unisys ES7000 APIC and IBM summit
  cyclone timer
* Thu Sep 19 2002 - schwab@suse.de
- Add hugepage patch for ia64.
- Fix sigstack handling.
* Thu Sep 19 2002 - mantel@suse.de
- allow root filesystem on disks attached to additional cpqarray and
  cciss RAID controllers
* Thu Sep 19 2002 - mantel@suse.de
- don't sleep for 5 seconds on unknown patches
* Thu Sep 19 2002 - bk@suse.de
- s390: fix crypto operation exception oops: s390-fixes/check.diff
- s390: io-layer fixes: hang on incident mcheck and /proc/chpids
* Thu Sep 19 2002 - mantel@suse.de
- add patches.common/reiserfs-xattr-fix which fixes another
  extended attributes lockup bug.
* Thu Sep 19 2002 - olh@suse.de
- add patches.common/ul1-ppc64-ibmsis-scsi_get_host_dev
* Thu Sep 19 2002 - bk@suse.de
- add patches.common/md-mp, needed for testing it on real HW
* Wed Sep 18 2002 - duwe@suse.de
- added new modules: IBM icom driver and lkcd
* Wed Sep 18 2002 - olh@suse.de
- add patches.common/ibm-ppc64-ipc-ltp
  fixes several LTP failures on ELF64 ppc64
* Wed Sep 18 2002 - ak@suse.de
- fix qlogic stack overflow
* Wed Sep 18 2002 - bk@suse.de
- update reiserfs-acl(obsoletes reiserfs-acl-fixes and reiserfs-acl-fixes2)
- add jfs-xattr-fixes2(disallow setting any xattrs with an unknown prefix)
- remove hunk from reiserfs-i_size(already in new reiserfs-acl)
- add compile fixes to lkcd patch +fix cpu_online_map type mismatch
- update config.i386.default to i386.defconfig for use as template
- specfile: allow one-step build of k_smp when building manually
- add configs.UL for UL specific config options for use as template
* Wed Sep 18 2002 - schwab@suse.de
- Add vtune compile fix.
* Wed Sep 18 2002 - schwab@suse.de
- Add vtune patch for ia64.
- Add patch for delaying saving the higher fp state.
* Wed Sep 18 2002 - schwab@suse.de
- reiserfs data logging fix for PAGE_SIZE > block size (Chris Mason).
* Wed Sep 18 2002 - ak@suse.de
- fix nfsd stack overflow
- check correctly for iommu
* Wed Sep 18 2002 - olh@suse.de
- fix patches.ppc/ibm-ppc64-drivers-pcnet32 patch
* Wed Sep 18 2002 - bk@suse.de
- add s390 dasd fixes: invalparm2. missing-names and dasd-major-0
* Wed Sep 18 2002 - olh@suse.de
- add patches.common/ibm-ppc64-sigfpe-handling
* Tue Sep 17 2002 - olh@suse.de
- remove duplicate patches.ppc/extraversion-2.4.7-pre3aa1
* Tue Sep 17 2002 - olh@suse.de
- update patches.ppc/ibm-ppc64-drivers-pcnet32
  remove all whitespace changes, add sync for cpu<->adapter update
* Tue Sep 17 2002 - olh@suse.de
- add patches.common/modutils-uname_machine
* Tue Sep 17 2002 - olh@suse.de
- add patches.common/suse-ppc64-pseries-autoconsole
* Tue Sep 17 2002 - ak@suse.de
- fix tsc monotonic patch to appear only once
- readd panic-blink for x86-64
- add 32bit emulation updates
- move tsc-monotonic to patches.x86_64
- keep only top of real ram in end_pfn (x86_64-ram-map)
- added mapped_base feature for 32bit processes
- fix ACPI mapping for new end_pfn_mapped
* Mon Sep 16 2002 - schwab@suse.de
- Move lkcd kerntypes stuff to i386 makefile where it belongs.
* Mon Sep 16 2002 - ak@suse.de
- fix ntfs build
* Mon Sep 16 2002 - olh@suse.de
- add ul1-ppc64-block-highmemio, disable highio on ppc64
* Mon Sep 16 2002 - schwab@suse.de
- Fix breakage from iseries patches.
* Mon Sep 16 2002 - olh@suse.de
- add aio-ppc to fix linking on ppc
* Mon Sep 16 2002 - olh@suse.de
- add patches.common/reiserfs-bitops-cleanup
  add and remove casts for bitops operations
  to avoid compiler warnings
* Mon Sep 16 2002 - olh@suse.de
- add ibm-ppc64-process-cleanup
* Mon Sep 16 2002 - olh@suse.de
- fix possible race in aio, add_wait_queue_cond()
* Mon Sep 16 2002 - olh@suse.de
- add ul1-ppc64-drivers-iseries-icom
  ul1-ppc64-drivers-iseries-viocons
  ppc32-drivers-video-controlfb
* Sun Sep 15 2002 - olh@suse.de
- add suse-ppc64-wchan suse-ppc64-zimage-htab
* Sun Sep 15 2002 - olh@suse.de
- update patches.common/ntfs-update after aio update
  remove also obsolete patches.common/syscall-number-fix
* Sun Sep 15 2002 - olh@suse.de
- update aio, drop old and obsolete files:
  patches.common/aio-2.5-syscall-numbers
  patches.common/aio-bugfix
  patches.common/pipe-aio
  patches.common/aio-API-x86
  patches.common/aio-kmap.diff
  patches.common/x86_64-aio-kmap
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-printk-preferred_console
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-smp-nr_cpus
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-sched-O1
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-remove-screen_info
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-quota
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-linux-abi
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-ksyms
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-futex-PROT_SEM
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-dma64_addr_t
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-disable-kdb
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-block-highmem_page_to_phys
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ul1-ppc64-atomic-lookup
* Sun Sep 15 2002 - ak@suse.de
- add scsi malloc fix for x86-64 (Jens Axboe)
- add tsc monotonic fix for x86-64 (Vojtech Pavlik)
* Sun Sep 15 2002 - olh@suse.de
- remove patches.ppc/ibm-ppc64
  patches.ppc/zzz_ppc64-hacks
  patches.ppc/zzz_viodasd-blkpkg
* Sun Sep 15 2002 - olh@suse.de
- fix patches.common/evms-integrate
* Sun Sep 15 2002 - olh@suse.de
- fix patches.i386/linux-dprobes-core
* Sun Sep 15 2002 - olh@suse.de
- fix patches.common/lm_sensors
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-include-pci
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-sound-dmabuf
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-pcnet32
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-pci
* Sun Sep 15 2002 - olh@suse.de
- add patches.ppc/ibm-ppc64-drivers-olympic
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-makefile-macintosh
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-makefile-iseries
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-vethdevice
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-procfs
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-major
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-include-blk
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-veth-remove
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-makefile-iseries-macintosh
  needs update in lm_sensors, evms, lkcd
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-iseries
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-char-ttyio
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-block-iseries
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-drivers-acenic
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-driver-char-icom
* Sun Sep 15 2002 - olh@suse.de
- add patches.common/ibm-ppc64-driver-char-hvcconsole
* Sun Sep 15 2002 - olh@suse.de
- move patches.ppc/ibm-ppc64 to  patches.common/ibm-ppc64
  includes arch/ppc64 and asm-ppc64
  status: ftp.linuxppc64.org/pub/ppc64/linuxppc64-2.4.19-2.patch.gz
* Sat Sep 14 2002 - olh@suse.de
- add patches.common/ppc64-binfmt_elf-load_elf_binary
  ELF_PLAT_INIT takes now a second argument
  required for ppc64 ELF ABI
* Sat Sep 14 2002 - mantel@suse.de
- fix silly bug in i810-tco
* Sat Sep 14 2002 - mantel@suse.de
- set PG_lru inside the lock in lru_cache_add(), so PG_lru and
  "presence on the LRU" are consistent for properly locked code.
* Sat Sep 14 2002 - mantel@suse.de
- add another VAIO APM workaround entry to the dmi_blacklist
* Sat Sep 14 2002 - mantel@suse.de
- fix compilation when CONFIG_X86_IO_APIC is disabled
* Sat Sep 14 2002 - mantel@suse.de
- update ibmasm driver to 21A (20A would not load)
* Sat Sep 14 2002 - mantel@suse.de
- makes patches apply with script from CVS
* Fri Sep 13 2002 - ak@suse.de
- Fix numa bootup problem on x86-64
* Fri Sep 13 2002 - bk@suse.de
- fix sequence-numbers so Andrea can work directly from the CVS
* Fri Sep 13 2002 - olh@suse.de
- remove patches.ppc/bootlogo-ver-2.4.5
* Fri Sep 13 2002 - mantel@suse.de
- fix acpi blacklist entry for IBM thinkpad T21
* Fri Sep 13 2002 - ak@suse.de
- update to 020912 x86-64.org CVS snapshot.
- remove dynamic bus allocation because it doesn't work with new ACPI
- drop obsolete patches that were included in CVS already
- fix x86-64 ACPI for new CVS
- update to new AMD8111/L7 network driver from AMD
- fix XFS IO error checking in inode read
* Fri Sep 13 2002 - mantel@suse.de
- correctly close file descriptors when switching to new root fs
* Fri Sep 13 2002 - mantel@suse.de
- added some more laptops to ACPI blacklist
* Fri Sep 13 2002 - mantel@suse.de
- fix ALSA intel8x0 driver not running on nVidia nForce chipset
* Fri Sep 13 2002 - mantel@suse.de
- fix excessive unfairness in elevator that led to stalls of up to
  several seconds
* Thu Sep 12 2002 - kukuk@suse.de
- Enable TSC disabling hack
* Thu Sep 12 2002 - mantel@suse.de
- fix crash in boot splash patch when screen was unblanked when the
  kernel was in an interrupt handler
* Thu Sep 12 2002 - mantel@suse.de
- don't hang machine on device removal
* Thu Sep 12 2002 - mantel@suse.de
- fix "make xconfig"
* Thu Sep 12 2002 - mantel@suse.de
- fix detection of Promise RAID controllers
* Thu Sep 12 2002 - ak@suse.de
- fix IOMMU problems in bcm5700 driver
* Thu Sep 12 2002 - mantel@suse.de
- print warning when user tries to disable TSC and this is not
  possible
* Thu Sep 12 2002 - mantel@suse.de
- added new config option CONFIG_X86_TSC_DISABLE from 2.4.20-pre2+
  which is needed on some NUMA like boxes
* Thu Sep 12 2002 - mantel@suse.de
- fix critical bug in SCSI error handler that can lead to hanging fsck
  in failover setups. Tested and blessed by SteelEye and Jens Axboe.
* Thu Sep 12 2002 - mantel@suse.de
- fix another non-critical buglet in reiserfs-acl
* Thu Sep 12 2002 - mantel@suse.de
- small ALSA update:
- fixed pci_alloc_consistent hack for x86-64 and other architectures.
- fixed the detection of 2nd codec on intel8x0.
* Wed Sep 11 2002 - mantel@suse.de
- add support for EA/ACL on JFS
* Wed Sep 11 2002 - mantel@suse.de
- use new ACPI code again
- compress /boot/vmlinux
- remove /boot/vmlinuz.suse and /boot/initrd.suse (/boot partitions
  from updates might be small)
* Wed Sep 11 2002 - bk@suse.de
- 390-updates: set initial TERM to dumb, fix status of zfcp procs,
  apply arch-special ptep patches and tux(execpt for external cgi)
* Wed Sep 11 2002 - mantel@suse.de
- temporarily remove md-mp patch, since it breaks autodetection of
  RAID0 devices
* Wed Sep 11 2002 - mantel@suse.de
- update defconfig/i386.defconfig due to new options
* Wed Sep 11 2002 - mantel@suse.de
- add bunch of network fixes from current -pre kernel; approved by
  Marcelo
* Wed Sep 11 2002 - mantel@suse.de
- fix race in reiserfs data logging
* Wed Sep 11 2002 - mantel@suse.de
- make sure the right transceiver mode is chosen for 3c59x driver;
  otherwise performance is abysmal
* Wed Sep 11 2002 - mantel@suse.de
- fix usb hub brokeness with broken devices
* Wed Sep 11 2002 - mantel@suse.de
- re-added EA/ACL support for JFS now that it has been cleaned up
* Wed Sep 11 2002 - mantel@suse.de
- allow using old miniacpi for machines that won't boot at all with
  new ACPI code, but need the functionality for proper detection of
  HT CPUs. Can be activated with "acpi=oldboot"
* Wed Sep 11 2002 - mantel@suse.de
- add endianess fix for ncpfs
* Wed Sep 11 2002 - mantel@suse.de
- re-added new ACPI code; currently there is only one class of
  problematic machines left (Compaq workstations). Will be fixed
  with additional kernel parameter soon.
* Tue Sep 10 2002 - mantel@suse.de
- back to old ACPI code
* Tue Sep 10 2002 - mantel@suse.de
- disable EA/ACL on reiserfs
* Tue Sep 10 2002 - mantel@suse.de
- added km_hsflinmodem to neededforbuild
* Tue Sep 10 2002 - mantel@suse.de
- remove ACPI update again. It causes huge amounts of problems on
  many, many machines.
* Tue Sep 10 2002 - mantel@suse.de
- update ALSA to cvs20020910:
- fixed the calculation of the current pointer on via drivers.
- fixed capture on usb-audio.
- fixed the handling of bd arrays on via686/8233 drivers
  when the period size is smaller than PAGE_SIZE.
- sndstat shows the more descriptive mixer names.
- sndstat shows the synth devices if registered.
- fixed (possible) i2c deadlocks on smp.
- more ac97 codec ids.  fixed for stac975x, ad1886a.
- fixed some typos in rme32 driver.
- experimental support for breakbox on terratec dmx 6fire (ice1712).
- added more card to support spdif on ens1371.
- added snd_vid/snd_pid options to speicfy the device for usb-midi.
- fixed the oops on usb audio under xrun.
* Tue Sep 10 2002 - mantel@suse.de
- drop EA/ACL support for JFS
* Tue Sep 10 2002 - mantel@suse.de
- make "pci=noacpi" the default, since there are too many broken machines.
  New parameter "pci=acpi" allows forced enable if it should be needed.
* Tue Sep 10 2002 - mantel@suse.de
- add new kernel parameter "pci=noacpi" to allow work around for buggy ACPI
* Tue Sep 10 2002 - mantel@suse.de
- enable iANS support for e100 and e1000 drivers
* Tue Sep 10 2002 - mantel@suse.de
- fix compilation when kdb is on and dprobes are off
* Tue Sep 10 2002 - mantel@suse.de
- added some entries to ACPI blacklist
* Tue Sep 10 2002 - mantel@suse.de
- allow to map more than one page in __acpi_map_table
* Tue Sep 10 2002 - mantel@suse.de
- add EA/ACL support for JFS
* Mon Sep 09 2002 - mantel@suse.de
- disable FTAPE driver for SMP kernels
* Mon Sep 09 2002 - bk@suse.de
- s390: fix no access after SNID - Device became not operational
* Mon Sep 09 2002 - mantel@suse.de
- defconfig of Hammer should match the one from k_deflt
* Mon Sep 09 2002 - mantel@suse.de
- add support for Lexar USB CF Reader
* Mon Sep 09 2002 - mantel@suse.de
- fix silly bug in o1-sched_yield that leads to lockups on SMP
  machines
* Mon Sep 09 2002 - mantel@suse.de
- use new ACPI code only on i386
* Sun Sep 08 2002 - mantel@suse.de
- update to new ACPI code
- don't activate R/W support for NTFS
* Sun Sep 08 2002 - mantel@suse.de
- allow e100 driver to be compiled into the kernel
* Sun Sep 08 2002 - mantel@suse.de
- update to new ACPI code from 20020829; while there still are problems
  on some machines, "acpi=off" now seems to work fine, so "failsafe"
  will work
* Sun Sep 08 2002 - mantel@suse.de
- fix for kmod spewing the message "unable to exec /sbin/modprobe"
* Sun Sep 08 2002 - mantel@suse.de
- update ntfs to 2.1.0a; disable write support since it's dangerous
* Fri Sep 06 2002 - mantel@suse.de
- set CONFIG_AIC7XXX_CMDS_PER_DEVICE to 32 as advised by Adaptec
- disable CONFIG_AIC79XX_ENABLE_RD_STRM as advised by Adaptec
* Fri Sep 06 2002 - bk@suse.de
- s390: update claw.diff and arch-special/s390-timer.diff(for sysctl)
* Fri Sep 06 2002 - mantel@suse.de
- fix for latest known reiserfs ACL bug (fix return value)
* Fri Sep 06 2002 - mantel@suse.de
- final round of reiserfs ACL fixes; should be stable now
- add missing declarations in xattr-um
* Fri Sep 06 2002 - mantel@suse.de
- don't install modules ibmasm.o and ibmser.o twice
* Fri Sep 06 2002 - mantel@suse.de
- remove usagi-bind_ipv6only-2-2.4.19aa1 due to problems with multicast
* Fri Sep 06 2002 - mantel@suse.de
- the reiserfs fsync call has an optimization to allow a few more writes
  to come in before forcing the transaction to close. This can lead to
  "hanging processes", that means processes only will make progress as
  soon as some other process triggers disk I/O. This is fixed now. The
  bug has been known as the "system hangs on boot" bug.
* Fri Sep 06 2002 - mantel@suse.de
- use new EXTRAVERSION "NUMA" for numa kernels, since modules are not
  compatible with normal SMP modules due to CONFIG_DISCONTIGMEM
* Fri Sep 06 2002 - mantel@suse.de
- don't install module amd-8111.o twice
* Fri Sep 06 2002 - mantel@suse.de
- fix longstanding futex bug (shared conditional needs to be reversed)
* Fri Sep 06 2002 - mantel@suse.de
- fix CONFIG_IDEDMA_ONLYDISK
* Fri Sep 06 2002 - duwe@suse.de
- fix PPC32, broken by O(1)-sched & aio
- fixed PowerMac IDE
- minor ALSA update from Takashi
* Fri Sep 06 2002 - schwab@suse.de
- Fix 32 bit ipc emulation.
* Fri Sep 06 2002 - ak@suse.de
- x86_64: fix bug in 32bit msgrcv (originally from David Mosberger)
* Fri Sep 06 2002 - mantel@suse.de
- update to new futex patch 2.0.1
* Thu Sep 05 2002 - bk@suse.de
- s390-defconfig: Timer patch enabled, but not activated by default
* Thu Sep 05 2002 - mantel@suse.de
- go back to older aic79xx driver, because new one breaks aic7xxx. Sic!
  we need modules.dep and assorted files in /lib/modules/<version>.
  Now no modules have unresolved externals, so delete patch no-depmod
* Thu Sep 05 2002 - bk@suse.de
- s390-fixes: pwrite, slabinfo, nodevfs, cp2user and module-license
* Thu Sep 05 2002 - bk@suse.de
- update patches.s390/arch-special/s390-timer.diff to new version
* Thu Sep 05 2002 - ak@suse.de
- x86_64: move commandline-initdata-x86_64 to common patches.
- x86_64: fix VIRTUAL_BUG_ON macro
* Thu Sep 05 2002 - ak@suse.de
- x86_64: Try to enable IOMMU even without AGP
* Thu Sep 05 2002 - schwab@suse.de
- Split up kdb-compile patch to make it work on non-i386.
* Thu Sep 05 2002 - mantel@suse.de
- make kdb actually compile
* Thu Sep 05 2002 - mantel@suse.de
- update aic79xx driver to 1.0.11
* Thu Sep 05 2002 - mantel@suse.de
- make UML build again
* Wed Sep 04 2002 - bk@suse.de
- sequence-numbers: tag TIOCGDEV with NO390
* Wed Sep 04 2002 - mantel@suse.de
- reading from /proc/cmdline should honour the max length
* Wed Sep 04 2002 - bk@suse.de
- mantel: kernel-source.spec: fix specfile for x86_64
- schwab: kernel-source.spec: Apply s390 patches only on s390.
* Wed Sep 04 2002 - mantel@suse.de
- command_line was marked __initdata but still used for the environment
  of the execve(/sbin/init) call. Fixed.
* Wed Sep 04 2002 - mantel@suse.de
- update Documentation/devices.txt
* Wed Sep 04 2002 - mantel@suse.de
- update to new vtune 0.92 from Intel; remove obsolete patch vtune-fixes
  (now already incorporated); activate -DENFORCE_ROOT_ONLY_ACCESS
* Wed Sep 04 2002 - schwab@suse.de
- Remove HP patch that breaks Tiger.
- Repair ia64 patch.
* Wed Sep 04 2002 - bk@suse.de
- ak/x86_64:
  o Use Intel ACPI 20020821-2.4.19
  o Added HPET support and other minor fixes
  o Make sure fcntl and fcntl64 in 32bit accept the same arguments
  o 32bit personality returns i686 instead of i386 as uname now
  o Disable extensive NUMA debugging checks
* Wed Sep 04 2002 - mantel@suse.de
- fix lockups with token ring cards in high load SMP environments.
* Wed Sep 04 2002 - mantel@suse.de
- fix one-liner bug in aio; test suite now passes successfully with
  new libaio
* Tue Sep 03 2002 - mantel@suse.de
- fixed config
* Tue Sep 03 2002 - bk@suse.de
- s390-updates: use needed extraversion on s390/s390x
- fixes lots of bogus warnings on s390x vmlinux link
- remove not neccesary cast to make xfs compile for s390 also
- s390: add config for SCSI support and disable io_request_lock-scale
* Tue Sep 03 2002 - bk@suse.de
- add aio types to asm-{s389,s390x,ia64,ppc,ppc64}/kmap_types.h
- fix xattr patch and add needed scsi patches for zfcp
* Tue Sep 03 2002 - bk@suse.de
- duwe: added kernel debugger KDB by sgi. Context updated accordingly.
- ak: x86_64-aio-kmap: Make it compile again with latest aio changes
- bk/s390: base config on i386 with modifications in arch-special.s390
- bk/s390: add timer patch and xattr support for s390/s390x
* Mon Sep 02 2002 - bk@suse.de
- Update to reiserfs-data_logging-28 (mason)
- add aio update from Andrea which obsoletes aio-bugfix and pipe-aio
- add mason-reiserfs-directio (helps reiser with directio)
- add mason-reiserfs-i_size_readwrite-support(supports andrea's
  i_size_read/write calls)
* Mon Sep 02 2002 - schwab@suse.de
- Add new patches from HP.
* Mon Sep 02 2002 - bk@suse.de
- patches.common/xattr-mbcache: enable CONFIG_FS_MBCACHE
  unconditionally to avoid stupid bug reports (agruen)
- add patches.common/xattr-m68k (agruen)
- cpu-affinity: fix allocating the task struct via slab or vmalloc.
* Mon Sep 02 2002 - mantel@suse.de
- add fix for loading of memory sticks on Sony Vaios
* Mon Sep 02 2002 - bk@suse.de
- ak/x86_64:
  o Don't use HPET timer on x86-64 when the BIOS didn't enable it
  o Fix syscall export for x86-64
  o Add AMD hotplug stub
  o Add IRET exception security fix fromx86-64.org CVS
  o Export more system calls in x86-64 to fix unresolved symbols
  o Add EVMS configuration for x86-64
  o Update x86-64 defconfig
- olh/ppc:
  o Update ppc64.defconfig for pSeries
- schwab/ia64:
  o Update ia64 defconfig
* Sat Aug 31 2002 - olh@suse.de
- define TIOCGDEV in asm-ppc64 and ppc64/ioctl32
* Fri Aug 30 2002 - mantel@suse.de
- enabled new options (IBMASM, UNICON, SENSORS)
* Fri Aug 30 2002 - bk@suse.de
- Add one more ipv6only check in IPv4 flow from USAGI cvs (kukuk)
- Fix i386 system call numbers for futex/sched affinity	     (ak)
- x86_64: Fix more ioctl32 bugs and reserve page 0 on UP.    (ak)
- fix exports of chdir, chroot, dup, write, fcntl and shmctl (bk)
* Fri Aug 30 2002 - mantel@suse.de
- added filesystem lock patch (wrapper) from Polyserve
* Fri Aug 30 2002 - mantel@suse.de
- abit_apic_required broke SMP compiles; fixed. Moved abit_apic_required
  to patches.i386, since it depends on enable_apic
* Fri Aug 30 2002 - mantel@suse.de
- remove obsolete patches from specfile
* Fri Aug 30 2002 - mantel@suse.de
- update e100 driver to 2.1.15
- update e1000 driver to 4.3.15
* Fri Aug 30 2002 - mantel@suse.de
- work around bug in XFS preallocation handling
* Fri Aug 30 2002 - mantel@suse.de
- forcibly enable APIC and disable APM on ABIT KX7-333[R] board.
  Else it crashes.
* Thu Aug 29 2002 - bk@suse.de
- add fix from andrea to make patches apply with --dry-run and
  renamed to iff-dynamic and uml-patch
* Thu Aug 29 2002 - mantel@suse.de
- update cciss driver to 2.4.32
- update cpqfc driver to 2.1.2
- update cpqarray driver to 2.4.22
- all those drivers update come directly from Compaq/HP
* Thu Aug 29 2002 - mantel@suse.de
- added support for IBM Advanced System Management
* Thu Aug 29 2002 - bk@suse.de
- duwe/all:
  o add ALSA CVS update from Takashi
- ak/x86_64:
  o fix dynamic 32bit ioctl registration
  o emulate aio correctly
  o emulate scheduler affinity system calls correctly
- bk/s390:
  o fix definition von PROT_SEM im futex patch
  o ioctl32.c: compile fix for O1 scheduler
  o linux32.c: temporary workaround for new quota API (large uid quotas)
* Thu Aug 29 2002 - mantel@suse.de
- add documentation for kernel parameter "apic"
* Thu Aug 29 2002 - schwab@suse.de
- Fix pte-highmem for ia64 and use it again.
- Fix use of PCI DMA interface in sba_iommu.
* Thu Aug 29 2002 - mantel@suse.de
- remove TRACE code from arch/i386/kernel/traps.c:do_nmi() because it
  is reported to be able to freeze the machine.
* Wed Aug 28 2002 - bk@suse.de
- x86-64: enable SMP, UP does not work,disable ISA drivers and others
* Wed Aug 28 2002 - bk@suse.de
- fix to apply on s390/s390x also
* Wed Aug 28 2002 - bk@suse.de
- Update reiserfs ACLs with many fixes from Jeff
- Apply enable-apic patch only on i386
- Apply evlog (Event Logging) on all archs
- AIO: Use the same System call numbers as 2.5
- add performance fix for ip_conntrack_core from ak/Siemens
* Tue Aug 27 2002 - bk@suse.de
- remove pte-highmem diffs from s390{,x}-aa
- split ptep.diff and adapt it to vm_17 to boot on s390x
- includes x86-64 update from Andi
* Tue Aug 27 2002 - mantel@suse.de
- don't force people to build the vtune module (can't be compiled
  with gcc 2.95.3)
* Mon Aug 26 2002 - schwab@suse.de
- Move pte-highmem and related patches to patches.i386.
* Mon Aug 26 2002 - mantel@suse.de
- fix problem with printk macro in event logging patch
* Mon Aug 26 2002 - mantel@suse.de
- update i2c and lm_sensors to 2.6.4
* Mon Aug 26 2002 - mantel@suse.de
- update IPVS to 1.0.6 (bugfix in connection synchronization code)
* Mon Aug 26 2002 - mantel@suse.de
- new version of ibmhpacpi hotplug driver
* Mon Aug 26 2002 - mantel@suse.de
- fix several SMP races in ACL/EA code
* Sat Aug 24 2002 - mantel@suse.de
- fix random memory corruption for initrd (the famous IDE problem)
- update md-mp patch (cleanup, some bugfixes and removal of dead code)
* Fri Aug 23 2002 - mantel@suse.de
- keep vmlinux for debugging purposes
- disable CONFIG_PDC202XX_FORCE
- Candidate for beta#1
* Fri Aug 23 2002 - schwab@suse.de
- Update ia64 patch to 2.4.19-020821.
* Fri Aug 23 2002 - mantel@suse.de
- Candidate for beta#1
* Thu Aug 22 2002 - mantel@suse.de
- mv x86_64 stuff to common
- add workaround for piix IDE code
- add safe fixes from 2.4.20-pre1
- some nfs access fixes for ACL
- fix oops when reiserfs gets written full
* Wed Aug 21 2002 - bk@suse.de
- update s390 patches (added patches.s390/arnd/) and from duwe:
  o move shm-largepage to i386 and move it to the end
  o pte-high: remove processor.h -> asm/prefetch.h diffs(not needed)
* Tue Aug 20 2002 - mantel@suse.de
- go back to older reiserfs write barrier code, cause current one
  is unstable
- fix bug in .reiserfs_priv handling on 3.5 format
- fix EVMS snapshot bug on S390
* Tue Aug 20 2002 - mantel@suse.de
- some bugfixes for reiserfs-acl. Disable attribute sharing as the
  implementation is racey still
* Mon Aug 19 2002 - mantel@suse.de
- update due to new version
* Mon Aug 19 2002 - ro@suse.de
- don't try to remove dprobes patches on non-x86, they are only
  in patches.i386 now
* Mon Aug 19 2002 - mantel@suse.de
- update ALSA to latest CVS version; fix problem with USB modules
- clean up reiserfs ACL patch (remove auto generated file)
- some ACL bugfixes
- add EVMS 1.1.0
- update JFS to 1.0.21
- dprobes should only be used on ia32
- re-added evlog facility for ia32
- re-added LTT for ia32
- add VTune performance driver module
- fix interaction of dprobes with Kylix debugger
- reiserfs_writepage no longer tries to do data journaling, it can't be
  done without deadlocking against kswapd.
- the unused journal slab cache was causing an oops on module
  unload/reload.  Fixed.
- oops triggered by reiserfs_journal_kupdate() trying to write a bogus
  transaction. (bugzilla bug # 18076)
- adds blk_flush_device so that reiserfs can force flushes of the IDE
  write cache on fsync and O_SYNC
* Fri Aug 16 2002 - mantel@suse.de
- updated config; added PreReq:
* Fri Aug 16 2002 - mantel@suse.de
- fix bad I/O performance caused by elevator
- APIC on UP systems needs to be explicitly enabled with "apic"
- new version of assorted SCSI patches; adds sg_many which completes
  the suite
- add new SCSI largelun parameter, so this can be used as workaround
  for hardware that needs to be added to the device_list in scsi_scan
- fix race with free_pte/truncate
- add missing e1000 ioctl checks
- fix some ACL bugs for all supported filesystems
- fix IRQ balance problem for summit machines
* Wed Aug 14 2002 - bk@suse.de
- builds on s390 now and enabled reiserfs ACLs i386.defconfig
- other changes are from Hubert, I only can see which files are new:
- new patches: pipe-aio quota-gcc3 noquota-Makefile block_dev-get-block
  io_request_lock-scale-3 io_request_lock-scale-drivers-2
  reiserfs-acl-2.4.19-SuSE-2+agruen.patch reiser-ACL-defconfig
- updated patches: block-highmem-all-19 elevator-fixes nopart-stat-2.4.19
  write_barrier-7-suse-2.4.19-rc5 linux-abi-2.4.18.0-2.4.19-pre10
* Tue Aug 13 2002 - mantel@suse.de
- re-enable CONFIG_HPFS_FS
* Tue Aug 13 2002 - mantel@suse.de
- fix ACL code
- remove Linux Trace Toolkit for now
* Mon Aug 12 2002 - mantel@suse.de
- update to new version
* Mon Aug 12 2002 - mantel@suse.de
- allow disabling of local APIC via kernel parameter
- add dprobes support from IBM
- fix problem with nfsd/ACL
- new version of USAGI bind patch
- add new ID to USB pl2303 driver
- new version of epic100 FX support code
- add fix for SCSI inquiry command (length - 252 instead of 255)
- update IPVS to 1.0.5
- add older pcnet32 driver as pcnet32-old since the new one makes
  trouble on quite some machines
- add Linux Trace Toolkit from IBM
- add multipath support to md driver
- add multipath support to LVM driver
* Mon Aug 12 2002 - olh@suse.de
- create a patches.ppc, to fix package dependency chain
  add ppc64 defconfig
* Thu Aug 08 2002 - mantel@suse.de
- update to new version
- added km_antivir to neededforbuild
- fix generation of hostname
- enable NFS over TCP
* Thu Aug 08 2002 - mantel@suse.de
- update LSI fusion drivers to 2.01.10
- update gdth driver to 2.04
- fix config for splash screen
- add sd_many patches, now that they are fixed
- add EA/ACL support for ext2/ext3; clean up infrastructure
- add new entry for device_list in scsi_scan (Hitachi OPEN-E)
- backport ncpfs fix from 2.5 (fixes "ls ." in $PWD)
- provide mapping information of the logical processors and physical
  packages in /proc/cpuinfo
- allow binding of different programs to the IPv4 and IPv6 port
- enforce RSS limits
- optimize reiserfs tree searching routine
- fix race between iget and the reiserfs read inode funcs
- add ATA133 support for SiS961/962
* Tue Aug 06 2002 - mantel@suse.de
- update config (backed out sd_many because it breaks SCSI systems)
* Tue Aug 06 2002 - mantel@suse.de
- fix x86_64 (don't use the code from -aa)
  so far no aio and largepage support on x86_64
- back out sd_many stuff (breaks SCSI systems)
- fix problem with bootsplash freezing machine on wakeup
* Mon Aug 05 2002 - mantel@suse.de
- update to 2.4.19
* Mon Aug 05 2002 - mantel@suse.de
- update to 2.4.19 final
- update ALSA to cvs20020802
- several ISDN updates from maintainer
- fix tail handling bug for data=ordered for reiserfs
  data=ordered is now the default, data=writeback mount option added
- add support for ipv6 shared cards for IBM zSeries
- NFS locking fixes from Olaf Kirch
- add support for "many" SCSI disks (allocate new unused majors
  dynamically for systems that need huge numbers of disks)
- update NTFS to 2.0.23a
- make kiobuf headers more memory efficient by allocating the
  headers dynamically
- fix two bugs in reiserfs log replay code:
  don't replay a transaction from an old mount id
  correctly detect transacations to reply; could result in
  non-working LVM snapshots
* Sat Aug 03 2002 - stepan@suse.de
- added km_bios to neededforbuild
* Fri Aug 02 2002 - mantel@suse.de
- updated config (new qla2xxx driver; new ALSA driver)
* Fri Aug 02 2002 - mantel@suse.de
- update to 2.4.19-rc5aa1
- remove old qlogic drivers, since the new ones from -aa are
  confirmed to work fine
- update ALSA to cvs20020801
* Thu Aug 01 2002 - mantel@suse.de
- update to 2.4.19-rc4aa1
- update to 2.4.19-rc5
* Wed Jul 31 2002 - mantel@suse.de
- Adjust config to new kernel-source
* Wed Jul 31 2002 - mantel@suse.de
- update to 2.4.19-rc3aa4 (includes async-I/O)
- reiserfs updates from Chris Mason:
  o 301-relocation-4.diff
  Allows for external log devices, and log device tuning
  o 302-commit_super-8-relocation-suse-2.4.19-rc3aa4
  Makes things faster by allowing longer transactions
  o 303-beta-data-logging-19-suse.diff
  Adds data=journal and data=ordered support, and includes many
  optimizations for small transactions.  In data=journal mode,
  mail server work loads are 2x-4x times as fast, even in
  writeback and ordered mode, there are nice performance gains.
  o 305-write_barrier-7-suse.diff
  rediffed
- update IPVS to 1.0.4
- update DC395x driver to 1.41
- allow netconsole code to be compiled in and configured from lilo
- add ID for USB scanner
- update to latest backport of 2.5 ACPI code
- re-enable ACPI for x86
* Wed Jul 31 2002 - stepan@suse.de 
- fix last jpeg fix for non-hammer platforms (remove struct info
  conflicts)
- adapt ia64-1-decl patch in patches.ia64.tar.bz2
* Tue Jul 30 2002 - stepan@suse.de
- vmalloc temporary variables instead of keeping them in local
  scope for splash screen (fixes stack overflow on some machines
  during jpeg decompression)
* Tue Jul 23 2002 - kukuk@suse.de
- Adjust config to new kernel-source
* Tue Jul 23 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020722.
* Tue Jul 23 2002 - sf@suse.de
- added new patchset from ak (replaced patches.x86_64.tar.bz2)
* Mon Jul 22 2002 - sndirsch@suse.de
- added '9D_sisfb' patch (patches.tar.bz2) required for DRI support
  on SiS chips
* Mon Jul 22 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020719.
* Mon Jul 22 2002 - stepan@suse.de
- don't ignore abi patches on alpha
- fix agpgart patch to apply cleanly
- add patch to fix up exported symbols.
* Fri Jul 19 2002 - duwe@suse.de
- update 2.4.19-rc1 to -rc2
  patches deleted / trimmed / context updated accordingly;
- starfire "diff" deleted, clashes seriously.
- drivers/ieee1394 changes hidden in 020_pte-highmem-25 alike.
- ALSA update by Takashi
- Hammer updates by Stefan Fent
* Thu Jul 18 2002 - sndirsch@suse.de
- removed km_drm from module build
- added build of SIS fb module (required for SIS DRM module)
* Thu Jul 18 2002 - aj@suse.de
- Mount ext3 correctly as rootfs.
* Thu Jul 18 2002 - sf@suse.de
- corrected error in last patch
* Thu Jul 18 2002 - sf@suse.de
- make VESA-fb configurable in kernel
* Wed Jul 17 2002 - schwab@suse.de
- Fixes for O(1) scheduler on ia64.
- Add HP patches for ia64.
* Tue Jul 16 2002 - kukuk@suse.de
- go back to old ACPI
* Tue Jul 16 2002 - ak@suse.de
- Update to latest x86_64 CVS. Remove obsolete patches.
* Tue Jul 16 2002 - kukuk@suse.de
- disable acpi on ix86
* Tue Jul 16 2002 - ak@suse.de
- x86_64 fix: make vesafb work (Vojtech Pavlik)
* Mon Jul 15 2002 - ak@suse.de
- x86_64 fixes:
  * disable IO MMU when no 8151 is available (BIOS bug workaround)
  * disable RTC interrupts to prevent problems with HPET timers
  * warn for invalid GART MTRRs
  * use UC mappings to user space for AGP GART
  * disable exception trace for now
* Wed Jul 10 2002 - schwab@suse.de
- New ia64 patches:
  * Bootmem initialisation on big machines
  * Pointer truncation in radeon fb driver
  * Security fix for flush_tlb_pgtables.
* Mon Jul 08 2002 - ak@suse.de
- Some fixes from x86-64 CVS
* Fri Jul 05 2002 - schwab@suse.de
- Fix ACPI initialisation.
* Fri Jul 05 2002 - ro@suse.de
- fix typo in last change
* Fri Jul 05 2002 - ro@suse.de
- set RPM_TARGET to i386 on i586 and i686
* Fri Jul 05 2002 - schwab@suse.de
- Fix compilation with CONFIG_IA64_GENERIC.
* Fri Jul 05 2002 - ak@suse.de
- Update to 2.4.19-rc1 snapshot CVS x86-64 kernel patch
  IDE changes dropped for now because they corrupt file systems.
- Port to O(1) scheduler
- Fix lilo on reiserfs
- Fix SMP build
* Thu Jul 04 2002 - schwab@suse.de
- Makefile fix for e100 driver.
* Thu Jul 04 2002 - schwab@suse.de
- Update ia64 patch.
* Wed Jul 03 2002 - mantel@suse.de
- enable new options for ACPI and ALSA
* Wed Jul 03 2002 - mantel@suse.de
- update to 2.4.19-rc1aa1
- update ALSA to cvs20020627
- update ips driver to 5.10.21
- add fx support to epic100 driver
- add futex 2.0
* Sun Jun 30 2002 - adrian@suse.de
- update to 2.4.19rc1
  * update patches
- 005_vm_07_local_pages-2 -> -3
- 005_vm_14_block_flushpage_check-1 -> -2
- 030_x86_setup-boot-cleanup-4 -> -5
- 070_xfs-1.1-2 -> -3
  * small fixes in
- 005_vm_17_rest-7 -> -8
- 52_extraversion-depend
  * rework patches
- 50_readv-2.4.18-pre7aa2
  * remove obsolete patches
- 000_apm-idle_period-parse-1
- 000_export-vmalloc_to_page-1
- 000_fix-stat-irq-1
- 000_scsi-error-thread-reparent-1
- 000_sig_ign-discard-sigurg-1
- 50_pci_highmem-fix-2.4.19-pre10aa2
- 50_ns83820-0.18-2.4.19-pre10aa2
- 50_export-acpi_walk_namespace-2.4.18
- fix spec file for cross compile
- add mips patches
* Tue Jun 25 2002 - schwab@suse.de
- Update ia64 patch.
* Mon Jun 24 2002 - mantel@suse.de
- add new driver CONFIG_SCSI_AIC79XX
* Mon Jun 24 2002 - mantel@suse.de
- update to 2.4.19-pre10aa4
- update JFS to 1.0.20
- update orinoco driver to 0.12
- small fix for modular ide-cd (nr_sects = 0)
- export do_select
- add aic79xx driver
- drop export of secure_ipv6_id (does not exist anymore)
- update IPVS to 1.0.3
* Sat Jun 22 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020622.
- Fix alsa patch.
* Fri Jun 21 2002 - tiwai@suse.de
- removed EXPORT_NO_SYMBOLS from ALSA sbawe module.
- fixed ALSA for x86-64.
* Wed Jun 19 2002 - mantel@suse.de
- enable new additional ALSA modules
- make IDE and SCSI CD-ROM drivers modular
* Wed Jun 19 2002 - mantel@suse.de
- fix no-depmod patch (we still need postinstall for pcmcia)
- add NFS locking fixes
- dirty inode speedup for reiserfs and ext3
- update JFS to 1.0.19
- make sure UP modules are compatible independent of compiler version
- re-add write barrier patch for reiserfs
- add xfs write barrier support for XFS
* Wed Jun 19 2002 - tiwai@suse.de
- updated alsa patches to cvs 0.9.0 rc2.
  including snd-usb-audio driver.
  ALSA directory is moved under linux/sound as well as on 2.5
  tree.
* Mon Jun 17 2002 - schwab@suse.de
- Fix more missing declarations.
* Mon Jun 17 2002 - schwab@suse.de
- Fix missing declarations.
* Sun Jun 16 2002 - schwab@suse.de
- Update ia64 patch.
* Fri Jun 14 2002 - mantel@suse.de
- update config, removed km_alsa from neededforbuild (alsa is now
  part of the kernel)
* Fri Jun 14 2002 - mantel@suse.de
- update to 2.4.19-pre10aa2
- update qla2x00 driver to 6.0b23
- added SteelEye patches
- added PolyServ patches
- update ns83820 driver to 0.18
- added workaround for USB storage module
- update summit patch to version from 7.5.2002
- update JFS to 1.0.18
- added some missing header includes
- temporarily removed accessibility stuff
- add new USB driver usbdnet v0.4b
- integrate ALSA into kernel sources
- fix floppy change bug
- add bugfixes to qlogicfc driver
* Wed Jun 12 2002 - mantel@suse.de
- update config due to new version
* Sat May 25 2002 - schwab@suse.de
- Increase default number of IO TLBs.
- Fix setup of cpu family.
* Wed May 15 2002 - olh@suse.de
- do not remove pte-highmem on ppc, build vmlinux on ppc64
* Tue May 14 2002 - kukuk@suse.de
- Add pte-highmem for sparc64
- Add lot of more sparc fixes
* Fri May 10 2002 - ak@suse.de
- Fix x86_64 compilation. Define correct ABI for x86-64 autofs.
* Thu May 09 2002 - schwab@suse.de
- Fix qla2x00-emc driver to compile.
* Thu May 09 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020508.
* Thu May 09 2002 - mantel@suse.de
- fix small patch reject introduced by x86-64 cleanup
- fix "make xconfig"
* Wed May 08 2002 - ak@suse.de
- Report x86-64 from CVS.
- Lots of 64bit driver fixes.
- Fix XFS for long flags.
- Remove x86-64 changes from common patches.
* Wed May 08 2002 - stepan@suse.de
- initial x86-64 support.
* Tue May 07 2002 - schwab@suse.de
- Fix file list.
* Mon May 06 2002 - mantel@suse.de
- correct fix for initrd free from Al Viro
* Mon May 06 2002 - mantel@suse.de
- remove reiserfs write barrier support
* Sat May 04 2002 - mantel@suse.de
- update due to new version
* Sat May 04 2002 - schwab@suse.de
- Update ia64 patch.
* Sat May 04 2002 - mantel@suse.de
- update to 2.4.19-pre8aa2
- fix ufs compilation
* Sat May 04 2002 - mantel@suse.de
- update to 2.4.19-pre8aa1
- update cciss driver to 2.4.27
- add sard support for cpqarray driver
- fix compilation when CONFIG_ROOT_NFS is set
- add summit patch 2002-05-03
- use official version 4.1.7 of e1000 driver
- update qla2200/qla2300 driver to 6.0b20
* Thu May 02 2002 - mantel@suse.de
- enabled new option CONFIG_CHR_DEV_SCH
* Thu May 02 2002 - mantel@suse.de
- update to 2.4.19-pre7aa3
- added scsi changer driver 0.20
- added some fixes from SteelEye to qla2x00 driver
* Mon Apr 29 2002 - mantel@suse.de
- update to 2.4.19-pre7aa2
- set needed compile option for dl2k driver
- fix for emu10k when compiled with highmem
- export "sb_limit_maxbytes" for intermezzo
- some Linux-ABI fixes from hch
- temporarily remove some cleanups from -pre7 until additional
  packages are fixed
* Thu Apr 25 2002 - mantel@suse.de
- update to 2.4.19-pre7aa1
- update JFS to 1.0.17
- update Linux ABI to 2.4.18.0
- add some entries for SCSI large lun (devices that report to be
  SCSI2 but are using large LUNs)
- update qla2x00 to 4.47.8 (EMC certified version)
- fix acct for 32 bit UID/GID
- add workaround for buggy CD-ROM drives (read TOC)
- update e100 to 1.8.38
- update starfire to 1.07
- add infiniband support 20020411
- update cyclades driver
- add accessibility/jupiter patches for blind users
- update i2c to 2.6.3
- update lm_sensors to 2.6.3
- fix endless loop in getpid
- fix for SIGURG for LSB testsuite
- fix some remaining drivers for pte-highmem
- make linux-abi compile
* Sat Apr 20 2002 - ro@suse.de
- replaced km_secum by km_secumod in neededforbuild
* Fri Apr 12 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020410.
- Remove ia64 compiler workarounds.
- Fix reiserfs virtual_node size computation for 64bit archs.
- Fix invalid use of compound literal.
* Wed Apr 10 2002 - ro@suse.de
- removed km_vdtxt (removed package)
* Wed Mar 27 2002 - garloff@suse.de
- Fix for rpc buffer size adjustment for NFS (from ak).
* Wed Mar 27 2002 - garloff@suse.de
- Fixed RPC congestion handling broken by nfs-tcp-tweaks patch
  which caused devastating performance sometimes. (#15423)
- Two patches for Alpha architecture: Fix NR_SYSCALLS in entry.S
  and underflow handling for floats in kernel IEEE math support.
- Don't apply mxt7  on alpha (depends on sisbug)
* Mon Mar 25 2002 - ro@suse.de
- added patch from axboe to work around problems with
  samsung cd-rom firmware (unable to mount medium)
* Sun Mar 24 2002 - mantel@suse.de
- fix XFS high load race
* Sat Mar 23 2002 - mantel@suse.de
- disabled CONFIG_USB_KBD and CONFIG_USB_MOUSE (handled by
  hid + input + keybdev + mousedev)
* Fri Mar 22 2002 - mantel@suse.de
- fix wrong vfree in HFC PCI (#15290)
- fix problems with PCMCIA and USB Hotplug (after the driver did a
  unload here was no chance to delete the network interface
  ==> isdn module cannot unload anymore).
- fix XFS not always vfreeing vmalloced memory
- fix syn ack bug
* Wed Mar 20 2002 - mantel@suse.de
- update cpqarray driver to 2.4.21B
- fix typo in boot splash patch
- fix wrong 50_AM53C974-ioport-register-2.4.18 (revert condition)
* Tue Mar 19 2002 - mantel@suse.de
- enable new firewire modules
* Tue Mar 19 2002 - mantel@suse.de
- update firewire subsystem to CVS version and make it compile
  with current official compiler
- update USB wacom driver to 1.21.3
* Mon Mar 18 2002 - mantel@suse.de
- fix small quota bug (users would see non-uptodate quotas)
- correctly export symbol IO_APIC_get_PCI_irq_vector for hotplug
- some netfilter fixes:
  + ipt_string is now SMP safe
  + a REJECT icmp was eventually sent with DF set, which does
  not make sense as DF is not handled with ICMP messages
  + clean up Configure.help texts
- fix JFS race introduced by thread handling cleanup
- fix typo in sysctl-by-name interface
- fix broken page_to_phys() for > 4GB case on x86
- make AM53C974 driver register its IO-space and fail if no
  adapter is found with available IO-space
- change aic7xxx driver to register its IO ports even if it uses
  memory mapped IO to access the registers; this ensures we don't
  clash with aic7xxx_old anymore
- make XFS return proper errnos
* Thu Mar 14 2002 - mantel@suse.de
- update e1000 driver to 4.2.4
- update tigon3 driver to 0.97
- some small updates from Andrea:
  + 50_dnotify-fl_owner-2
  This is the new version that handles per-"files" notifier
  (so not only fork() will stop messing with the parent, but
  the child will be allowed to use its own notifier too)
  + 9A_blk-highmem-updates-1
  This one adds the highmem = 1 to via and amd chipsets.
  + 9A_f00f-pte-highmem-1
  fix boot problem for classical Pentium MP systems. Problem
  was caused by use of vmalloc before smp_init
  + 9A_fdatasync-FIFO-1
  This is an obviously safe and right optimization that will
  streamline the msync I/O in ascendent order (good for most storages).
  + 9A_really-write-inode-1
  This fixes O_SYNC/fsync and it makes sure the inode updates are
  really been flushed by the time we return from sync_one.
  + 9A_vm-deadlock-fix-1
  Fix possible ext3 deadlock problem under high load
- use more elegant lcall_trace fix from 2.4.19-pre3
* Wed Mar 13 2002 - mantel@suse.de
- enabled CONFIG_JFS_STATISTICS
* Wed Mar 13 2002 - mantel@suse.de
- export symbol IO_APIC_get_PCI_irq_vector (needed by hotplug)
- update JFS to 1.0.16
- fix 64 bit breakage in rwsem-fair
- add scatter pad for sr driver
- some more XFS fixes from Andi Kleen
- update ns83820 driver to 0.17
- update bcm5700 driver to 2.2.8
- increase TX locks for JFS; this is just a workaround
* Mon Mar 11 2002 - schwab@suse.de
- Update ia64 patch.
* Mon Mar 11 2002 - mantel@suse.de
- fix NFS hang for slow cards
- fix boot splash patch when switching fb device
- update sis5513 driver to 0.13
- fix raw ioctl forwarding patch (use i_rdev instead of i_dev)
- better dnotify fix
- update tigon3 driver to 0.96
- some USB updates pending for 2.4.19-pre2 from Greg:
  usb-ipaq, usb-cyberjack, usb-ov511, usb-uhci and usb-storage
- update DC395 driver to 1.38
- various XFS fixes:
  + Always report 4K block size in stat(2) to work around db1.85
  bugs
  + Fix access after free race in pagebuf
  + Fix growfs crash due to not zeroed data structures that was
  added in the new non synchronous delete patches that went in
  quickly before we branched
  + Fix irixism in group sgid handling
  + Avoid quota problem when mounting read only XFS LVM snapshots;
  don't try to log a quota status change on the read only volume
  + Build fix when procfs is disabled
  (Andi Kleen and Eric Sandeen)
- fix SMP race in multipath routing
* Mon Mar 11 2002 - mantel@suse.de
- updated to build on s390x (merged from bk)
* Tue Mar 05 2002 - mantel@suse.de
- enabled new option CONFIG_NET_PKTGEN
* Tue Mar 05 2002 - mantel@suse.de
- add two missing module license tags
- fix ISDN EnterNow! compilation for IA64
- fix tcsetattr(TCSAFLUSH) discarded output problem
- update tigon3 driver to 0.95
* Mon Mar 04 2002 - mantel@suse.de
- enabled new option CONFIG_HISAX_ENTERNOW_PCI
* Mon Mar 04 2002 - mantel@suse.de
- small fix for GCC 3.1 (triggered by XFS)
- add ordered write support for reiserfs
- fix return codes for msync and mprotect
- update tigon3 driver to 0.94
- add support for USR Robotics ISDN PCI Card TA
- add support for Eicon Diva 2.02 PCI
- add support for Formula One EnterNow!
- allow early ioremap (hopefully fixes boot problem on MXT)
* Sun Mar 03 2002 - schwab@suse.de
- Fix race between sync_supers and kill_super.
* Fri Mar 01 2002 - ro@suse.de
- fix changelog merging
* Fri Mar 01 2002 - mantel@suse.de
- enable new drivers
- disable CONFIG_MODVERSIONS
* Fri Mar 01 2002 - mantel@suse.de
- update to 2.4.19-pre1aa1
- increase default number of loop devices to 16
- don't automatically load dc2xx and stv680 driver
- update tigon driver to 0.92
- several ISDN updates from Karsten Keil
- new PCI hotplug drivers from Greg Kroah
- fix IDE timings for secondary slave
- update IPS ServeRaid driver to 4.90.18
- update bcm5700 driver to 2.2.5
- update dc395x driver to 1.37
- fix for theoretical reiserfs corruption when disk gets full
- update ymfpci driver (backport from 2.5)
- sd cleanup fixes finally in
- update LSI drivers to 2.00.11
- fix reiserfs oops for blocksize != 4k
- adapt MXT to -aa VM
- update sk9dlin driver to 1.03
- update sk98lin driver to 4.11
- add include/linux/modules/*.ver files to filelist
- export acpi_walk_namespace (needed by pcihpacpi)
- update cciss driver to 2.4.27 (2.4.19-pre1 version is incomplete)
- fix return value for shmdt
* Wed Feb 27 2002 - schwab@suse.de
- Update ia64 patch to 2.4.18-020226.
* Tue Feb 26 2002 - mantel@suse.de
- update to 2.4.18; enable new drivers
* Tue Feb 26 2002 - mantel@suse.de
- update to 2.4.19-pre1
- added 3c359 token ring driver 1.2.0
- added AMD Elan watchdog driver
- update pcwd watchdog driver
- fix possible quota corruption on high SMP load
- fix for wrong gid on reiserfs dir creation
- add tigon3 driver 0.90
- fix for lcall7/lcall27 trace
* Mon Feb 25 2002 - mantel@suse.de
- update to 2.4.18-rc4aa1 (Andrea Arcangeli)
- qla2x00 should correctly inline kmem_zalloc
- remove double condition check from dquot.c (Jan Kara)
- fix listxattr call for XFS (Nathan Scott)
* Mon Feb 25 2002 - schwab@suse.de
- Export power management hooks on ia64.
* Sun Feb 24 2002 - olh@suse.de
- fix fake_initrd for boot floppies (#12628)
* Sat Feb 23 2002 - mantel@suse.de
- enable XFS
* Sat Feb 23 2002 - mantel@suse.de
- fix device node clash for Auerbach devices (Wolfgang Mes)
- update via driver to 3.34 (Vojtech Pavlik)
- add XFS support (Nathan Scott)
- update to 010_vm-26 (Andrea Arcangeli)
* Fri Feb 22 2002 - mantel@suse.de
- update to 2.4.18-rc4
- high I/O is no longer experimental (Jens Axboe)
- update write barrier code (Jens Axboe, Chris Mason)
- serialize microcode updates (Sunil Saxena)
- update quota patch to 2.4.17-3 (Jan Kara)
- allow user to manually enable DMA for all IDE devices even when
  CONFIG_IDEDMA_ONLYDISK is active (Jens Axboe)
* Fri Feb 22 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 21 2002 - mantel@suse.de
- update to 2.4.18-rc2aa2
- update USB subsystem to latest version from Greg
- update i2o to version from 2.4.18-rc2ac1
- update mxser driver to 1.2.1
- update sis driver to 1.3.11
* Wed Feb 20 2002 - mantel@suse.de
- enable CONFIG_INPUT_FM801 gameport driver
- enable CONFIG_USB_EHCI_HCD driver
* Wed Feb 20 2002 - mantel@suse.de
- update to 2.4.18-rc2
- downgrade to older VM-22
- add module license tags for netfilter modules
- add kinoded
- add O_DIRECT support for reiserfs
- fix oops in hpfs (s_blocksize needs to be set earlier)
- update LVM to 1.0.3 (user space only, so just version number)
- remove IDE noop code
- modify correct aic7xxx template for highio and varyio
- add write barrier patch from Chris Mason
- make MXT compile for certain configurations
- update e100 driver to 1.8.37
- update e1000 driver to 4.0.7
- add driver for ForteMedia 801 gameports
* Tue Feb 19 2002 - schwab@suse.de
- Fix i830 drm driver for ia64.
- Fix ia64 linker script.
* Mon Feb 18 2002 - mantel@suse.de
- update config for new DRM version
* Mon Feb 18 2002 - mantel@suse.de
- added Conflicts: tag
* Mon Feb 18 2002 - mantel@suse.de
- update IDE code to 02152002
- update JFS to 1.0.15
- fix reiserfs quota patch (chattr to uids > 2^16 on new format)
- use official DRM update (-ac kernel now uses rmap VM)
* Sun Feb 17 2002 - kukuk@suse.de
- merge changelog with one from kernel-sources
* Thu Feb 14 2002 - mantel@suse.de
- disable CONFIG_FB_TRIDENT (does not build)
* Thu Feb 14 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 14 2002 - mantel@suse.de
- update to 2.4.18-rc1
- correctly check rlim for F_DUPFD
- revert to old driver name "aic7xxx" even with new version 6.2.5
- fix xconfig for new aic7xxx (comment out unimplemented driver)
* Wed Feb 13 2002 - ro@suse.de
- removed km_memst
* Wed Feb 13 2002 - mantel@suse.de
- update config due to new options
* Wed Feb 13 2002 - mantel@suse.de
- update aic7xxx to 6.2.5
- update pcnet32 to 1.27a
- update qla2x00 to 5.38b16
- add MXT support
- update USB pegasus to 0.4.23
- update u14f-34f to 6.50
- update sis video driver to version from 2.4.18-pre9ac3
- add device ID for sb-card
- update qnx fs support; r/o support no longer experimental
- update olympic TR driver to 1.0.0
- update matrox fb to 1.62
- small fix to avoid DELL Latitude crash
- add i2o work around
- add new device id for eepro100
- update eata to 6.50
- update DRM drivers to version from 2.4.18-pre9ac3
- add bridge resources to the resource tree
- add support for AMD768 RNG and power management
- workaround for non-PCI compliant BIOS
- add new device id for RTL8139
- add NeoMagic Framebuffer Driver
* Mon Feb 11 2002 - ro@suse.de
- removed km_ppp_mppe from neededforbuild
* Mon Feb 11 2002 - mantel@suse.de
- enabled CONFIG_MODVERSIONS
* Mon Feb 11 2002 - mantel@suse.de
- update DC395 driver to 135a
- make mmap return value POSIX conform
- update boot splash to 2.0.1
* Sat Feb 09 2002 - schwab@suse.de
- Fix clone2 also for 32bit processes.
* Fri Feb 08 2002 - mantel@suse.de
- update config due to new options
* Fri Feb 08 2002 - mantel@suse.de
- update to 2.4.18-pre9
- update IDE code to 02072002
- update 50_mss-fix-2.4.18-pre9
- add mtrr patch for HT
- add tiny network fixes from Jeff
- optimize kiobuf_init
- add missing module license tags
- forward ioctl for raw devices
* Fri Feb 08 2002 - schwab@suse.de
- Fix memory corruption in clone2 syscall.
* Fri Feb 08 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Feb 07 2002 - olh@suse.de
- add 70__zzz_fix_aa-2.4.18-pre8-1.diff
* Wed Feb 06 2002 - mantel@suse.de
- added new options CONFIG_CISS_SCSI_TAPE and CONFIG_CISS_ENTROPY
* Wed Feb 06 2002 - mantel@suse.de
- update to 2.4.18-pre8
- make MSS advertisement to be RFC1122 compliant
- more efficient dcache allocation
- fix page cache upper limit checking
- reduce mount hash table to a reasonable size
- pick correct key version in reiserfs
- fix dnotify
- new SCSI reset patch version from SteelEye
- fix cosa compilation in 2.4.18-pre8
- update cciss driver to 2.4.27
- fix BUG when encountering read errors on MO media
- revert freevxfs to -pre7 until missing include gets found
- fix 000_nanosleep-6 (get_fast_time no longer exists)
* Mon Feb 04 2002 - kukuk@suse.de
- Fix tcsetpgrp (0 is no valid process group)
* Mon Feb 04 2002 - schwab@suse.de
- Fix pte-highmem for ia64.
- Increase max-inline-insns.
* Sun Feb 03 2002 - mantel@suse.de
- enable ACPI
* Sun Feb 03 2002 - mantel@suse.de
- update to 2.4.18-pre7aa2
- add support for summit machines
- fix reiserfs atime for truncate
- fix quickcam driver for pte-highmem
- add small readv fix
- add support for large SCSI luns
- update i810-audio to 0.21
* Thu Jan 31 2002 - schwab@suse.de
- Update ia64 patch.
* Thu Jan 31 2002 - mantel@suse.de
- fix pagetable corruption bug in pte-highmem
* Wed Jan 30 2002 - mantel@suse.de
- enable CONFIG_BLK_DEV_OFFBOARD to allow for "ide=reverse"
- use FAT/MSDOS file systems as modules instead of linking in
* Wed Jan 30 2002 - mantel@suse.de
- update to 2.4.18-pre7aa1
- update LVM snapshot locking patch
- fix missing atime update on reiserfs and pipes
- added dyn_mp_bus_2002-01-16
* Tue Jan 29 2002 - schwab@suse.de
- Update ia64 patch.
* Tue Jan 29 2002 - mantel@suse.de
- update to 2.4.18-pre7
- update LVM to 1.0.2
- add IBM hotplug driver
- update boot splash patch to 2.0.0
- fix ipfwadm compilation
- fix autofs for PPC and s/390
- update JFS to 1.0.14
- add missing netfilter files
- fix typo in "pci_unmap_addr_SET"
* Mon Jan 28 2002 - mantel@suse.de
- added new modules
* Fri Jan 25 2002 - mantel@suse.de
- added km_drbd
* Fri Jan 25 2002 - schwab@suse.de
- Update ia64 patch.
* Wed Jan 23 2002 - mantel@suse.de
- update due to new version
* Wed Jan 23 2002 - mantel@suse.de
- update to 2.4.18-pre4aa1 (contains pte-highmem)
- downgrade qla2x00 to EMC certified version 4.46.5
- add cciss block-high diagnosis patch
- rename old sym53c8xx driver to sym53c8xx-old to avoid name clash
- update IDE code to 01192002
- removed 020_pte-highmem-6 (does not yet work in all configs)
* Fri Jan 18 2002 - mantel@suse.de
- export req_finished_io for modular SCSI
- update ext3 to 2.4-0.9.17
- update bcm5700 driver to 2.0.34
* Wed Jan 16 2002 - mantel@suse.de
- enable support for NFS root
* Wed Jan 16 2002 - schwab@suse.de
- Fix syntax error in speedtouch driver.
- Update ia64.defconfig.
* Wed Jan 16 2002 - s@suse.de
- removed 100_pci_iommu patch from Compaq, It's already included in
  2.4.18-pre3 (only for Alpha)
- changed 100_drm-patch to apply to 2.4.18-pre3 (only Alpha)
- added 100_stats-2.4.17.diff to include <linux/init.h> to
  ./net/sunrpc/stats.h
* Wed Jan 16 2002 - mantel@suse.de
- update to 2.4.18-pre4
- update i810_audio to 0.20
- update e100 driver to 1.6.29
- update e1000 driver to 3.6.8
- update speedtouch driver
- update bcm5700 driver to 2.0.24
- add ecc memory monitoring driver 0.14
- add netgear 621/622 drivers
- add missing cs4281_wrapper.h
* Mon Jan 14 2002 - mantel@suse.de
- update to 2.4.17
* Mon Jan 14 2002 - schwab@suse.de
- Update ia64 patch to 2.4.17-011226.
* Mon Jan 14 2002 - mantel@suse.de
- update to 2.4.18-pre3 and -pre2aa2
- update Linux-abi to 2.4.17.0
- update JFS to 1.0.12
- update qla2x00 to 4.46.12b
- update qla2200/2300 to 5.36.3
- make max open files dependant on amount of RAM
- allow for broadcomm driver to be linked into kernel
- add new IDE stuff 12102001
- increase maximum number of MP busses
- make softdog margin readable from /proc
- update qla1x160 to 3.12; add compile fixes
- add sard patches
- add driver for netgear 622
- small bugfix in lock device layer (release request)
- fix APIC alignment bug
- make orinoco driver compile (add missing header files)
- add aacraid updates from 2.4.18-pre3ac2
- add i2o updates from 2.4.18-pre3ac2
- update rcpci45 driver to 2.20
- add codepage for Slavic/Central European Languages
- make radeonfb driver compile
* Tue Dec 18 2001 - mantel@suse.de
- revert to the stock IDE code since the new one renames
  devices
* Mon Dec 17 2001 - mantel@suse.de
- fix severe performance problems with loop device; backported
  from -pre7aa1; removed obsolete patches
- fix reiserfs remount problem with converted filesystems
* Sat Dec 15 2001 - schwab@suse.de
- Update ia64 patch to 2.4.16-011214.
* Wed Dec 12 2001 - mantel@suse.de
- fix NFS race
- fix for incorrect inode mapping; fixes direct IO
- set correct i_mode for inode
- revert one line from -aa so that buffers won't grow to much
* Tue Dec 11 2001 - sf@suse.de
- added a fix for jensen
- cleaned up spec
- remove sisbug for Alpha
* Mon Dec 10 2001 - mantel@suse.de
- removed km_mwavem from neededforbuild
* Mon Dec 10 2001 - mantel@suse.de
- allow more symlinks
- fix JFS bug
- add DMA mask fix
- make somaxconn sysctl configurable
- fix for loop device hang
- add bugfix for generic_direct_IO
- add bugfix for ip_nat_irc
- update ns83820 to 0.15
- add bugfix for ymfpci driver
* Fri Dec 07 2001 - bk@suse.de
- first step in updating the s390 parts to 2.4.16
- defconfig.tar.bz2: s390x.defconfig is a symlink to s390.defconfig
- removed outdated GFS patches
* Wed Dec 05 2001 - mantel@suse.de
- add older driver CONFIG_SCSI_QLOGIC_QLA2X00
* Wed Dec 05 2001 - mantel@suse.de
- add audit patch for support of 2 TB filesystems
- add fix for s_maxbytes handling
- add older version v4.31.8 of qla2x00 (certified by EMC)
- update JFS to 1.0.10
- fix module license for NLS modules
- add updates from 2.4.17-pre2 for ieee1394, USB and irda
- add reiserfs updates from 2.4.17-pre2
- smarter atime update (blessed by LT)
* Tue Dec 04 2001 - schwab@suse.de
- ia64 fixes in signal and swiotlb handling.
* Fri Nov 30 2001 - mantel@suse.de
- update to 2.4.17-pre1aa1 (just cosmetic cleanup)
- fix another problem with sd_blocks in reiserfs quota
* Thu Nov 29 2001 - schwab@suse.de
- Update ia64 patch to 2.4.16-20011128.
* Thu Nov 29 2001 - mantel@suse.de
- update to 2.4.17-pre1
- fix xconfig for reiserfs
- make UML actually compile
- new version of sisbug fix
- fix sd_blocks problem for reiserfs quota
- fix reiserfs preallocation problem
- fix time syscall (was not always monotonous)
- update e100 to 1.6.29 and e1000 to 3.5.19
* Wed Nov 28 2001 - sf@suse.de
- added alpha patches from Compaq.
* Mon Nov 26 2001 - mantel@suse.de
- update to 2.4.16
* Mon Nov 26 2001 - mantel@suse.de
- update due to new IDE code
* Mon Nov 26 2001 - mantel@suse.de
- update to 2.4.16
- add megaraid fix again
- added small quota bugfix
* Mon Nov 26 2001 - schwab@suse.de
- Update ia64 patch.
* Mon Nov 26 2001 - mantel@suse.de
- update IDE code to 2.4.16-p1.11242001
- update Linux-ABI to 2.4.15
* Sat Nov 24 2001 - mantel@sus.de
- update to 2.4.15aa1 (fix umount problem)
- update aacraid driver to 2.4.15-aacraid-20011123
* Fri Nov 23 2001 - mantel@suse.de
- update to final 2.4.15
* Fri Nov 23 2001 - schwab@suse.de
- Update ia64 patch.
- Restore ia64 ksyms patch.
* Fri Nov 23 2001 - mantel@suse.de
- update to final 2.4.15
* Fri Nov 23 2001 - mantel@suse.de
- update to 2.4.15-pre-final plus patches from -pre9aa1
* Thu Nov 22 2001 - olh@suse.de
- update ia64 ksyms patch
* Thu Nov 22 2001 - olh@suse.de
- update linux-abi patch to compile again
* Thu Nov 22 2001 - olh@suse.de
- update 70__mmporter_prep_pci-2.4.15-pre9-1.fix
  use "badpci" to tweak pci ressource assignment
* Thu Nov 22 2001 - olh@suse.de
- update ppc patch 70__2.4.15-pre9-linuxppc_2_4-1.diff
* Thu Nov 22 2001 - mantel@suse.de
- update to 2.4.15-pre9
- update aacraid driver to 2.4.13-20011105
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre7aa1
* Wed Nov 21 2001 - stepan@suse.de
- added 55_alpha_ext3_ksyms-2.4.14-SuSE.diff
- added 55_alpha_generic_srm_fix-2.4.14-SuSE.diff
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre8
- rediffed 50_config.gz-2.4.15-pre8 and 50_ide-11062001-2.4.15-pre8
- export needed fb functions
* Wed Nov 21 2001 - mantel@suse.de
- update to 2.4.15-pre7aa1
- update IPVS to 0.8.2
- add Coolscan ID
- update i2c and lm_sensors to 2.6.2
- fix oops in JFS xtSearch
* Tue Nov 20 2001 - schwab@suse.de
- Update ia64 patches.
* Mon Nov 19 2001 - mantel@suse.de
- update to 2.4.15-pre6aa1
* Mon Nov 19 2001 - mantel@suse.de
- update to 2.4.15-pre6aa1
- update JFS to 1.0.9
- update Linux-ABI to 2.4.14
- added aiptek USB driver 0.1
- update IDE code to ide.2.4.14.11062001
- re-added block-highmem-all-18
- added 60_fbgen_export-2414S4
- remove duplicate syscall symbol exports (introduced by Linux-ABI)
* Fri Nov 16 2001 - schwab@suse.de
- Fix missing page alignment that could clobber ia64_boot_param.
- Output CRLF instead of LFCR on serial console.
* Wed Nov 14 2001 - ro@suse.de
- update config for new driver
* Wed Nov 14 2001 - ro@suse.de
- added sk9dlin driver
* Tue Nov 13 2001 - ro@suse.de
- updated config for 2.4.15pre3
* Tue Nov 13 2001 - stepan@suse.de
- Added Alpha specific patch to fix PCI subsystem.
* Tue Nov 13 2001 - schwab@suse.de
- Readd lost ia64 patch for agp.
* Tue Nov 13 2001 - ro@suse.de
- fix name of patch to be ignored for sparc (70__ide-2.4.11)
* Tue Nov 13 2001 - ro@suse.de
- apply ide on ppc, don't apply any ide on sparc
* Tue Nov 13 2001 - schwab@suse.de
- Update ia64 patches.
- Fix 50_quota-patch-2.4.14-pre7.diff for ia64.
* Mon Nov 12 2001 - ro@suse.de
- added alpha patches:
  60_2.4.14p7aa2.SuSE-AXP-fixes
  60_2.4.14p7aa2.SuSE-cirrus-fixes
* Mon Nov 12 2001 - ro@suse.de
- updated ppc-patches (70__)
* Mon Nov 12 2001 - ro@suse.de
- up to 2.4.15pre3aa
- obsolete:
  000_strnlen_user-x86-ret1-1
  50_ext3-2.4-0.9.14-2.4.15-pre1
  50_pppoatm-2-2.4.15-pre1
- rediffed:
  000_rwsem-fair-23
  010_vm-13
  50_fake_initrd-2.4.5
  50_quota-patch-2.4.14-pre7.diff
  50_reiserfs-stable-2.4.10-pre12
- redone:
  000_lvm-1.0.1-rc4-3 (diffed to pre1aa1 files again)
  000_rwsem-fair-23-recursive-4 (additional down read in ia64)
* Sun Nov 11 2001 - ro@suse.de
- add error_log to export-objs in arch/ppc/kernel/Makefile
  99_ppc_export_symflags
* Sun Nov 11 2001 - ro@suse.de
- try to fix compilation on alpha and ppc
  no ide-patches on ppc
  don't apply duplicate-exports on alpha
* Sun Nov 11 2001 - schwab@suse.de
- Update ia64 patch to 2.4.14-011105.
* Sat Nov 10 2001 - ro@suse.de
- remove km_emu10
* Sat Nov 10 2001 - ro@suse.de
- updated config for 2.4.15pre1aa1
* Sat Nov 10 2001 - ro@suse.de
- 50_ipvs-0.8.1-2.4.15-pre1: page_cache_size is not atomic_t
  any longer
* Sat Nov 10 2001 - ro@suse.de
- update to 2.4.15pre1aa1
- obsolete:
  50_bonding-patch-2.4.4-20010601
  50_inflate-fs-2.4.14-pre3
  50_zlib-fs-h-missing-2.4.14-pre3
- re-diffed:
  502_ipt_string-2412.diff
  50_dc395-132-2.4.7-pre3
  50_ext3-2.4-0.9.14-2.4.14-pre7aa1
  50_intel-e100-e1000-2.4.13-pre6
  50_ipvs-0.8.1-2.4.7-pre3
  50_jfs-1.0.8-2.4.13-pre3
  50_pppoatm-2-2.4.10-pre12
  50_sisbug-2.4.14-pre3
  51_lm_sensors-2.6.1-2.4.13-pre5
- updated:
  50_quota-patch-2.4.14-pre7.diff
  90_nesting_reiserfs-8
  91_reiserfs-quota-14
- updated defconfigs
- version up to 2.4.14
* Thu Nov 08 2001 - kukuk@suse.de
- Update SPARC patches
* Mon Nov 05 2001 - ro@suse.de
- up to pre7aa2
- obsolete:
  50_fix-netconsole-2.4.13-pre2
- re-diffed:
  50_ext3-2.4-0.9.14-2.4.14-pre6aa1
  50_ide-2.4.14pre6
* Mon Nov 05 2001 - schwab@suse.de
- Update ia64 patch to 2.4.13-011024.
* Fri Nov 02 2001 - ro@suse.de
- update for 2.4.14-pre6aa1
* Fri Nov 02 2001 - ro@suse.de
- up to pre6aa1
- obsolete:
  503_ipt_irc_conntrack_nat-2412.diff
  506_ipt_LOG_ipv6-2412.diff
  90_block-highmem-all-17b-2.4.14-pre3aa1  (in pre6aa1)
  90_syncookie-2.4.7
  99_export-nohighio-2.4.13-pre6
- re-diffed:
  504_ipt_ah_esp-2412.diff
  50_ext3-2.4-0.9.14-2.4.14-pre5aa1
  50_ide-2.4.11
  50_linux-abi-2.4.12.0-2.4.14-pre5aa1
  50_quota-patch-2.4.13-pre2
  91_reiserfs-quota-12-2.4.13-pre6
- updated defconfig
* Tue Oct 30 2001 - mantel@suse.de
- update ext3 to 2.4-0.9.14-2414p5
- update Linux-ABI to 2.4.12.0
* Tue Oct 30 2001 - mantel@suse.de
- update to 2.4.14-pre5aa1
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa3
- build additional fixed modules
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa4
* Mon Oct 29 2001 - mantel@suse.de
- update to 2.4.14-pre3aa3
- add sis bug workaround
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa1
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa2
* Sun Oct 28 2001 - mantel@suse.de
- update to 2.4.14-pre3aa1
- update boot splash patch to 0.9.17
- re-added block-highmem patch; we really need this for decent
  performance
- add fix for syncookie vulnerability
* Thu Oct 25 2001 - mantel@suse.de
- update to 2.4.14-pre1
* Thu Oct 25 2001 - mantel@suse.de
- update to 2.4.14-pre1
- fix compilation of pdc driver
- allow IDE drivers to be built als module
- apply Linus' brown paper bug fix ;)
* Tue Oct 23 2001 - mantel@suse.de
- added support for CONFIG_USB_SPEEDTOUCH
* Tue Oct 23 2001 - mantel@suse.de
- fix high load reiserfs problem with quota
- yet another fix for boot splash
- add Alcatel Speedtouch USB modem support
* Mon Oct 22 2001 - mantel@suse.de
- update to 2.4.13-pre6
* Mon Oct 22 2001 - mantel@suse.de
- fix problem with ywrap/ypan in boot splash
* Mon Oct 22 2001 - mantel@suse.de
- update to 2.4.13-pre6
- update ext3 to 0.9.13
- fix boot splash patch problem with setfont
- fix RCU fd patch (from IBM)
* Fri Oct 19 2001 - mantel@suse.de
- update to 2.4.13pre5aa1
* Fri Oct 19 2001 - mantel@suse.de
- update to 2.4.13-pre5aa1
- fix qlogicfc for new PCI64
* Fri Oct 19 2001 - mantel@suse.de
- improve performance of quota on reiserfs
- handle out of space when making a hole on a file in reiserfs
- fix data corruption on 3ware controller (block-highmem-all-17b)
* Thu Oct 18 2001 - mantel@suse.de
- update to 2.4.13-pre4
* Wed Oct 17 2001 - mantel@suse.de
- added km_scsl
* Wed Oct 17 2001 - mantel@suse.de
- update jfs to 1.0.8
* Wed Oct 17 2001 - mantel@suse.de
- remove 000_seg-reload-1; it's a wrong "optimization" and the
  current version is even buggy (dosemu could crash the machine)
- update 90_nesting-reiserfs: fixes a deadlock where the transaction
  nesting pointer might get nulled out too soon. Very hard to hit,
  only causes hangs, not corruption
- update 91_reiserquota-patch: when copying stat data to disk,
  set the block count on directories the same way non-quota reiserfs
  versions did (they round up)
- 50_kreiserfsd-timeout: interruptible_sleep_on_timeout works in
  jiffies
- 50_block-highmem-all-17: no bounce buffers for highmem I/O. Can be
  disabled by command line parameter "nohighio"
* Tue Oct 16 2001 - mantel@suse.de
- update to 2.4.13-pre3aa1
- build additional IPT modules
- added km_iscsi
* Tue Oct 16 2001 - mantel@suse.de
- update to 2.4.13-pre3aa1
- update osst driver to 0.9.9
- update DAC960 driver to 2.4.11
- assorted IP tables extensions
- fix possible deadlock in quota code
- fix i2o compilation (is now in directory message/i2o)
- fix compilation of UDF
* Tue Oct 16 2001 - kukuk@suse.de
- Disable splash patch on SPARC
- Compile reiserfs with -O1 on SPARC
* Mon Oct 15 2001 - mantel@suse.de
- build mwave module
* Mon Oct 15 2001 - mantel@suse.de
- small update for quota on reiserfs
- ugly workaround for IDE taskfile link problem
- fix "make xconfig" for netconsole
- correct snapshot locking patch
- don't use floating point in kernel (openssl-0.9.6-mppe)
- build mwave module
* Sun Oct 14 2001 - mantel@suse.de
- merge Sparc patches
- remove 61_sparc64.memory_clobber.diff (no longer needed)
* Sun Oct 14 2001 - mantel@suse.de
- update to 2.4.13-pre2aa1
- add quota for reiserfs support
* Sun Oct 14 2001 - kukuk@suse.de
- Export more symbols for tux in SMP mode on UltraSPARC
- Add sparc32 highmem fix
- Update defconfig for SPARC
* Sat Oct 13 2001 - kukuk@suse.de
- Update SPARC patches
* Fri Oct 12 2001 - mantel@suse.de
- update to 2.4.13-pre1
* Fri Oct 12 2001 - mantel@suse.de
- update to 2.4.13-pre1
- update aic7xxx driver to 6.2.4
- update lm_sensors to 2.6.1
- fix log replay problem of JFS
- added some i2o fixes
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12aa1
* Thu Oct 11 2001 - mantel@suse.de
- update to 2.4.12
- update JFS to 1.0.7
- update aacraid driver to 20011010
- fix cosmetical problem with "free" displaying bogus values
- fix parport-pc which got broken by 2.4.12
* Wed Oct 10 2001 - mantel@suse.de
- update to 2.4.11aa1
* Wed Oct 10 2001 - mantel@suse.de
- update to 2.4.11aa1
- fix compilation of at1700 driver
* Fri Oct 05 2001 - mantel@suse.de
- update to 2.4.11-pre4
* Fri Oct 05 2001 - sf@suse.de
- removed '99_irq-alpha-01', is not neccessary anymore
* Tue Oct 02 2001 - schwab@suse.de
- Add ia64 update patch.
* Fri Sep 28 2001 - ro@suse.de
- 60_rss-fix: test for VALID_PAGE first
- s390 only: Remove outdated s390 patches
* Thu Sep 27 2001 - schwab@suse.de
- Update ia64 patch to 2.4.10-010924.
* Thu Sep 27 2001 - mantel@suse.de
- fix oops with pppoe on failed authentication
- fix ISDN shutdown problem
- remove enable apic patch; it is not correct anyway
- fix cosmetic problem with ps and top output
- fix theoretical division by zero in shrink_caches
* Tue Sep 25 2001 - mantel@suse.de
- enable IDE DMA only for disks; there are too many broken CD drives
* Tue Sep 25 2001 - mantel@suse.de
- invalidate ramdisk buffers correctly
* Mon Sep 24 2001 - mantel@suse.de
- update boot splash patch to 0.9.12
- fix sparc32 uaccess
* Mon Sep 24 2001 - mantel@suse.de
- update Moxa serial driver to 1.2.1
* Mon Sep 24 2001 - mantel@suse.de
- fix possible oops when releasing ramdisk memory
- updated boot splash patch
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10aa1
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10aa1
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15aa1
- add enableapic kernel parameter
- small bugfix for nfsv2
- go back to old version of ov511 driver
* Sun Sep 23 2001 - mantel@suse.de
- update to 2.4.10-pre15
- fix firestream driver
- fix performance problem with reiserfs
- fix ISDN bug in -pre kernels (was due to min/max changes)
- remove obsolete function put_gendisk from IDE RAID drivers
* Sat Sep 22 2001 - mantel@suse.de
- update to 2.4.10-pre14
- update atp870u to 2.6
* Fri Sep 21 2001 - mantel@suse.de
- update to 2.4.10-pre13aa1
* Fri Sep 21 2001 - mantel@suse.de
- update to 2.4.10-pre13aa1
- little bugfix for reiserfs-bigendian
- finally added uptodate quota patches
- fix boot splash patch for != 1024 resolutions
- re-add support for AMD761 and i830
- add ipt-string module (doesn't touch rest of kernel)
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12aa1
- fix starfire.c compilation
- remove non-existing option IDE_SERVICE
- remove ramdisk-secure patches
* Thu Sep 20 2001 - mantel@suse.de
- update to 2.4.10-pre12
- revert minix fs to version of 2.4.9
* Wed Sep 19 2001 - mantel@suse.de
- update to 2.4.10-pre11
- xircom_cb should honor manual settings
- fbdev cleanup
- update mptlinux fusion drivers to 1.02.02
- fix /proc/partition mess
- update boot splash patch to 0.9.10
* Tue Sep 18 2001 - mls@suse.de
- initrd_change_root patch: be more defensive when freeing the
  initrd
* Mon Sep 17 2001 - kukuk@suse.de
- Update config to 2.4.10-pre10
* Mon Sep 17 2001 - mantel@suse.de
- update to 2.4.10-pre10
- update JFS to 1.0.5
- update aic7xxx to 6.2.3
- update e100 to 1.6.22
- update e1000 to 3.1.23
- fix JFS and ext3 for aa modifications
- fix iff dynamic patch
- update IDE subsystem to ide-2.4.10-p8
- update ips to 4.80
- update qla2x00 to 5.31 (now builds two modules qla2200.o and
  qla2300.o)
* Fri Sep 14 2001 - ro@suse.de
- update boot splash patch to 0.9.9
* Thu Sep 13 2001 - schwab@suse.de
- Fail if any additional module fails to build.
* Tue Sep 11 2001 - mantel@suse.de
- update to 2.4.10-pre8
* Tue Sep 11 2001 - kukuk@suse.de
- remove not longer existing patches from remove list
* Tue Sep 11 2001 - mantel@suse.de
- update to 2.4.10-pre7aa2
- update to 2.4.10-pre8
- update linux-abi to 2.4.9.0
- update boot splash patch to 0.9.8
- update 000_rcu-2 patch (cosmetical load fix)
* Mon Sep 10 2001 - mantel@suse.de
- update to 2.4.10-pre7
* Mon Sep 10 2001 - mantel@suse.de
- update to to 2.4.10-pre7
- remove 199_block-highmem-all patch
- remove 70__2.4.7-pre6_safe_ide_audiocd (breaks CD players)
* Sat Sep 08 2001 - mantel@suse.de
- update to 2.4.10-pre5
- don't build Solaris ABI modules
* Sat Sep 08 2001 - mantel@suse.de
- update to 2.4.10-pre5
- update boot splash patch to 0.9.7
- update PCI IDs for Intel NICs
- revert rd fixes from 2.4.10-pre5 (won't compile)
* Fri Sep 07 2001 - mantel@suse.de
- enabled CONFIG_BLK_DEV_IDECS
* Fri Sep 07 2001 - mantel@suse.de
- update boot splash patch to 0.9.6
- update endian-safe-reiserfs for 2.4.10-pre4aa1
- update quota patch and fix to official versions
- update aic7xxx driver to 6.2.2
- added freemem option for sysreq
- update ext3 to 0.9.9
- update LSI fusion driver to 1.02.01
- fix oops in megaraid driver
- update 3ware driver to 1.02.00.008
- small fixes from -ac9 for aha1542, epic100 and pcnet32
* Thu Sep 06 2001 - kukuk@suse.de
- rename mmap-rb-6_other-archs to mmap-rb_6_other-archs
- exclude all mmap-rb on SPARC
* Wed Sep 05 2001 - kukuk@suse.de
- don't add ide-dma patch on SPARC
- fix ioctl32 for new LVM on UltraSPARC
* Tue Sep 04 2001 - mantel@suse.de
- use iso8859-1 as default NLS codepage
* Tue Sep 04 2001 - mantel@suse.de
- don't run child first on fork (there are too many buggy
  programs out there)
- update boot splash patch
* Mon Sep 03 2001 - mantel@suse.de
- update config due to new version
* Mon Sep 03 2001 - ro@suse.de
- added two new USB storage drivers to config
* Mon Sep 03 2001 - mantel@suse.de
- update to 2.4.10-pre4aa1
- update LVM to 1.0.1-rc2
- update JFS to 1.0.4
- add iff dynamic feature
- fix IDE DMA bug in 199_block-highmem-all-13
- make max_map_count configurable via sysctl
- update gdth driver to 2.03
- added ppp over ATM driver
- added lanai driver
* Sun Sep 02 2001 - olh@suse.de
- add 50_usbstorage_datafab-2.4.8.diff
* Sat Sep 01 2001 - olh@suse.de
- fix 70__2.4.8-pre4-safe_isapnp.diff
  fix 51_boot-splash-0.9.4-2.4.9, really use the scr_write function
  fix 70__2.4.7-pre6_chrp_serialconsole.diff, use correct variable
  add 50_ipv6_securityfix-2.4.10-pre2, from Andi
  add 70__kmap_user-2.4.10-pre1.diff for KM_USER0/1 on ppc
  add 70__kbdrate_2.4.10-pre1.diff for fix kbdrate for ppc
  really provide patches.tar.bz2
* Wed Aug 29 2001 - ro@suse.de
- removed 53_reiserquota-patch-2.4.9-1 (seems to kill reiserfs)
* Tue Aug 28 2001 - mantel@suse.de
- update config due to new version
* Tue Aug 28 2001 - mantel@suse.de
- update to 2.4.10-pre1
- update block-highmem-all to 13 plus SCSI fix
- update quota-fix and quota-patch to official version 2.4.9-1
- added quota support for reiserfs
- update LVM to 1.0.1-rc1
- update boot splash patch to 0.9.4; update picture
- fix AX25 crash
- make ext3 link when not used as module
* Mon Aug 27 2001 - schwab@suse.de
- Don't use qla2100 patch on ia64.
- Fix keyboard fixes for ia64.
- Fix mmap-rb patch for ia64.
* Sat Aug 25 2001 - kukuk@suse.de
- Fix 52_quickcam again to use correct linker call
- Don't use block-highmem-all on SPARC
- Add Keyboard fixes from DaveM
- Add small CVS fixes for SPARC
- Don't declare init_mmap static (fix for aa3 patchset)
* Fri Aug 24 2001 - mantel@suse.de
- remove 40_blkdev-pagecache-14 for the time being (hurts I/O
  performance a lot)
* Thu Aug 23 2001 - mantel@suse.de
- update config due to new version
* Thu Aug 23 2001 - mantel@suse.de
- update to 2.4.9aa3
- update 199_block-highmem-all to 199_block-highmem-all-11-2.4.9aa3
- update JFS to 1.0.3
- use configuration of default kernel as default
- fix new min and max macros
- update reiserfs patches
- update qla2x00 driver to 5.25
- remove 000_seg-reload-1 patch
- remove 99_screen-endian-patch.diff (breaks hgafb.c)
* Thu Aug 23 2001 - olh@suse.de
- add mmap-rb and block-highmem to ppc ignore list
  update ppc defconfig
* Thu Aug 23 2001 - olh@suse.de
- provide used patches in /usr/src/linux-version/patches.tar.bz2
* Thu Aug 23 2001 - olh@suse.de
- remove 70__2.4.5_be_console_selection.diff
  obsolete with 99_screen-endian-patch.diff
  update 99_screen-endian-patch.diff to fit on
  51_boot-splash-0.9-2.4.6
* Thu Aug 23 2001 - olh@suse.de
- Fix 50_bootlogo-ver-2.4.5 and  51_boot-splash-0.9-2.4.6
  scr_writew must be used to modify the screen content
  add 99__2.4.9-fix_min-max.diff
  99_screen-endian-patch.diff from Geert for sane screen access
  ppc specific patches:
  remove 70__2.4.2_4port_ethernet.dif
  70__2.4.6-pre3_serial_macserial.dif
  70__2.4.6-pre8_ohci_alignment.diff
  add    70__00_linux-2.4.9_linuxppc_2_4--1.diff
  70__2.4.7-pre6_safe_ide_audiocd.diff
  70__2.4.7_mmporter_prep_pci.fix
  70__2.4.7_prep_long_commandline_for_vi.diff
  70__2.4.8-pre3-pcidebug.dif
  70__2.4.8-pre4-safe_isapnp.diff
  70__2.4.8_dri_pagetobus_cs1.310.diff
  update 70__2.4.7-pre6_chrp_serialconsole.diff
* Wed Aug 22 2001 - schwab@suse.de
- Fix typo in reiser-fillholes-corruption patch.
- Fix new drm code for ia64.
- Fix fph corruption during signal handing.
* Tue Aug 21 2001 - schwab@suse.de
- Update ia64 patch to 2.4.9-010820.
* Mon Aug 20 2001 - schwab@suse.de
- update to 2.4.9aa2
- added ext3 2.4-0.9.6-248
- update aacraid driver to 2.4.9-20010816
- fix compilation of NTFS (this time correct)
- added driver for Broadcomm 5700 gigabit
- added driver for NS 83820 gigabit
- fix compilation of cpqfc driver 2.0.5
* Sat Aug 18 2001 - mantel@suse.de
- update to 2.4.9aa2
* Sat Aug 18 2001 - kukuk@suse.de
- Fix patchlist for SPARC
* Sat Aug 18 2001 - schwab@suse.de
- Update Ia64 patch.
- Don't apply block-highmem-all and pci-dma-high on ia64.
- Fix mmap-rb patch for ia64.
* Fri Aug 17 2001 - mantel@suse.de
- update to 2.4.9aa1
* Fri Aug 17 2001 - mantel@suse.de
- update to 2.4.9aa1
- add endian safe reiserfs patch to default patches
- fix compilation of ntfs
* Thu Aug 16 2001 - schwab@suse.de
- Update ia64 patch to 2.4.8-010815.
- Fix psaux reconnect patch.
- Don't enable debugging in pci probing.
* Tue Aug 14 2001 - schwab@suse.de
- Update ia64 patch to 2.4.8-010814.
- Update reiserfs patch and apply on all architectures.
* Sun Aug 12 2001 - kukuk@suse.de
- Adjust sparc makefile patch, remove extra patches.sparc archive
- Update endian safe reiserfs patch
* Sat Aug 11 2001 - mantel@suse.de
- update to 2.4.8aa1
* Sat Aug 11 2001 - mantel@suse.de
- update to 2.4.8aa1
- update JFS to 1.0.2
- update cpqfc driver to 2.0.4
- increase timeout for SCSI disks
- update gdth driver to 2.01
- update aic7xxx driver to 6.2.1
- update linux-abi to 2.4.7.0
- update aacraid driver to 2.4.8-20010811
- fix config.gz patch to make "less /proc/config.gz" work
- add fix for psaux reconnect problem (sysctl)
- fix help entry for pdcraid driver
- add dead man driver
- add bonding patch for HP
- fix compilation of emu10k1 driver
* Wed Aug 08 2001 - ro@suse.de
- changed CONFIG_BLK_DEV_MD from "m" to "y"
* Mon Aug 06 2001 - kukuk@suse.de
- Add tulip patch for Netra-X1 onboard card.
* Fri Jul 27 2001 - kukuk@suse.de
- Use kernel 2.4 version of cg14 patch
* Thu Jul 26 2001 - kukuk@suse.de
- Add cg14 cursor patch
* Thu Jul 26 2001 - schwab@suse.de
- Update ia64 patch to 2.4.7-010726.
- Apply endian-safe-reserfs patch on ia64 which despite its name also
  fixes ia64 issues.
* Wed Jul 25 2001 - mantel@suse.de
- fix config
* Wed Jul 25 2001 - schwab@suse.de
- Fix missing declaration.
- Fix __ioremap -> ioremap.
* Tue Jul 24 2001 - mantel@suse.de
- enable build of PCMCIA modules
* Tue Jul 24 2001 - schwab@suse.de
- Use qla2x00 driver from ia64 patch.
* Tue Jul 24 2001 - mantel@suse.de
- update qla2x00 to 4.27
* Tue Jul 24 2001 - schwab@suse.de
- Update ia64 patch to 2.4.7-010723.
* Tue Jul 24 2001 - kukuk@suse.de
- Don't add gcc30-reiserfs fixes on SPARC
* Tue Jul 24 2001 - mantel@suse.de
- update to final 2.4.7aa1
- correct completion fix for cpqfc driver
- new version of ov511 driver
- fix data corruption when writing filemark on IDE tape
- off by one fix for aacraid driver
* Mon Jul 23 2001 - sf@suse.de
- changed entries for ??_linux-abi* so they won't be applied to
  SPARC and ALPHA
* Mon Jul 23 2001 - olh@suse.de
- remove patches.alpha/99_alpha-config
* Mon Jul 23 2001 - olh@suse.de
- add ppc patches for 2.4.7:
  50_linux-abi.fixes-2.4.7-pre6
  70__00_linux-2.4.7_linuxppc_2_4.dif
  70__01_00_2.4.6-pre8-fixes
  70__2.4.0ac6_isdn_bsdcomp_unresolvedsym.dif
  70__2.4.0ac6_macserial.dif
  70__2.4.0ac6_xmonreadme.dif
  70__2.4.2_4port_ethernet.dif
  70__2.4.2_hisax_niccy.dif
  70__2.4.5-pre1_vfat_direntry_endianfix.diff
  70__2.4.5-pre3_chrp_rtas.dif
  70__2.4.5_be_console_selection.diff
  70__2.4.5_vga_console.diff
  70__2.4.6-pre3_serial_macserial.diff
  70__2.4.6-pre6_aty128fb-16bit.diff
  70__2.4.6-pre8_ohci_alignment.diff
  70__2.4.7-pre3_platinum.diff
  70__2.4.7-pre3_silent_stack_overflow_flag.diff
  70__2.4.7-pre6_chrp_serialconsole.diff
* Sat Jul 21 2001 - mantel@suse.de
- update to 2.4.7
* Sat Jul 21 2001 - kukuk@suse.de
- Fix typos in spec file, merge all different versions
* Sat Jul 21 2001 - mantel@suse.de
- update to 2.4.7
* Fri Jul 20 2001 - mantel@suse.de
- update to 2.4.7-pre9
* Fri Jul 20 2001 - mantel@suse.de
- update to 2.4.7-pre9
- update 2.4.7-pre8aa1
- update e100 to 1.6.13 and e1000 to 3.0.16
- update bttv driver to 0.7.72
- update cciss driver to 2.4.6B
- update aic7xxx driver to 6.2.0
- update jfs to 1.0.1
- fix SMP race in sk98lin
- completion fixes for DAC960.c and cpqfc
* Thu Jul 19 2001 - froh@suse.de
- made 'find' -follow symlinks for the sake of symlinks like
  patches.sparc64->patches.sparc
- fixed typo in a filename
* Wed Jul 18 2001 - froh@suse.de
- added ignore/select list to ignore/select specific patches from
  patches.common
- cleaned up and commented spec file
* Wed Jul 18 2001 - kukuk@suse.de
- Add new 32bit SPARC fix
* Tue Jul 17 2001 - mantel@suse.de
- added support for some USB devices
* Tue Jul 17 2001 - kukuk@suse.de
- Add SPARC patches
- Overwrite reiserfs fixes with endian-safe fixes on SPARC
* Tue Jul 17 2001 - mantel@suse.de
- back out new BTTV driver (does not even compile)
* Tue Jul 17 2001 - mantel@suse.de
- back out 40_blkdev-pagecache-5
- update BTTV driver to 0.7.71
- fix for i810
- fix for VIA southbridge problem
- fix pipe init problem
- added assorted network driver fixes from Jeff Garzik
* Fri Jul 13 2001 - mantel@suse.de
- added km_mwavem
* Fri Jul 13 2001 - mantel@suse.de
- update to 2.4.7-pre6aa1
- increase limits for MSGMNI (128) and SEMMNI (1024)
- correct fix for hisax jiftime problem
- update for Sedlbauer ISDN cards
- added reiserfs fixes (7*)
* Thu Jul 12 2001 - sf@suse.de
- added patches.alpha.tar.bz2
- removed 50_linux_abi for Alpha
- removed endian-clean-reiserfs-patch for alpha and ia64
* Wed Jul 11 2001 - mantel@suse.de
- update to 2.4.7-pre6
* Wed Jul 11 2001 - mantel@suse.de
- update to 2.4.7-pre6
- update 2.4.7-pre5aa1
- update boot splash patch to 0.9
- added ide.2.4.7-p3.all.07092001
- update linux-abi to 2.4.7-pre6
- update JFS to 1.0.1
* Mon Jul 09 2001 - mantel@suse.de
- update to 2.4.7-pre3aa1
- downgrade IPVS to 0.8.1 (stable version)
* Fri Jul 06 2001 - mantel@suse.de
- update to 2.4.7-pre3
- Zoran driver can now be built from the normal sources
* Fri Jul 06 2001 - mantel@suse.de
- update to 2.4.7-pre3
- added still valid patches from 2.4.7-pre2aa1
- removed obsolete patches
- fix hgafb
- fix output of /proc/meminfo on big machines (> 4 GB RAM)
* Thu Jul 05 2001 - mantel@suse.de
- update to 2.4.7-pre2
* Thu Jul 05 2001 - mantel@suse.de
- update to 2.4.7-pre2
- fixed fbcon
* Wed Jul 04 2001 - mantel@suse.de
- update to 2.4.6
* Wed Jul 04 2001 - mantel@suse.de
- update to 2.4.6
- updated and fixed quota patches
* Tue Jul 03 2001 - mantel@suse.de
- update due to new version
- added km_zoran km_basilisk km_ipppcomp
* Tue Jul 03 2001 - mantel@suse.de
- update to 2.4.6-pre9
- added 50_block-highmem-2.4.6-pre9
- fixed 00_nanosleep-5
* Mon Jul 02 2001 - mantel@suse.de
- added JFS
* Mon Jul 02 2001 - ro@suse.de
- removed duplicate jfs patch
* Mon Jul 02 2001 - mantel@suse.de
- added JFS 1.0.0
* Sat Jun 30 2001 - bk@suse.de
- used the previosly prepared hooks for integration of JFS-1.0.0
* Fri Jun 29 2001 - olh@suse.de
- add ppc patches for 2.4.6-pre5:
  2.4.5-pre1_vfat_direntry_endianfix.diff
  y_ppc_00_00_ppc_prefixup.diff
  y_ppc_00_linux-2.4.6-pre5_linuxppc_2_4.diff
  y_ppc_2.4.0ac6_isdn_bsdcomp_unresolvedsym.dif
  y_ppc_2.4.0ac6_macserial.dif
  y_ppc_2.4.0ac6_xmonreadme.dif
  y_ppc_2.4.2_4port_ethernet.dif
  y_ppc_2.4.2_hisax_niccy.dif
  y_ppc_2.4.5-pre3_chrp_rtas.dif
  y_ppc_2.4.5_be_console_selection.diff
  y_ppc_2.4.5_pcnet32.dif
  y_ppc_2.4.5_vga_console.diff
  y_ppc_2.4.6-pre3_serial_macserial.diff
  y_ppc_2.4.6-pre5_bk1.152_reverse.diff
- update defconfig for ppc
* Wed Jun 27 2001 - mantel@suse.de
- enable IDE DMA
* Wed Jun 27 2001 - schwab@suse.de
- Update ia64 patch to 2.4.5-010626.
* Tue Jun 26 2001 - mantel@suse.de
- update config due to new version
* Tue Jun 26 2001 - uli@suse.de
- added gpp, libgpp to neededforbuild (reqd. by new DVB driver)
* Tue Jun 26 2001 - schwab@suse.de
- Update ia64 patches.
- Revert acpi to 2.4.6-pre3.
- Output CRLF, not LFCR on serial console.
* Tue Jun 26 2001 - mantel@suse.de
- fix lockup problem under high load (currently testing)
- update USB stack to 2.4.5-ac18
- updated several SCSI drivers
* Sat Jun 23 2001 - bk@suse.de
- 390: added VFS fix for 2.4.5-s390x-reiserfs(runs on s390x)
- 390: added GFS-hook patches to support GFS(runs on s390)
- 390: both archs use the same defconfig additions now
- generic: prepared for jfs integration(could become stable next time)
* Fri Jun 22 2001 - mantel@suse.de
- update config due to new version
* Fri Jun 22 2001 - mantel@suse.de
- update to 2.4.6-pre5aa1
- update gdth driver to 2.00
- fix zerocopy for 3c59x on highmem machines
- new SCSI reset patches from SteelEye
- export highmem declarations
- update sg driver to 3.19
* Fri Jun 22 2001 - bk@suse.de
- patches.s390: add ctc fix for kfree_skb on hard IRQ(include readme)
- kernel-source.spec: add support for patches with(s390 only)
- defconfig.tar.gz/s390x.defconfig: updated to latest version
* Thu Jun 21 2001 - bk@suse.de
- update s390 remove patches section to only remove not building ones
* Wed Jun 20 2001 - mantel@suse.de
- enabled CONFIG_BLK_DEV_ATARAID (support for Promise software RAID)
* Wed Jun 20 2001 - bk@suse.de
- added s390 and s390x patches to fix unresolved symbols
- check for unresolved symbols on s390 and s390x
- changed s390x defconfig to base on original s390x defconfig
* Wed Jun 20 2001 - schwab@suse.de
- Update ia64 patches.
* Wed Jun 20 2001 - mantel@suse.de
- update to 2.4.6-pre3aa2
- updated quota-fix and quota-patch for 2.4.6-pre3
- fixed colors in boot splash
- added pdcraid (driver for Promise software RAID)
- remove inetpeer cache (fixes security problem)
- fixed UDF/quota bug
* Tue Jun 19 2001 - mantel@suse.de
- fixed config (don't try to build non-x86 modules)
* Tue Jun 19 2001 - bk@suse.de
- updated endian-reiser to endian-safe-reiserfs-for-2.4.5.final.patch.bz2
- fixed to build on s390 and s390x(2.4.6-pre3 is not supported yet)
* Tue Jun 19 2001 - mantel@suse.de
- fixed several mtd drivers (need interrupt.h)
- video_register_device now needs additional argument
* Mon Jun 18 2001 - mantel@suse.de
- update config due to new version
* Mon Jun 18 2001 - mantel@suse.de
- update to 2.4.6-pre3aa1
- update IPVS to 0.9.1
- update IDE to 2.4.6-p1.06062001
- update i2c and lm_sensors to 2.6.0
- update Intel e100 to 1.6.5
- update Intel e1000 to 3.0.10
- update cpqfc driver to 2.0.1C
- added workaround for smbfs (when volume has same label as dir)
- added zerocopy funcionality to 3c59x
- added reiserfs preallocate fix
- several minor module parameter fixes for 3c515, aironet4500 and arlan
- added new driver for CATC based USB network adapters
* Wed Jun 13 2001 - bk@suse.de
- updated s390 patches and add support for s390x
* Mon May 28 2001 - mantel@suse.de
- removed km_agpgarti810 and km_3dfx
* Fri May 18 2001 - schwab@suse.de
- Add some ia64 patches.
- Put the ia64 patches in its own tar file.
* Wed May 16 2001 - bk@suse.de
- make it compile on s390 (without tux, but it compiles)
* Tue May 15 2001 - mantel@suse.de
- fix TCP syn ack bug
- fix oops when mmaping /dev/fb0
* Mon May 14 2001 - mantel@suse.de
- fix potential memory leak in reiserfs on concurrent
  writepage calls to a hole in a file
* Fri May 11 2001 - mantel@suse.de
- added CONFIG_USB_LOGITECH_CAM
* Fri May 11 2001 - mantel@suse.de
- fix initmem corruption problem
* Fri May 11 2001 - mantel@suse.de
- added new option: disableapic
* Fri May 11 2001 - mantel@suse.de
- update boot splash patch to version 0.8
- final fix for mmap over NFS; NFS now can be used as module again
- remove suspect hunk from IDE CD-ROM patch
* Fri May 11 2001 - schwab@suse.de
- Don't apply ksoftirq patch on ia64.
* Fri May 11 2001 - mantel@suse.de
- update UDF to 0.9.3 and fix quota patches accordingly
- increase kernel log buffer size (don't loose information on SMP systems)
- correct fix for the mmap over NFS problem
- fix potential memleak in TCP code
- check for NULL pointer in ipv6 code
- add driver for Logitech USB quickcam
- update IPVS to version 0.8.0
- update version.h on changes of extraversion
* Thu May 10 2001 - ro@suse.de
- added km_freeswan
* Thu May 10 2001 - mantel@suse.de
- removed km_basilisk (module has unresolved symbols and will not work)
* Wed May 09 2001 - schwab@suse.de
- Update ia64 patch to 2.4.4-010508.
- Update some patches for ia64:
  31_tux-logger-1
  50_abi-2.4.4-1
  50_cciss-2.4.5-1
* Tue May 08 2001 - mantel@suse.de
- remove 50_filemap_fdatasync until we are sure it is correct
* Tue May 08 2001 - mantel@suse.de
- updated some patches from Jens to the final version:
  50_cd-2.4.5-pre1
  50_loop-2.4.5-pre1
  50_ramdisk-2.4.5-pre1
* Tue May 08 2001 - mantel@suse.de
- update IPVS to 0.2.12
- update dpt_i2o driver to 2.3.5
- update via-rhine driver to 3.22
- fix sync data problem over NFS
* Mon May 07 2001 - mantel@suse.de
- build DRM modules
* Mon May 07 2001 - mantel@suse.de
- fix boot problem on SMP highmem machines
- update OmniVision OV511 driver to 1.39
- fix problem with setting of unimap on all consoles
- new SCSI reset patches for SteelEye
- fix crash with IPv6
- new boot splash screen code
* Sat May 05 2001 - mantel@suse.de
- update config
- added km_tpctl to neededforbuild
* Sat May 05 2001 - mantel@suse.de
- fix menuconfig again
- revert to the old behaviour where after fork the parent
  is run first
* Sat May 05 2001 - mantel@suse.de
- update to 2.4.5-pre1aa1
- fix max-sectors patch (fix horrible SCSI performance)
- update aic7xxx driver to 6.1.13
* Thu May 03 2001 - ro@suse.de
- added include/linux/modversions.h to file-list
* Mon Apr 30 2001 - mantel@suse.de
- update due to new config (ABI, formerly known as iBCS2)
- removed km_ibcs from neededforbuild
* Mon Apr 30 2001 - mantel@suse.de
- update to 2.4.4; build TUX
* Mon Apr 30 2001 - kukuk@suse.de
- Add reiserfs patch for bigendian on non-ia32 plattforms
* Mon Apr 30 2001 - mantel@suse.de
- revert to smaller IDE patch from 04092001 due to advice from
  Andre
- added several fixes for non-intel architecture (60_* patches)
- another one liner fix for snapshots over reiserfs
- added Linux ABI (formerly known as "iBCS2")
* Mon Apr 30 2001 - mantel@suse.de
- fix compilation of pci2220i driver
* Mon Apr 30 2001 - mantel@suse.de
- update to 2.4.4aa2
- added TUX
- update aic7xxx driver to 6.1.12
- update bootsplash to version 4
- fix compilation of qla driver
* Fri Apr 27 2001 - bk@suse.de
- make it compile on s390
* Fri Apr 27 2001 - mantel@suse.de
- removed parport compatibility patch (gives oops when reading
  autoprobing info). Closes Bug #7143
* Fri Apr 27 2001 - mantel@suse.de
- update to 2.4.4-pre8
* Thu Apr 26 2001 - mantel@suse.de
- make boot splash window a little narrower
* Thu Apr 26 2001 - mantel@suse.de
- updated IPVS to 0.2.11
- updated boot splash patch
* Thu Apr 26 2001 - mantel@suse.de
- update to 2.4.4-pre7aa1
- fix boot problem on highmem machines
- added tailfix for reiserfs
- added ksymoops fix for AXP
- revert default umask to 022 as it was before 2.4.3
- update IPS driver to 4.72
* Tue Apr 24 2001 - mantel@suse.de
- use correct values for splash screen
- added km_basilisk
* Tue Apr 24 2001 - mantel@suse.de
- update to 2.4.4-pre6aa1
- new boot spash patch
- fix for SMP autofs race
* Tue Apr 24 2001 - mantel@suse.de
- update to 2.4.4-pre6
- make affs compile
- fix link error due to new compiler
- remove quotes from extraversion
- update cciss driver to 2.4.3D
- update cpqarray driver to 2.4.3B
- fix reiserfs over NFS
- update to rawio-5
- added graphical splash screen
* Mon Apr 23 2001 - mantel@suse.de
- update due to new version
* Mon Apr 23 2001 - kukuk@suse.de
- Don't include linux source archive in src.rpm, only patches
* Fri Apr 20 2001 - mantel@suse.de
- update due to new version
- re-enabled CONFIG_BLK_DEV_NBD (it now builds successfully)
- enabled CONFIG_PARPORT_1284
* Fri Apr 20 2001 - mantel@suse.de
- fix NULL pointer dereference for IDE CD-ROMs
* Fri Apr 20 2001 - mantel@suse.de
- update to 2.4.4-pre5
- added patches from 2.4.4-pre4aa1
- added quota fixes; update to new quota format
- added PPC patches
- fix VIA quirk
- added parport compatibility entry in /proc
- added fixes from Jens (loop-misc-1 and cd-244p4-1)
- update dpt_i2o driver to 2.3
- update ipvs to 0.2.9
- small update to lvm (get_hardblocksize is gone in 2.4.4-pre5)
- added ISDN fixes from maintainer
- fix autofs4 race condition
- some small AXP fixes
* Thu Apr 19 2001 - schwab@suse.de
- Update ia64 patch.
* Thu Apr 19 2001 - kukuk@suse.de
- Ignore failed kernel build on sparc32
* Fri Apr 13 2001 - mantel@suse.de
- update due to new version
- disable broken CONFIG_BLK_DEV_NBD
* Fri Apr 13 2001 - mantel@suse.de
- update LVM to 0.9.1beta7
- several small fixes for 2.4.4pre2
* Thu Apr 12 2001 - mantel@suse.de
- update to 2.4.4pre2
- added cciss-queue-1, cpqarray-queue-1 and idecd-misc-1
- correctly return blocksize
- minimal support for asymmetric MP
- don't panic on wrong blocksizes for MO media
- added IPVS 0.2.8
* Wed Apr 11 2001 - mantel@suse.de
- removed km_nvglx
* Tue Apr 10 2001 - mantel@suse.de
- update config due to new version
* Tue Apr 10 2001 - mantel@suse.de
- update to 2.4.4pre1
- update aic7xxx driver to 6.1.11
- update EIDE subsystem to ide.2.4.4-p1.all.04092001
* Sat Apr 07 2001 - schwab@suse.de
- Integrate ia64 patch.
- Fix file list.
* Fri Apr 06 2001 - mantel@suse.de
- kernel version does not depend on the build host
* Fri Apr 06 2001 - mantel@suse.de
- updated aic7xxx driver to 6.1.10
- e1000 driver now shows up in gigabyte section of Config.in
* Thu Apr 05 2001 - mantel@suse.de
- update config due to new aic7xxx driver version
* Thu Apr 05 2001 - mantel@suse.de
- renamed k_*24 packages to k_*
- renamed k_* packages to k_*22
* Thu Apr 05 2001 - ro@suse.de
- removed linclude (again)
* Thu Apr 05 2001 - mantel@suse.de
- fix loop device for highmem configurations
- update zoran driver
- update aic7xxx to 6.1.9
- added cai patch for Computer Associates
* Wed Apr 04 2001 - mantel@suse.de
- remove km_ipppcomp and km_mssclampfw
* Tue Apr 03 2001 - mantel@suse.de
- added CONFIG_CIPHER_TWOFISH
* Tue Apr 03 2001 - mantel@suse.de
- downgrade VIA driver to 3.24
- added ip-id-2.4.3 fix
- update IPS Serveraid driver to 4.71.01
- added twofish encryption for loop driver
* Mon Apr 02 2001 - mantel@suse.de
- remove imon feature (doesn't work)
* Sat Mar 31 2001 - mantel@suse.de
- update to 2.4.3
- changed name of kernel source package to kernel-source
- added km_ipppcomp
- install image as /boot/vmlinuz instead of vmlinuz_24
* Sat Mar 31 2001 - mantel@suse.de
- package renamed to kernel-source
- update to 2.4.3
- update cpqfc driver to 1.3.6
- update ide subsystem to 03242001
- added axp-irq-2.4.3 patch
- fix LVM snapshots on reiserfs
- added openssl-0.9.6-mppe-2.4.3
- added graphical-boot-2.4.3
- fix extraversion patch (update version.h when .config changes)
- added imon-0.0.2-2.4.3
* Fri Mar 30 2001 - mantel@suse.de
- decrease kernel size by modularizing things that are not needed
  at install time
* Wed Mar 28 2001 - mantel@suse.de
- fix kernel extension
* Wed Mar 28 2001 - mantel@suse.de
- old Pentiums don't support PAE
* Tue Mar 20 2001 - ro@suse.de
- reiserfs as module
* Sun Mar 18 2001 - mantel@suse.de
- added km_cipe to neededforbuild
* Thu Mar 15 2001 - mantel@suse.de
- fix names of Intel network drivers upon Intel request
- update gdth driver to 1.28 (fix memory overwrite bug)
- update to scsi-max-sectors-4
- merged sparc patches
- merged AXP patches
* Wed Mar 14 2001 - mantel@suse.de
- disable some broken modules
* Wed Mar 14 2001 - ro@suse.de
- added buz-2.4-compile.patch
* Tue Mar 13 2001 - mantel@suse.de
- increase CONFIG_AIC7XXX_CMDS_PER_DEVICE to default value
* Tue Mar 13 2001 - mantel@suse.de
- update config for new drivers
* Tue Mar 13 2001 - mantel@suse.de
- update to 2.4.3pre4
- update aic7xxx to 6.1.7
- fix for emu10k
- updated aacraid driver to version 1.0.7 (incl. PERCID_add patch)
- updated e100 driver to version 1.5.5
- updated e1000 driver to version 3.0.7
- remove obsolete patches (fixes already in current pre-patch)
- update usb-update-2.4.3pre4 patch (still one scanner missing)
* Wed Feb 28 2001 - mantel@suse.de
- create link for module rtl8139.o
* Wed Feb 28 2001 - mantel@suse.de
- don't overwrite old kernel (< 2.2.18) any longer
* Mon Feb 26 2001 - mantel@suse.de
- update config for new drivers
* Mon Feb 26 2001 - mantel@suse.de
- update dpt_i2o driver to version 2.0
* Mon Feb 26 2001 - mantel@suse.de
- update megaraid driver to 1.14g
- added new driver aacraid 1.0.6 (Beta!)
- added scsi-max-sectors-3 (needed for aacraid driver)
- fix problem with unkillable processes
- update lm_sensors to 2.5.5
* Fri Feb 23 2001 - mantel@suse.de
- initial
* Thu Feb 22 2001 - mantel@suse.de
- update to 2.4.2
- update VIA driver to version 4.3
* Wed Feb 21 2001 - mantel@suse.de
- fix reiserfs problem (could corrupt small files)
* Wed Feb 21 2001 - mantel@suse.de
- fix loop device (loop-5B)
- add support for old binutils
- add pci-fixup-serverworks-2.4.2pre4
* Sun Feb 18 2001 - mantel@suse.de
- update to 2.4.2pre4
* Wed Feb 14 2001 - mantel@suse.de
- fix compilation of 6pack driver
* Mon Feb 12 2001 - mantel@suse.de
- update to 2.4.2pre3
- fix buz driver
* Thu Feb 08 2001 - mantel@suse.de
- fix buz driver
- added AX25 routing fix
- ISDN include files protected with #ifdef __KERNEL__
- update DAC960 driver to version 2.4.10
* Mon Feb 05 2001 - mantel@suse.de
- update to 2.4.2pre1
- remove modutils-hotplug patch
- update TIOCGDEV-2.4.2pre1 for Sparc
- update e100 driver to version 1.4.21
* Thu Feb 01 2001 - mantel@suse.de
- update to 2.4.1
* Tue Jan 23 2001 - mantel@suse.de
- update to 2.4.1pre10 (important fixes for cpqarray and DAC960)
- update ips driver to 4.50
* Mon Jan 22 2001 - mantel@suse.de
- update megaraid driver to version 1.14a
* Sat Jan 20 2001 - ro@suse.de
- re-added sub-package linclude to specfile
- re-added Obsoletes: lx_suse to specfile
- added Provides: lx_suse to specfile
* Fri Jan 19 2001 - mantel@suse.de
- update e100 and e1000 driver to most recent version
* Thu Jan 18 2001 - mantel@suse.de
- really build sensors modules
- another fix for cpqarray
- new SMC Token Ring driver
- export proc_get_inode symbol
- build needed ISDN module for AVM PCMCIA card
* Wed Jan 17 2001 - mantel@suse.de
- add another fix to the cpqarray driver
* Wed Jan 17 2001 - mantel@suse.de
- include bugfix for cpqarray driver
- fix UP compilation of qla2x00 driver
- add LVM fixes again
- add cardbus-pci-2.4.1pre8
* Wed Jan 17 2001 - mantel@suse.de
- switch to 2.4.1pre8
- added Qlogic qla2x00 driver
* Wed Jan 17 2001 - mantel@suse.de
- added dpt_i2o driver
- fix reiserfs bug with O_SYNC on SMP
* Mon Jan 15 2001 - mantel@suse.de
- fix e100 driver
* Mon Jan 15 2001 - ro@suse.de
- fixed version 2.4.0 -> 2.4.0.SuSE
* Mon Jan 15 2001 - mantel@suse.de
- added some obvious fixes from 2.4.0-ac7
- bugfix for K7 crash
- update to blk-14-suse18 (be nicer to lowmem machines)
- fix config.gz patch (overwrote memory)
- update idetape to 1.17
- added isdn-2.4.0-ac5
- allow 32 swapfiles
* Sat Jan 13 2001 - kukuk@suse.de
- Add SPARC fixes for asm_offsets.h and SBUS audio modules
* Thu Jan 11 2001 - mantel@suse.de
- update to 2.4.0-ac6
* Thu Jan 11 2001 - mantel@suse.de
- fix compile when HIGHMEM is configured
* Thu Jan 11 2001 - mantel@suse.de
- update to 2.4.0-ac5
- added fix for overlong filenames on reiserfs
- added nfs fix from Trond
- updated ISDN checksums
* Wed Jan 10 2001 - mantel@suse.de
- again back out loop fixes - too dangerous at this time
- use forward port from 2.2.x-aax to fix MD panic bug
- add another typo fix for 2.4.0-ac4
- add LVM snapshot fix
- updated PPC patches
* Tue Jan 09 2001 - ro@suse.de
- added fix for hotplug patch to make lp compile again
* Mon Jan 08 2001 - mantel@suse.de
- add patch to allow hotplug autoload of modules (2.4.1)
* Mon Jan 08 2001 - mantel@suse.de
- again fix the loop device problem
- added fix for RAID5 crash on PIII machines
- added support for Ensoniq 5880 rev 3
* Mon Jan 08 2001 - mantel@suse.de
- remove loop-* diffs; they're buggy
* Mon Jan 08 2001 - mantel@suse.de
- fix typo in 2.4.0-ac4 which broke compile of qnx4/inode.c
* Mon Jan 08 2001 - mantel@suse.de
- update to 2.4.0-ac4
- updated PPC stuff
- added module compile fix for PCMCIA
- added some USB scanners to the list of known devices
- updated fix for loop device
* Sun Jan 07 2001 - mantel@suse.de
- fix typo in 2.4.0-ac3 which broke compile in vesafb.c
* Sun Jan 07 2001 - mantel@suse.de
- update to 2.4.0-ac3
- update reiserfs to 3.6.25
* Sat Jan 06 2001 - kukuk@suse.de
- Update defconfig for sparc/sparc64
- Fix quotactl wrapper in sys_sparc32
* Sat Jan 06 2001 - mantel@suse.de
- added ppscsi-0.91-2.4.0 (support for parallel port Scanners)
- fix loop device; this time really ;)
- fix module compile annoyance
* Sat Jan 06 2001 - mantel@suse.de
- update to 2.4.0-ac2
- added lvm-fix1
- added fixes for PPC
- added bugfix for reiserfs
* Fri Jan 05 2001 - mantel@suse.de
- backout loop fix as it breaks other things
* Fri Jan 05 2001 - mantel@suse.de
- fix loop device
* Fri Jan 05 2001 - mantel@suse.de
- added two bugfixes for CD-ROMs from Jens Axboe
* Fri Jan 05 2001 - mantel@suse.de
- adapted and added blk-13B-2.4.0.ac1
* Fri Jan 05 2001 - mantel@suse.de
- update to 2.4.0
- update to 2.4.0-ac1
- update reiserfs to 3.6.24
- remove obsolete patches
- added driver for Intel e100 and e1000. UNTESTED!
* Thu Dec 21 2000 - ro@suse.de
- fix spec
* Thu Dec 21 2000 - ro@suse.de
- copied/renamed to lx_sus24
* Thu Dec 21 2000 - mantel@suse.de
- update to 2.4.0-test13pre3
- added the following patches:
  idetape-116g-linux240.diff
  dc390-20f-240t12.diff
  SMP-extraversion-240t12.diff
  TIOCGDEV-240t11.diff
  dc395-132-240t10.diff
  osst-0942-240t12.diff
  lvm-0.9-aa-1
  ipvs-0.1.1-2.4.0
  99_reiser_export
  FXSR_686
  linux-2.4.0-test13-pre3_linuxppc_2_3.dif
- update lm_sensors
- adapt linux.sparc.diff to new version
* Wed Dec 13 2000 - kukuk@suse.de
- up to test12 final
- Update CVS/SPARC patches
* Sun Dec 10 2000 - kukuk@suse.de
- up to test12pre7
- update to latest reiserfs version + test12 fixes
- Add SPARC patches from CVS
* Fri Nov 24 2000 - kukuk@suse.de
- up to test11 final
- Add patch set from mge
- Add PPC patches from olh
* Mon Nov 13 2000 - ro@suse.de
- up to test11-pre4
* Sat Nov 11 2000 - kukuk@suse.de
- update to test11-pre2
- Add reiserfs
* Mon Oct 30 2000 - ro@suse.de
- update to test10-pre6
- updated defconfig
- group sorted
* Fri Oct 13 2000 - kukuk@suse.de
- fix defconfig for i386
* Fri Oct 13 2000 - kukuk@suse.de
- update to test10-pre2
* Tue Sep 26 2000 - ro@suse.de
- up to test7, updated defconfigs
* Tue Sep 26 2000 - ro@suse.de
- specfile fixed
* Mon Sep 25 2000 - ro@suse.de
- use as lx_suse for BETA
* Mon Sep 25 2000 - ro@suse.de
- up to test9pre6
- fixed defconfig
* Thu Aug 24 2000 - ro@suse.de
- update to 2.4.0-test7
* Fri Jun 09 2000 - ro@suse.de
- re-start: up to 2.4.0-test1
* Wed Feb 23 2000 - bk@suse.de
- update to 2.3.46aa1 with the old patches applied and simplyfied patching.
* Tue Feb 08 2000 - bk@suse.de
- moved andrea's alpha-irq-4 patch which allows irq to be distributed
  in SMP across all CPUs to linux/only-for-tsunami-and-sx164 so it will
  be in the tree but not applied. It involve the rewriting of the
  interrupt layer and with this patch applyed only tsunami and sx164
  compiles.
- re-enable kernel compile in build on Alpha.
* Tue Feb 08 2000 - bk@suse.de
- fix patching and improve check-if-patches-apply script
* Tue Feb 08 2000 - bk@suse.de
- update to 2.3.42aa2 with the patches which applied after the update.
- wrote a check-if-patches-apply script to the patch process which
  checks which patches apply and build a tree that includes only
  those that applied.
- now calling oldconfig with tr '\000' '\n' </dev/zero | make oldconfig,
  this ends the need to redo all defconfigs for every update.
- this tree compiles currently not on alpha, possibly due to the
  generic alpha build attempted by the default config
- patches that did not apply are in patches-from-2.3.39-that-didnt-apply.tar.gz
  This is the list:
  23x-SMP-extraversion.diff-2.3.38
  alpha-rtc-1
  delack-timer
  lm_sensors-2.4.0-lm-kernel-2.3.38
  ppc-irq-offset-1
  sparc-from-cvs-2
  zzz-sparc-fixes-3
* Sat Jan 29 2000 - bk@suse.de
- re-start on ro's lx_suse based on 2.3.40-pre6, and updated to
  real 2.3.40, every patch fit in, only the i386.defconfig needed
  a new entry.
  ro's changelog(cumulated):
- added patch dc390-20d25
- updated ppc-patches
- updated sparc-patches
- added: ppc-setup-fix (new ide-structs)
- switch i386-default SMP->UP
- added patch 2.3.40-pre4
- updated sparc-vs-cvs , zzz-sparc-fixes
- updated defconfigs (PCMCIA on alpha = off, won't compile)
- version 2.3.40-SuSE
- updated: zzz-sparc-fixes-2 to make it at least compile on sparc32
- removed: alpha-irq-2
- added-patches: alpha-imb-1 alpha-rtc-1 alpha-symb-1 bdflush-sleep
  block_dev-fs-corruption-1 delack-timer jay-2.3.39-11jan2045
  oom-1 oops-1 probe-irq-2.3.14-pre2-1 protected-balance-2-2.3.39
  rbtree-1 timer_bh-deadlock-1
  ppc-from-cvs, sparc-from-cvs (from linuxcare.au)
  ppc-missing-files-2 zzz-sparc-fixes-2
- updated: sched-2
* Mon Nov 08 1999 - ro@suse.de
-fixed alpha.defconfig
* Mon Nov 08 1999 - bk@suse.de
- update to 2.3.26, removed all patches i386.defconfig ok.
* Mon Sep 20 1999 - ro@suse.de
- added provides kernel_headers
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- updated defconfig.alpha
* Fri Jul 23 1999 - bk@suse.de
- add /proc/config.gz support and make cloneconfig
- add fix for 2GB support from Leonard N. Zubkoff
- add fix for too small heap size for uncompressing kernel
* Fri Jul 23 1999 - bk@suse.de
- update standard tulip driver to v0.90
- fix for compiling the new tulip driver into the kernel
- fix for not compiling-in new and old tulip.c simultaneously
* Wed Jul 21 1999 - bk@suse.de
- update to 2.3.10 + 27 patches from lx_suse
- splitted the updates of 3c39x-0.99L, epic100-1.06 and the new
  tulip driver from newnet-2.2.10. Old tulip driver is still there.
* Mon May 24 1999 - ro@suse.de
- specfile fix to build on beta-i386
* Sat May 22 1999 - bk@suse.de
- build with TEST_COMPILE=yes succeeds on aplha now
* Mon May 10 1999 - bk@suse.de
- removed absoulte path from %%post
* Tue May 04 1999 - bk@suse.de
- make mrproper output nach /dev/null umleiten
* Mon May 03 1999 - bk@suse.de
- additional Documentation
- turned the new config options into experimental ones
- more consvervatiave defaults (new options: off)
- include include/linux/autoconf.h in the package
- minor typo-like fixes in the patches
* Mon May 03 1999 - bk@suse.de
- update to 2.2.7 with bleeding edge patches
* Wed Apr 14 1999 - bk@suse.de
- update to 2.2.5ac7, added arca-mmap-fix, installpath, isdn-2.2.4,
  newnet-2.2.5, rd-patch and rl100-2.2.5
* Sat Apr 10 1999 - ro@suse.de
- added defconfig for alpha
* Tue Apr 06 1999 - bk@suse.de
- update to 2.2.5ac4
  changed build method to use original kernel as base and patch with %%patch
  added buffer cache patches from Andrea Acrangeli
  added -V2.7.2.3 to *CFLAGS which forces use of gcc
  added su1 to EXTRAVERSION
* Mon Feb 01 1999 - ro@suse.de
- update to 2.2.1
* Wed Jan 27 1999 - ro@suse.de
- update to 2.2.0
* Mon Jan 18 1999 - bs@suse.de
- update to 2.2.0-pre7
* Tue Jan 12 1999 - ro@suse.de
- update to 2.2.0-pre6
* Thu Dec 03 1998 - bs@suse.de
- update to 2.1.131
* Fri Nov 27 1998 - ro@suse.de
- fixed version in specfile
* Fri Nov 27 1998 - ro@suse.de
- update to vanilla 2.1.130
* Sun Nov 22 1998 - ro@suse.de
- added .config file (needed for alans additional drivers)
* Sun Nov 22 1998 - ro@suse.de
- update to 2.1.129 + alans 129-ac-3
- removed knfs-patch: is all in alan's patch except a little hack
  for amd
- updated isdn-patch to cvs of 981122
* Tue Nov 10 1998 - bs@suse.de
- not an autopac anymore
* Mon Nov 09 1998 - ro@suse.de
- kernel 2.1.127
- removed pre-patch
- updated isdn-patch to cvs from 981109
* Tue Nov 03 1998 - ro@suse.de
- leave version numer as 126
* Mon Nov 02 1998 - ro@suse.de
- update to 127pre3 (to be able to build sound-modules)
* Mon Oct 26 1998 - ro@suse.de
- cut down knfs-patch (removed all that was done in patch-2.1.126)
* Wed Oct 21 1998 - ro@suse.de
- updated knfs-patch to allow NFS_NULLPROC from any client (by HJL)
* Tue Oct 20 1998 - ro@suse.de
- updated knfs-patch
* Wed Sep 30 1998 - ro@suse.de
- added current patchset for knfsd
- save possible .config and make a distclean after patching
* Thu Sep 24 1998 - ro@suse.de
- another update of the isdn-patch :-(((
* Tue Sep 22 1998 - ro@suse.de
- updated isdn-patch (needed symbol to compile i4l in beta)
* Mon Sep 21 1998 - ro@suse.de
- added isdn-980921.patch.gz
* Mon May 18 1998 - bs@suse.de
- auto update with 2.1 kernels
- don't include own joystick.h
* Mon May 04 1998 - bs@suse.de
- switched to 2.1.99.SuSE (for pre-6.0)
* Mon Apr 20 1998 - mantel@suse.de
- fixed syndrop Bug
- new aic7xxx driver (5.0.13)
- some new ethernet drivers (e.g. Tulip and Boomerang)
* Thu Apr 16 1998 - bs@suse.de
- don't include .config
* Thu Feb 19 1998 - bs@suse.de
- fixed problems with gdb and strace
* Wed Feb 18 1998 - bs@suse.de
- new Adaptec driver
- fixed DPMI stuff for dosemu
* Mon Feb 09 1998 - mantel@suse.de
- deleted Initio driver (due to copyright problems)
- new adaptec scsi driver
* Wed Feb 04 1998 - mantel@suse.de
- new driver for aic7xxx, ncr53c8xx, advansys, BusLogic and Tekram.
- a lot of new versions of net drivers
- Attention for Vortex cards (3c595)!  The new driver (0.49 - very
  stable for Boomerang cards) is unstable for this cards.  You
  should use the version 0.42 (in kernel-patches.tgz under
  /unsorted).
- added stability patches by Alan Cox (pre-2.0.34-2)
- recent Parallel port CD-ROM drivers
* Thu Jan 08 1998 - bs@suse.de
- switched to 2.0.33.SuSE
* Thu Dec 11 1997 - bs@suse.de
- 2.0.33.pre.SuSE.3
- include include/linux/joystick.h from joystick package.
* Sun Oct 19 1997 - bs@suse.de
- prepared for autobuild (2.0.31)
